commit blocxx for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package blocxx for openSUSE:Factory checked 
in at 2012-06-06 10:27:33

Comparing /work/SRC/openSUSE:Factory/blocxx (Old)
 and  /work/SRC/openSUSE:Factory/.blocxx.new (New)


Package is blocxx, Maintainer is m...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/blocxx/blocxx.changes2012-04-24 
16:36:52.0 +0200
+++ /work/SRC/openSUSE:Factory/.blocxx.new/blocxx.changes   2012-06-06 
10:27:35.0 +0200
@@ -1,0 +2,7 @@
+Wed Jun  6 08:10:09 UTC 2012 - co...@suse.com
+
+- build with gcc 47 again and fix the problem - const objects are
+  in ro segment now, so you can't change them (suprise, suprise!)
+  Credits: mls
+
+---



Other differences:
--
++ blocxx.spec ++
--- /var/tmp/diff_new_pack.6u8mFU/_old  2012-06-06 10:27:38.0 +0200
+++ /var/tmp/diff_new_pack.6u8mFU/_new  2012-06-06 10:27:38.0 +0200
@@ -40,8 +40,7 @@
 Patch10:blocxx-gcc47.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  automake
-BuildRequires:  gcc46
-BuildRequires:  gcc46-c++
+BuildRequires:  gcc-c++
 BuildRequires:  pcre-devel
 BuildRequires:  pkgconfig
 %if 0%{?suse_version} = 1030
@@ -106,12 +105,9 @@
 %patch7 -p0
 %patch8 -p0
 %patch9
-%patch10 -p1
+%patch10 -p0
 
 %build
-export CC=gcc-4.6
-export CXX=g++-4.6
-
 if test -f ./bootstrap.sh ; then
 ./bootstrap.sh
 else
@@ -160,7 +156,7 @@
 #
 # run testsuites
 %if !0%{?qemu_user_space_build:1}
-#make check %{?_smp_mflags}
+make check %{?_smp_mflags}
 %endif
 #
 

++ blocxx-gcc47.patch ++
--- /var/tmp/diff_new_pack.6u8mFU/_old  2012-06-06 10:27:38.0 +0200
+++ /var/tmp/diff_new_pack.6u8mFU/_new  2012-06-06 10:27:38.0 +0200
@@ -1,24 +1,370 @@
-Index: blocxx-2.1.0/src/blocxx/COWReference.hpp
+Index: src/blocxx/COWReference.hpp
 ===
 blocxx-2.1.0.orig/src/blocxx/COWReference.hpp
-+++ blocxx-2.1.0/src/blocxx/COWReference.hpp
-@@ -41,6 +41,7 @@
- #include blocxx/COWReferenceBase.hpp
+--- src/blocxx/COWReference.hpp.orig   2007-07-24 09:43:19.0 +0200
 src/blocxx/COWReference.hpp2012-06-06 10:02:19.932170506 +0200
+@@ -42,9 +42,32 @@
  #include blocxx/ReferenceHelpers.hpp
  #include blocxx/SafeBool.hpp
-+#include vector.hpp
  
++#include vector
++#include list
++#include map
++
  namespace BLOCXX_NAMESPACE
  {
-Index: blocxx-2.1.0/src/blocxx/FileSystem.hpp
+ 
++template class T
++inline std::vectorT* COWReferenceClone(std::vectorT* obj)
++{
++return new std::vectorT(*obj);
++}
++
++template class Key, class T, class Compare
++std::mapKey, T, Compare* COWReferenceClone(std::mapKey, T, Compare* obj)
++{
++return new std::mapKey, T, Compare(*obj);
++}
++
++template class T
++std::listT* COWReferenceClone(std::listT* obj)
++{
++return new std::listT(*obj);
++}
++
++
+ /**
+  * COWReference
+  * A smart pointer that uses non-intrusive reference counting. It supports
+Index: src/blocxx/List.hpp
 ===
 blocxx-2.1.0.orig/src/blocxx/FileSystem.hpp
-+++ blocxx-2.1.0/src/blocxx/FileSystem.hpp
-@@ -45,6 +45,7 @@
- #include blocxx/Exception.hpp
- #include blocxx/CommonFwd.hpp
- #include blocxx/String.hpp
-+#include unistd.h
- #ifdef BLOCXX_ENABLE_TEST_HOOKS
+--- src/blocxx/List.hpp.orig   2007-07-24 09:43:19.0 +0200
 src/blocxx/List.hpp2012-06-06 10:02:19.933170458 +0200
+@@ -654,11 +654,6 @@ inline void swap(ListT x, ListT y)
+ {
+   x.swap(y);
+ }
+-template class T
+-std::listT* COWReferenceClone(std::listT* obj)
+-{
+-  return new std::listT(*obj);
+-}
+ 
+ } // end namespace BLOCXX_NAMESPACE
+ 
+Index: src/blocxx/Map.hpp
+===
+--- src/blocxx/Map.hpp.orig2007-07-24 09:43:19.0 +0200
 src/blocxx/Map.hpp 2012-06-06 10:02:19.933170458 +0200
+@@ -230,11 +230,6 @@ public:
+   friend bool operator (const MapKey, T, Compare x,
+   const MapKey, T, Compare y);
+ };
+-template class Key, class T, class Compare
+-std::mapKey, T, Compare* COWReferenceClone(std::mapKey, T, Compare* obj)
+-{
+-  return new std::mapKey, T, Compare(*obj);
+-}
+ templateclass Key, class T, class Compare
+ inline bool operator==(const MapKey, T, Compare x,
+   const MapKey, T, Compare y)
+Index: src/blocxx/vector.hpp
+===
+--- src/blocxx/vector.hpp.orig 2007-07-24 09:43:19.0 +0200
 src/blocxx/vector.hpp  2012-06-06 10:02:19.933170458 +0200
+@@ -46,17 +46,6 @@
+ namespace BLOCXX_NAMESPACE
+ {
+ 

commit deb for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package deb for openSUSE:Factory checked in 
at 2012-06-06 10:27:53

Comparing /work/SRC/openSUSE:Factory/deb (Old)
 and  /work/SRC/openSUSE:Factory/.deb.new (New)


Package is deb, Maintainer is vdziewie...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/deb/update-alternatives.changes  2012-06-05 
15:30:15.0 +0200
+++ /work/SRC/openSUSE:Factory/.deb.new/update-alternatives.changes 
2012-06-06 10:27:54.0 +0200
@@ -1,0 +2,5 @@
+Wed Jun  6 08:22:03 UTC 2012 - co...@suse.com
+
+- fix the reworked patch
+
+---



Other differences:
--
update-alternatives.spec: same change
++ dpkg-archtable-suse.patch ++
--- /var/tmp/diff_new_pack.Qd9V8c/_old  2012-06-06 10:28:01.0 +0200
+++ /var/tmp/diff_new_pack.Qd9V8c/_new  2012-06-06 10:28:01.0 +0200
@@ -1,7 +1,8 @@
-diff -urN dpkg-1.16.3.orig/debian/archtable dpkg-1.16.3/debian/archtable
 dpkg-1.16.3.orig/debian/archtable  2012-05-21 11:10:20.604419618 +0800
-+++ dpkg-1.16.3/debian/archtable   2012-05-21 11:27:16.525718853 +0800
-@@ -27,3 +27,15 @@
+Index: dpkg-1.16.3/debian/archtable
+===
+--- dpkg-1.16.3.orig/debian/archtable  2012-04-27 04:49:02.0 +0200
 dpkg-1.16.3/debian/archtable   2012-06-06 10:22:46.728432824 +0200
+@@ -27,3 +27,15 @@ sparc-linux-gnu sparc
  i486-gnu  hurd-i386
  i486-kfreebsd-gnu kfreebsd-i386
  x86_64-kfreebsd-gnu   kfreebsd-amd64
@@ -17,4 +18,4 @@
 ++powerpc-suse-linux   powerpc
 ++s390-suse-linux  s390
 ++sparc-suse-linux sparc
-\ 文件尾没有 newline 字符
+\ No newline at end of file

++ update-alternatives-1.16.3-suse.patch ++
--- /var/tmp/diff_new_pack.Qd9V8c/_old  2012-06-06 10:28:01.0 +0200
+++ /var/tmp/diff_new_pack.Qd9V8c/_new  2012-06-06 10:28:01.0 +0200
@@ -72,7 +72,7 @@
printf(\n);
  
printf(_(
-@@ -359,13 +359,13 @@
+@@ -359,7 +359,7 @@
const char *basedir, *dpkg_basedir;
char *admindir;
  
@@ -81,10 +81,3 @@
if (dpkg_basedir)
basedir = dpkg_basedir;
else
-   basedir = ADMINDIR;
- 
--  xasprintf(admindir, %s/%s, basedir, alternatives);
-+  xasprintf(admindir, %s/%s, basedir, /var/lib/rpm/alternatives);
- 
-   return admindir;
- }

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libpt2 for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package libpt2 for openSUSE:Factory checked 
in at 2012-06-06 10:28:31

Comparing /work/SRC/openSUSE:Factory/libpt2 (Old)
 and  /work/SRC/openSUSE:Factory/.libpt2.new (New)


Package is libpt2, Maintainer is dli...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/libpt2/libpt2.changes2012-03-29 
14:01:13.0 +0200
+++ /work/SRC/openSUSE:Factory/.libpt2.new/libpt2.changes   2012-06-06 
10:28:56.0 +0200
@@ -1,0 +2,19 @@
+Fri May 18 19:06:25 UTC 2012 - zai...@opensuse.org
+
+- Update to 2.10.5:
+  + Numours changes, please see changelogfile. 
+- Add new subpackage: libpt-plugins-pulse. Brings PulseAudio
+  support to libpt. New BuildRequires added pkgconfig(libpulse) due
+  to this.
+- Enable build of avc plugin. 
+
+---
+Thu Apr 19 03:00:40 CEST 2012 - je...@suse.de
+
+- Update to 2.10.4:
+  + Numours changes, please see changelogfile.
+- Drop libpt2-2.6.7-missing_links.patch, libpt2-gcc47.patch,
+  ptlib-pkg_config.patch, fixed upstream.
+- Add libpt2-fix-avc-plugin
+
+---

Old:

  libpt2-2.6.7-missing_links.patch
  libpt2-gcc47.patch
  ptlib-2.6.7.tar.bz2
  ptlib-pkg_config.patch

New:

  libpt2-fix-avc-plugin.patch
  ptlib-2.10.5.tar.bz2



Other differences:
--
++ libpt2.spec ++
--- /var/tmp/diff_new_pack.ODC1qQ/_old  2012-06-06 10:29:00.0 +0200
+++ /var/tmp/diff_new_pack.ODC1qQ/_new  2012-06-06 10:29:00.0 +0200
@@ -16,29 +16,25 @@
 #
 
 
-%define build_avc 0
+%define build_avc 1
 %define build_dc 0
 # Video4Linux is obsolete on Kernel 3.0, which we have after openSUSE 11.4
 %define build_v4l 0%{?suse_version} = 1140
 
 Name:   libpt2
 %define _name   ptlib
-Version:2.6.7
+Version:2.10.5
 Release:0
 # FIXME: when upgrading, check if the dc plugin builds with the current 
version of libdc1394
-%define _version 2_6_7
+%define _version 2_10_5
 Summary:Portable Windows Library from Equivalence Pty. Ltd. version 2
 License:MPL-1.0
 Group:  System/Libraries
 Url:http://www.opalvoip.org/
 # https://sourceforge.net/projects/opalvoip
 Source: %{_name}-%{version}.tar.bz2
-# PATCH-FIX-UPSTREAM %{_name}-pkg_config.patch sf#3041093 
reddw...@opensuse.org -- Put extra libraries in Libs.private and remove 
unneeded cflags
-Patch0: %{_name}-pkg_config.patch
-# PATCH-FIX-UPSTREAM %{_name}-missing_links.patch sf#3082616 
reddw...@opensuse.org -- Link plugins against main library
-Patch1: %{name}-2.6.7-missing_links.patch
-# PATCH-FIX-UPSTREAM libpt2-gcc47.patch sf#3505516 dims...@opensuse.org -- Fix 
build with gcc 4.7
-Patch2: libpt2-gcc47.patch
+# PATCH-MISSING-TAG libpt2-fix-avc-plugin.patch je...@suse.com -- Fix build 
for avc-plugin. 
+Patch1: libpt2-fix-avc-plugin.patch 
 BuildRequires:  SDL-devel
 BuildRequires:  bison
 BuildRequires:  esound-devel
@@ -58,6 +54,7 @@
 %endif
 BuildRequires:  openldap2-devel
 BuildRequires:  pkg-config
+BuildRequires:  pkgconfig(libpulse)
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -161,20 +158,35 @@
 cameras) for %{name}.
 %endif
 
+%package -n libpt%{_version}-plugins-pulse
+
+Summary:Pulseaudio support for %{name}
+Group:  System/Libraries
+Requires:   libpt%{_version} = %{version}
+# No idea about why this provides is here. Feel free to remove it if you think
+# is the best thing to do... or to add an explanation about why it is useful.
+Provides:   libpt2-audio-plugin
+Supplements:libpt2
+Supplements:packageand(libpt2:pulseaudio)
+
+%description -n libpt%{_version}-plugins-pulse
+This plugin enables pulseaudio support for %{name}.
+
 %prep
 %setup -q -n %{_name}-%{version}
-%patch0
-%patch1
-%patch2 -p1
+%patch1 -p1
 
 %build
 %configure \
--enable-esd \
--enable-oss \
+   --enable-pulse \
 %if %{build_v4l}
--enable-v4l \
 %endif
+%if %{build_avc}
--enable-avc
+%endif
 make %{?_smp_mflags} V=1
 
 %install
@@ -237,4 +249,8 @@
 %{_libdir}/%{_name}-%{version}/devices/videoinput/v4l_pwplugin.so
 %endif
 
+%files -n libpt%{_version}-plugins-pulse
+%defattr(-,root,root)
+%{_libdir}/%{_name}-%{version}/devices/sound/pulse_pwplugin.so
+
 %changelog

++ libpt2-fix-avc-plugin.patch ++
From: Jeff Mahoney je...@suse.com
Subject: libpt2: Build/API fixes for AVC plugins

 It builds. I have no way to test it.

Signed-off-by: Jeff Mahoney je...@suse.com
---
 plugins/vidinput_avc/vidinput_avc.cxx |   20 +---
 plugins/vidinput_avc/vidinput_avc.h   |7 ++-
 2 files changed, 19 insertions(+), 8 

commit perl-Prima for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package perl-Prima for openSUSE:Factory 
checked in at 2012-06-06 10:28:46

Comparing /work/SRC/openSUSE:Factory/perl-Prima (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Prima.new (New)


Package is perl-Prima, Maintainer is j...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/perl-Prima/perl-Prima.changes2011-12-06 
13:53:08.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-Prima.new/perl-Prima.changes   
2012-06-06 10:29:09.0 +0200
@@ -1,0 +2,10 @@
+Sat Jun  2 22:41:48 UTC 2012 - frank.lichtenh...@sophos.com
+
+- Update to 1.34
+* 1.34: Unicode fixes, ready for 5.16
+* 1.33: Image codecs: remove prigraph, add XBM, and enhance TIFF support
+  Add RubberBand.pm
+- Clean up spec file, removing cruft
+- Run X11 based tests with Xvfb
+
+---

Old:

  Prima-1.32.tar.gz
  happy-gcc-during_make.diff

New:

  Prima-1.34.tar.gz
  gcc-warnings.patch



Other differences:
--
++ perl-Prima.spec ++
--- /var/tmp/diff_new_pack.xphSHk/_old  2012-06-06 10:29:12.0 +0200
+++ /var/tmp/diff_new_pack.xphSHk/_new  2012-06-06 10:29:12.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Prima
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,24 +15,30 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   perl-Prima
-BuildRequires:  giflib-devel libpng-devel libtiff-devel perl xorg-x11 
xorg-x11-devel
-License:BSD-3-Clause
-Group:  Development/Libraries/Perl
+BuildRequires:  giflib-devel
+BuildRequires:  libpng-devel
+BuildRequires:  libtiff-devel
+BuildRequires:  perl
+BuildRequires:  xkeyboard-config
+BuildRequires:  xorg-x11
+BuildRequires:  xorg-x11-Xvfb
+BuildRequires:  xorg-x11-devel
+%define X_display :98
 Requires:   xorg-x11
-Version:1.32
-Release:1
+Version:1.34
+Release:0
 Summary:A Perl toolkit for multi-platform GUI development
+License:BSD-3-Clause
+Group:  Development/Libraries/Perl
 Url:http://prima.eu.org
 Source: 
http://www.cpan.org/authors/id/K/KA/KARASIK/Prima-%{version}.tar.gz
 Source1:VB_classes-decent.gif
 Source2:Prima.pdf.bz2
-Source3:happy-gcc-during_make.diff
 Patch:  VB-decent.diff
 Patch2: Prima-GenericEvent.patch
+Patch3: gcc-warnings.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Requires:   perl-base = %perl_version
 
@@ -48,46 +54,33 @@
 cp %{S:1} Prima/VB/classes.gif
 cp %{S:2} .
 bunzip2 Prima.pdf.bz2
-cp %{S:3} .
 %patch -p1
 %patch2
+%patch3 -p1
 # patch creates a .orig file. Our Installer is so greedy ...
 rm -f Prima/VB/VB.pl.orig
-echo _bindir= %{_bindir}
-echo _libdir= %{_libdir}
-echo perl_vendorlib= %{perl_vendorlib}
-echo perl_vendorarch= %{perl_vendorarch}
 
 %build
-## man1+man3 try to hide in perl_vendorarch if PREFIX is set. force them back.
-M=$RPM_BUILD_ROOT/%{_mandir}
-MAKEFILE_ARGS=PREFIX=$RPM_BUILD_ROOT/usr INSTALL_MAN1=$M/man1 
INSTALL_MAN3=$M/man3
-if [ %_lib = lib64 ]; then
-  MAKEFILE_ARGS=$MAKEFILE_ARGS LIBPATH+=/usr/X11/lib64
-fi
-perl Makefile.PL $MAKEFILE_ARGS
+perl Makefile.PL
 ## site_perl is not allowed anymore in SuSE Linux.
 perl -i -pe 's{/site_perl/}{/vendor_perl/}g' Makefile
 make %{?_smp_mflags} OPTIMIZE=$RPM_OPT_FLAGS -Wall
 (ldd auto/Prima/Prima.so | grep -q libgif ) || echo WARNING: gif codec 
required for VB
 
 %check
-# giflib-4.1.3:EGifCompressLine is not 64bit save. 
+#
+### Launch a virtual framebuffer X server ###
+#
+export DISPLAY=%{X_display}
+Xvfb %{X_display}  Xvfb.log 
+trap kill $! || true EXIT
+sleep 10
 make test
-### only three basic tests work without a DISPLAY.
-### ... or more powerful tests: 
-## neededforbuild xorg-x11-Xnest xorg-x11-Xvfb xorg-x11-fonts-100dpi 
xorg-x11-fonts-75dpi xorg-x11-fonts-scalable xorg-x11-server
-##
-## Xvfb :95 -fp /usr/X11R6/lib/X11/fonts/misc 
-## trap kill $! EXIT
-## sleep 5
-## DISPLAY=:95 make test
-##
 
 %install
-make install
-## oops, Prima/Config.PL must not contain BUILD_ROOT
-perl -ne 'print qq{$1\n} if m{--updateconfig\s+(\S+)}' Makefile | xargs perl 
-i -pe s{$RPM_BUILD_ROOT}'{}g'
+%perl_make_install
+## oops, Prima/Config.pm must not contain BUILD_ROOT
+find $RPM_BUILD_ROOT -name 'Config.pm' -print0 | xargs -0 perl -i 

commit spyder for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package spyder for openSUSE:Factory checked 
in at 2012-06-06 10:29:02

Comparing /work/SRC/openSUSE:Factory/spyder (Old)
 and  /work/SRC/openSUSE:Factory/.spyder.new (New)


Package is spyder, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/spyder/spyder.changes2012-05-14 
16:21:55.0 +0200
+++ /work/SRC/openSUSE:Factory/.spyder.new/spyder.changes   2012-06-06 
10:29:16.0 +0200
@@ -1,0 +2,127 @@
+Mon May 28 09:40:29 UTC 2012 - toddrme2...@gmail.com
+
+- Update to Version 2.1.10
+  * Bug fixes
+
+---
+Tue May 22 15:46:57 UTC 2012 - toddrme2...@gmail.com
+
+- Update dependencies
+- Clean up spec file formatting
+- Update to Version 2.1.9
+  * Bug fixes
+- Update to Version 2.1.8
+  * Bug fixes
+- Update to Version 2.1.7
+  * Bug fixes
+  * Variable explorer/Array editor: added support for masked arrays
+  * Showing Spyder's internal console automatically when there is a traceback
+  * Do not crash when a 3rd party plugin failed to import
+  * Editor:
+* Automatic insertion of single, double and triple quotes
+* Automatically colons insertion when pressing Enter after 'if', 'def', etc
+* Don't trigger code completion on comments if text ends with a dot
+* Added keyboard shortcut (Ctrl+Shift+Escape) to clear the console
+* Added keyboard shortcut (Ctrl+P) to print current file (thanks to fheday 
at gmail dot com for the contribution)
+* Code introspection features (code completion, calltips, 
go-to-definition) are now working even if script has syntax errors
+- Update to Version 2.1.6
+  * Bug fixes
+- Update to Version 2.1.5
+  * Bug fixes
+  * Debugging: when a non-empty SPYDER_DEBUG environment variable exists, 
Spyder switch to debug mode (log files are created in user's home directory and 
debug prints are available in the terminal)
+  * Variable explorer/Dictionary editor: added option to plot histogram from a 
1-D array
+  * Console:
+* standard Python interpreter is now a real Python interactive session: 
the older implementation was running a startup script and tried to emulate a 
standard Python interactive session (changing attributes like __name__, running 
the PYTHONSTARTUP script, etc.). But this implementation was not close enough 
to the standard Python interactive session, i.e. when you execute `python` 
outside Spyder, without any argument. A recent bug report confirmed this: the 
PYTHONSTARTUP script was executed but not exactly the same way as it is outside 
Spyder: for example, doing `from __future__ import division` in the startup 
script had no effect whereas it did outside Spyder.
+* when running a standard Python interpreter, instead of running the 
startup script (spyderlib/widgets/externalshell/startup.py), the shell widget 
(ExternalPythonShell) simply runs the python executable with -u -i options, 
that's all. So now, the PYTHONSTARTUP script is executed as expected.
+* Scientific startup script (default PYTHONSTARTUP in Spyder): added 
floating point division (from __future__ import division)
+* PySide support:
+  * Added new Qt (PyQt/PySide) settings group in External modules tab
+  * It is now possible to select the Qt-Python bindings library: default 
(i.e. depends on the QT_API environment variable), PyQt or PySide
+  * The PyQt input hook has been adapted for PySide, so it is now possible 
to do interactive (non-blocking) plotting with PySide
+* New options for standard Python interpreters (no effect on IPython):
+  * Merge process standard output/error channels: merging the output 
channels of the process means that the standard error won't be written in red 
anymore, but this has the effect of speeding up display
+  * Colorize standard error channel using ANSI escape codes: this method 
is the only way to have colorized standard error channel when the output 
channels have been merged
+  * Internal console (Issue 868): output is now immediately available
+  * Maximize current plugin action: now automatically shows the Outline 
plugin when maximizing the Editor plugin
+  * Editor/Outline comment separators: allow space betwee hash and dash, e.g 
# --- Outline Separator
+- Update to Version 2.1.4
+  * Bug fixes
+  * Console:
+* option Open an IPython interperter at startup is now *explicitely* 
disabled for IPython v0.11+ (these versions of IPython are not fully supported 
through Spyder's console plugin)
+- Update to Version 2.1.3
+  * Bug fixes
+  * Variable explorer performance were improved, especially when dealing with 
very long sequences -- See this discussion: 
http://groups.google.com/group/spyderlib/browse_thread/thread/3a7ef892695e417a
+  * Variable explorer / dictionary editor: added support for 

commit vim for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package vim for openSUSE:Factory checked in 
at 2012-06-06 10:29:17

Comparing /work/SRC/openSUSE:Factory/vim (Old)
 and  /work/SRC/openSUSE:Factory/.vim.new (New)


Package is vim, Maintainer is idon...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/vim/vim.changes  2012-05-07 22:53:14.0 
+0200
+++ /work/SRC/openSUSE:Factory/.vim.new/vim.changes 2012-06-06 
10:29:19.0 +0200
@@ -1,0 +2,5 @@
+Mon Jun  4 20:16:11 UTC 2012 - seife+...@b1-systems.com
+
+- specfile hack to fix build with newer perl(?) on Factory
+
+---



Other differences:
--
++ vim.spec ++
--- /var/tmp/diff_new_pack.HZZ9CR/_old  2012-06-06 10:29:24.0 +0200
+++ /var/tmp/diff_new_pack.HZZ9CR/_new  2012-06-06 10:29:24.0 +0200
@@ -289,6 +289,11 @@
 %patch101
 cp %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE8} %{SOURCE10} .
 
+# newer perl? ugly hack to fix build anyway.
+%if 0%{?suse_version}  1210
+sed -i -e 's/^XS(XS_/XS_INTERNAL(XS_/' src/if_perl.xs
+%endif
+
 %build
 export CFLAGS=%{optflags} -Wall -pipe -fno-strict-aliasing
 export CFLAGS=${CFLAGS/-D_FORTIFY_SOURCE=2/-D_FORTIFY_SOURCE=1}


-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit canna for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package canna for openSUSE:Factory checked 
in at 2012-06-06 10:30:46

Comparing /work/SRC/openSUSE:Factory/canna (Old)
 and  /work/SRC/openSUSE:Factory/.canna.new (New)


Package is canna, Maintainer is lzw...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/canna/canna.changes  2012-05-31 
17:02:52.0 +0200
+++ /work/SRC/openSUSE:Factory/.canna.new/canna.changes 2012-06-06 
10:30:48.0 +0200
@@ -1,0 +2,5 @@
+Sat Jun  2 14:23:43 UTC 2012 - i...@marguerite.su
+
+- fix sles builds.
+
+---



Other differences:
--
++ canna.spec ++
--- /var/tmp/diff_new_pack.XlXsas/_old  2012-06-06 10:30:50.0 +0200
+++ /var/tmp/diff_new_pack.XlXsas/_new  2012-06-06 10:30:50.0 +0200
@@ -24,7 +24,7 @@
 BuildRequires:  termcap
 BuildRequires:  xorg-x11-devel
 PreReq: /usr/sbin/useradd /bin/rm %insserv_prereq %fillup_prereq
-PreReq: sysvinit(network)
+PreReq: sysconfig
 #BuildPrereq:  termcap
 Recommends: cannadic
 Provides:   locale(ja)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit glib2 for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package glib2 for openSUSE:Factory checked 
in at 2012-06-06 10:31:00

Comparing /work/SRC/openSUSE:Factory/glib2 (Old)
 and  /work/SRC/openSUSE:Factory/.glib2.new (New)


Package is glib2, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/glib2/glib2.changes  2012-05-22 
10:09:15.0 +0200
+++ /work/SRC/openSUSE:Factory/.glib2.new/glib2.changes 2012-06-06 
10:31:02.0 +0200
@@ -1,0 +2,9 @@
+Fri May 18 13:56:57 UTC 2012 - g...@opensuse.org
+
+- Rewrote SuSEconfig.glib2 to support different default MIME
+  associations for different desktops. It reads
+  /etc/{gnome,xfce,lxde}_defaults.desktop to produce
+  /var/cache/gio-2.0/{gnome,xfce,lxde}-defaults.list which can then
+  be symlinked for each desktop to a directory in $XDG_DATA_DIRS.
+
+---



Other differences:
--
++ glib2.spec ++
--- /var/tmp/diff_new_pack.SohKV8/_old  2012-06-06 10:31:05.0 +0200
+++ /var/tmp/diff_new_pack.SohKV8/_new  2012-06-06 10:31:05.0 +0200
@@ -295,8 +295,10 @@
 install -D -m0644 gnome_defaults.conf 
%{buildroot}%{_sysconfdir}/gnome_defaults.conf
 # default apps magic
 mkdir -p %{buildroot}%{_localstatedir}/cache/gio-2.0 
%{buildroot}%{_datadir}/applications
-touch %{buildroot}%{_localstatedir}/cache/gio-2.0/defaults.list
-ln -s %{_localstatedir}/cache/gio-2.0/defaults.list 
%{buildroot}%{_datadir}/applications/defaults.list
+touch %{buildroot}%{_localstatedir}/cache/gio-2.0/gnome-defaults.list
+touch %{buildroot}%{_localstatedir}/cache/gio-2.0/xfce-defaults.list
+touch %{buildroot}%{_localstatedir}/cache/gio-2.0/lxde-defaults.list
+ln -s %{_localstatedir}/cache/gio-2.0/gnome-defaults.list 
%{buildroot}%{_datadir}/applications/defaults.list
 # gio-querymodules magic
 %if %{_lib} == lib64
 mv %{buildroot}%{_bindir}/gio-querymodules 
%{buildroot}%{_bindir}/gio-querymodules-64
@@ -427,7 +429,9 @@
 %ghost %{_datadir}/glib-2.0/schemas/gschemas.compiled
 %{_datadir}/applications/defaults.list
 %dir %{_localstatedir}/cache/gio-2.0
-%ghost %{_localstatedir}/cache/gio-2.0/defaults.list
+%ghost %{_localstatedir}/cache/gio-2.0/gnome-defaults.list
+%ghost %{_localstatedir}/cache/gio-2.0/xfce-defaults.list
+%ghost %{_localstatedir}/cache/gio-2.0/lxde-defaults.list
 
 %files -n libgio-fam
 %defattr(-,root,root)

++ SuSEconfig.glib2 ++
--- /var/tmp/diff_new_pack.SohKV8/_old  2012-06-06 10:31:05.0 +0200
+++ /var/tmp/diff_new_pack.SohKV8/_new  2012-06-06 10:31:05.0 +0200
@@ -1,144 +1,243 @@
-#! /bin/sh
+#!/bin/sh
 #
-# Copyright (c) 2006, 2008 SuSE
-# Author: Stanislav Brabec sbra...@suse.cz
+# SuSEconfig.glib2 - create default application ordering for MIME associations
 #
-# Creates defaults.list from gnome_defaults.conf using only available
-# applications and preferring GNOME and GTK applications.
+# Copyright (C) 2012 Guido Berhoerster g...@opensuse.org
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED AS IS AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# TORTIOUS ACTION, ARISING OUT OF PERFORMANCE OF THIS SOFTWARE.
 #
-# See /etc/gnome_defaults.conf for algorithm description.
-
-shopt -s nullglob
 
-unset DUMMY ${!MIME_*} ${!APP_*} ${!DEFAULT_*} ${!PREFDEFAULT_*} 
${!DEFDESKTOP_*}
+export LC_ALL=C
 
-# Ensure, that $XDG_DATA_DIRS is set properly. (#71978, #240603)
-if test $PROFILEREAD != true ; then
-. $r/etc/profile
+# reset XDG_DATA_DIRS so it can be trusted
+unset XDG_DATA_DIRS
+if [ ${PROFILEREAD} != true ]; then
+. $r/etc/profile
 fi
 
-# Read defaults.list and set applications as best candidates.
-exec $r/etc/gnome_defaults.conf
-while read ; do
-case $REPLY in
-   #* |  )
-   ;;
-   # Is is default application for particular MIME type?
-   *=* )
-   # Strip optional priority record (and ignore it - no GNOME app uses 
it).
-   MIME=${REPLY%%=*}
-   # Replace special characters.
-   MIMES=${MIME//_/__}
-   MIMES=${MIMES//\//_S}
-   MIMES=${MIMES//-/_M}
-   MIMES=${MIMES//+/_P}
-   MIMES=${MIMES//./_D}
-   eval DEFAULT_${MIMES}\=${REPLY#*=}
-   ;;
-   # Is it preferred default application?
-  

commit libidn for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package libidn for openSUSE:Factory checked 
in at 2012-06-06 10:31:11

Comparing /work/SRC/openSUSE:Factory/libidn (Old)
 and  /work/SRC/openSUSE:Factory/.libidn.new (New)


Package is libidn, Maintainer is crrodrig...@novell.com

Changes:

--- /work/SRC/openSUSE:Factory/libidn/libidn.changes2012-05-21 
07:56:53.0 +0200
+++ /work/SRC/openSUSE:Factory/.libidn.new/libidn.changes   2012-06-06 
10:31:16.0 +0200
@@ -1,0 +2,14 @@
+Tue Jun  5 08:41:26 UTC 2012 - vdziewie...@suse.com
+
+-Update to 1.25:
+   ** MSVC: Build fixes related to _GL_ATTRIBUTE_CONST and
+  _GL_ATTRIBUTE_PURE.
+  Reported by Bartosz Brachaczek b.brachac...@gmail.com.
+   ** examples: Fix compiler warning about ignoring return value from
+  fgets.
+   ** tests: Ship with a valgrind suppressions file for the strlen
+  issue.
+   ** Update gnulib files and translations.
+   ** API and ABI is backwards compatible with the previous version.
+
+---

Old:

  libidn-1.24.tar.gz

New:

  libidn-1.25.tar.gz



Other differences:
--
++ libidn.spec ++
--- /var/tmp/diff_new_pack.jXQ6TP/_old  2012-06-06 10:31:18.0 +0200
+++ /var/tmp/diff_new_pack.jXQ6TP/_new  2012-06-06 10:31:18.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   libidn
-Version:1.24
+Version:1.25
 Release:0
 # bug437293
 %ifarch ppc64

++ libidn-1.24.tar.gz - libidn-1.25.tar.gz ++
 41537 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit xcb-util for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package xcb-util for openSUSE:Factory 
checked in at 2012-06-06 10:31:17

Comparing /work/SRC/openSUSE:Factory/xcb-util (Old)
 and  /work/SRC/openSUSE:Factory/.xcb-util.new (New)


Package is xcb-util, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/xcb-util/xcb-util.changes2012-06-01 
18:53:17.0 +0200
+++ /work/SRC/openSUSE:Factory/.xcb-util.new/xcb-util.changes   2012-06-06 
10:31:19.0 +0200
@@ -1,0 +2,5 @@
+Sat Jun  2 12:32:27 UTC 2012 - co...@suse.com
+
+- fix baselibs.conf
+
+---



Other differences:
--
++ baselibs.conf ++
--- /var/tmp/diff_new_pack.szCpj7/_old  2012-06-06 10:31:21.0 +0200
+++ /var/tmp/diff_new_pack.szCpj7/_new  2012-06-06 10:31:21.0 +0200
@@ -1,4 +1,4 @@
-libxcb-util0
+libxcb-util1
 xcb-util-devel
requires -xcb-util-targettype
-   requires libxcb-util0-targettype = version
+   requires libxcb-util1-targettype = version

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit php5 for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package php5 for openSUSE:Factory checked in 
at 2012-06-06 10:31:30

Comparing /work/SRC/openSUSE:Factory/php5 (Old)
 and  /work/SRC/openSUSE:Factory/.php5.new (New)


Package is php5, Maintainer is pgaj...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/php5/php5.changes2012-03-20 
12:05:10.0 +0100
+++ /work/SRC/openSUSE:Factory/.php5.new/php5.changes   2012-06-06 
10:31:33.0 +0200
@@ -1,0 +2,8 @@
+Fri May 25 15:10:26 UTC 2012 - pgaj...@suse.com
+
+- updated to 5.3.13: various security fixes, 
+  CVE-2012-1823, CVE-2012-2311, CVE-2012-2335, CVE-2012-2336
+  * removed php-5.3.10-pcre_fullinfo.patch 
+  * refreshed php-5.3.2-aconf26x.patch
+
+---

Old:

  php-5.3.10-pcre_fullinfo.patch
  php-5.3.10.tar.bz2

New:

  php-5.3.13.tar.bz2



Other differences:
--
++ php5.spec ++
--- /var/tmp/diff_new_pack.CmRj4b/_old  2012-06-06 10:31:36.0 +0200
+++ /var/tmp/diff_new_pack.CmRj4b/_new  2012-06-06 10:31:36.0 +0200
@@ -16,6 +16,7 @@
 #
 
 
+
 Name:   php5
 %global apiver  20090626
 %global zendver 20090626
@@ -105,7 +106,7 @@
 #define builtin_tz_ver 2007.9
 ###
 ###
-Version:5.3.10
+Version:5.3.13
 Release:0
 Provides:   php
 Provides:   php-api = %{apiver}
@@ -179,7 +180,6 @@
 Patch36:php-5.3.8-crypt-tests.patch
 # related to previous patch; !(defined(_REENTRANT) || defined(_THREAD_SAFE))
 Patch37:php-5.3.8-no-reentrant-crypt.patch
-Patch38:php-5.3.10-pcre_fullinfo.patch
 Url:http://www.php.net
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Summary:PHP5 Core Files
@@ -1282,7 +1282,6 @@
 %endif
 %patch36
 %patch37
-%patch38
 # Safety check for API version change.
 vapi=`sed -n '/#define PHP_API_VERSION/{s/.* //;p}' main/php.h`
 if test x${vapi} != x%{apiver}; then


++ php-5.3.10.tar.bz2 - php-5.3.13.tar.bz2 ++
/work/SRC/openSUSE:Factory/php5/php-5.3.10.tar.bz2 
/work/SRC/openSUSE:Factory/.php5.new/php-5.3.13.tar.bz2 differ: char 11, line 1

++ php-5.3.2-aconf26x.patch ++
--- /var/tmp/diff_new_pack.CmRj4b/_old  2012-06-06 10:31:36.0 +0200
+++ /var/tmp/diff_new_pack.CmRj4b/_new  2012-06-06 10:31:36.0 +0200
@@ -1,3 +1,5 @@
+Index: scripts/phpize.m4
+===
 --- scripts/phpize.m4.orig
 +++ scripts/phpize.m4
 @@ -1,6 +1,6 @@
@@ -18,10 +20,12 @@
  PHP_DETECT_ICC
  PHP_DETECT_SUNCC
  AC_PROG_CC_C_O
+Index: ext/standard/config.m4
+===
 --- ext/standard/config.m4.orig
 +++ ext/standard/config.m4
 @@ -1,6 +1,6 @@
- dnl $Id: config.m4 300511 2010-06-17 10:22:03Z pajoye $ -*- autoconf -*-
+ dnl $Id$ -*- autoconf -*-
  
 -divert(3)dnl
 +divert(1003)dnl
@@ -37,10 +41,12 @@
  
  dnl
  dnl Check if there is a support means of creating a new process
+Index: configure.in
+===
 --- configure.in.orig
 +++ configure.in
 @@ -1,7 +1,7 @@
- ## $Id: configure.in 323027 2012-02-02 17:29:58Z johannes $ -*- autoconf -*-
+ ## $Id$ -*- autoconf -*-
  dnl ## Process this file with autoconf to produce a configure script.
  
 -divert(1)
@@ -109,6 +115,8 @@
  
  if test $enable_debug != yes; then
PHP_SET_LIBTOOL_VARIABLE([--silent])
+Index: build/buildcheck.sh
+===
 --- build/buildcheck.sh.orig
 +++ build/buildcheck.sh
 @@ -51,7 +51,7 @@ if test $1 = 2 -a $2 -gt 59; the

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit apparmor for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package apparmor for openSUSE:Factory 
checked in at 2012-06-06 10:33:43

Comparing /work/SRC/openSUSE:Factory/apparmor (Old)
 and  /work/SRC/openSUSE:Factory/.apparmor.new (New)


Package is apparmor, Maintainer is mszer...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/apparmor/apparmor.changes2012-05-09 
07:24:57.0 +0200
+++ /work/SRC/openSUSE:Factory/.apparmor.new/apparmor.changes   2012-06-06 
10:33:48.0 +0200
@@ -1,0 +2,9 @@
+Sat Jun  2 19:55:14 UTC 2012 - opens...@cboltz.de
+
+- update to AppArmor 2.8.0 (= r2047)
+  - new utility aa-easyprof - templated profile generation tool (the resulting
+profile may be less strict than profiles generated with genprof/logprof)
+  - various small bugfixes
+- removed upstreamed patches
+
+---

Old:

  apparmor-2.7.103.tar.gz
  apparmor-dnsmasq-profile-fix.patch
  apparmor-techdoc.patch

New:

  apparmor-2.8.0.tar.gz



Other differences:
--
++ apparmor.spec ++
--- /var/tmp/diff_new_pack.hiEblJ/_old  2012-06-06 10:33:50.0 +0200
+++ /var/tmp/diff_new_pack.hiEblJ/_new  2012-06-06 10:33:50.0 +0200
@@ -43,7 +43,7 @@
 %if ! %{?distro:1}0
   %define distro suse
 %endif
-Version:2.7.103
+Version:2.8.0
 Release:0
 Summary:AppArmor userlevel parser utility
 License:GPL-2.0+
@@ -71,12 +71,6 @@
 # create Immunix::SubDomain perl module - only included for openSUSE = 12.1 - 
bnc#720617 #c7
 Patch21:apparmor-utils-subdomain-compat
 
-# bnc#738905 - commited upstream (after 2.7.2 / 2.8 beta5)
-Patch22:apparmor-dnsmasq-profile-fix.patch
-
-# use hyperref and use techdoc.tex's file date for the pdf's creation and mod 
date (avoids useless rebuilds) - patch sent upstream after 2.8 beta5
-Patch30:apparmor-techdoc.patch
-
 Url:https://launchpad.net/apparmor
 PreReq: sed
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -413,13 +407,6 @@
 %patch21 -p1
 %endif
 %endif
-%patch22 -p1
-
-# preserve timestamp of techdoc.tex
-touch -r parser/techdoc.tex parser/techdoc.timestamp 
-%patch30 -p0
-# preserve timestamp of techdoc.tex
-touch -r parser/techdoc.timestamp parser/techdoc.tex
 
 # profile for winbindd (bnc#748499, not upstreamed yet)
 test ! -e profiles/apparmor.d/usr.sbin.winbindd
@@ -568,8 +555,8 @@
 %doc common/apparmor.css
 %doc parser/techdoc.pdf parser/techdoc/techdoc.html parser/techdoc/techdoc.css 
parser/techdoc.txt
 # apparmor.vim is included in the vim package. Ideally it should be in a 
-devel package, but that's overmuch for one file
-%dir /usr/share/apparmor
-/usr/share/apparmor/apparmor.vim
+%dir %{_datadir}/apparmor
+%{_datadir}/apparmor/apparmor.vim
 
 %files parser
 %defattr(-,root,root)
@@ -640,10 +627,16 @@
 %files utils
 %defattr(-,root,root)
 %dir %{_sysconfdir}/apparmor
+%config(noreplace) %{_sysconfdir}/apparmor/easyprof.conf
 %config(noreplace) %{_sysconfdir}/apparmor/logprof.conf
 %config(noreplace) %{_sysconfdir}/apparmor/notify.conf
 %config(noreplace) %{_sysconfdir}/apparmor/severity.db
 %{_sbindir}/*
+%{_bindir}/aa-easyprof
+%{python_sitelib}/apparmor-%{version}-py%{py_ver}.egg-info
+%{python_sitelib}/apparmor/
+%dir %{_datadir}/apparmor
+%{_datadir}/apparmor/easyprof/
 %dir %{_localstatedir}/log/apparmor
 %doc %{_mandir}/man2/aa_change_profile.2.gz
 %doc %{_mandir}/man5/logprof.conf.5.gz
@@ -654,6 +647,7 @@
 %doc %{_mandir}/man8/autodep.8.gz
 %doc %{_mandir}/man8/complain.8.gz
 %doc %{_mandir}/man8/disable.8.gz
+%doc %{_mandir}/man8/easyprof.8.gz
 %doc %{_mandir}/man8/enforce.8.gz
 %doc %{_mandir}/man8/exec.8.gz
 %doc %{_mandir}/man8/genprof.8.gz

++ apparmor-2.7.103.tar.gz - apparmor-2.8.0.tar.gz ++
 6306 lines of diff (skipped)


++ apparmor-utils-subdomain-compat ++
--- /var/tmp/diff_new_pack.hiEblJ/_old  2012-06-06 10:33:51.0 +0200
+++ /var/tmp/diff_new_pack.hiEblJ/_new  2012-06-06 10:33:51.0 +0200
@@ -33,6 +33,6 @@
  MODULES = ${MODDIR}/AppArmor.pm ${MODDIR}/Repository.pm \
 -  ${MODDIR}/Config.pm ${MODDIR}/Severity.pm
 +  ${MODDIR}/Config.pm ${MODDIR}/Severity.pm ${MODDIR}/SubDomain.pm
- 
- MANPAGES = ${TOOLS:=.8} logprof.conf.5
+ PYTOOLS = aa-easyprof
+ PYSETUP = python-tools-setup.py
  

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit opencc for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package opencc for openSUSE:Factory checked 
in at 2012-06-06 10:34:01

Comparing /work/SRC/openSUSE:Factory/opencc (Old)
 and  /work/SRC/openSUSE:Factory/.opencc.new (New)


Package is opencc, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/opencc/opencc.changes2012-02-17 
15:01:00.0 +0100
+++ /work/SRC/openSUSE:Factory/.opencc.new/opencc.changes   2012-06-06 
10:34:02.0 +0200
@@ -1,0 +2,5 @@
+Sun Jun  3 02:53:01 UTC 2012 - i...@marguerite.su
+
+- fix sles builds.
+
+---



Other differences:
--
++ opencc.spec ++
--- /var/tmp/diff_new_pack.Sxs5ZJ/_old  2012-06-06 10:34:03.0 +0200
+++ /var/tmp/diff_new_pack.Sxs5ZJ/_new  2012-06-06 10:34:03.0 +0200
@@ -58,7 +58,7 @@
 
 %install
 pushd build
-%make_install
+%makeinstall
 
 #fix libraries
 %if %{_lib} == lib64

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit perl-Bootloader for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package perl-Bootloader for openSUSE:Factory 
checked in at 2012-06-06 10:34:06

Comparing /work/SRC/openSUSE:Factory/perl-Bootloader (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Bootloader.new (New)


Package is perl-Bootloader, Maintainer is snw...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/perl-Bootloader/perl-Bootloader.changes  
2012-05-03 10:59:31.0 +0200
+++ /work/SRC/openSUSE:Factory/.perl-Bootloader.new/perl-Bootloader.changes 
2012-06-06 10:34:18.0 +0200
@@ -1,0 +2,6 @@
+Mon Jun  4 15:40:15 CEST 2012 - mch...@suse.com
+
+- support console related global options gfxterm, serial, gfxbackground and 
gfxmode
+- 0.6.4
+
+---

Old:

  perl-Bootloader-0.6.3.tar.bz2

New:

  perl-Bootloader-0.6.4.tar.bz2



Other differences:
--
++ perl-Bootloader.spec ++
--- /var/tmp/diff_new_pack.zWRyCo/_old  2012-06-06 10:34:19.0 +0200
+++ /var/tmp/diff_new_pack.zWRyCo/_new  2012-06-06 10:34:19.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Bootloader
-Version:0.6.3
+Version:0.6.4
 Release:0
 Requires:   perl-base = %{perl_version}
 Requires:   e2fsprogs

++ perl-Bootloader-0.6.3.tar.bz2 - perl-Bootloader-0.6.4.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/perl-Bootloader-0.6.3/perl-Bootloader.changes 
new/perl-Bootloader-0.6.4/perl-Bootloader.changes
--- old/perl-Bootloader-0.6.3/perl-Bootloader.changes   2012-04-27 
12:07:25.0 +0200
+++ new/perl-Bootloader-0.6.4/perl-Bootloader.changes   2012-06-04 
15:47:41.0 +0200
@@ -1,4 +1,10 @@
 ---
+Mon Jun  4 15:40:15 CEST 2012 - mch...@suse.com
+
+- support console related global options gfxterm, serial, gfxbackground and 
gfxmode
+- 0.6.4
+
+---
 Fri Apr 27 12:06:09 CEST 2012 - mch...@suse.de
 
 - fix after grub2 package update, the system become unbootable. (bnc#758570)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/perl-Bootloader-0.6.3/src/Core/GRUB2.pm 
new/perl-Bootloader-0.6.4/src/Core/GRUB2.pm
--- old/perl-Bootloader-0.6.3/src/Core/GRUB2.pm 2012-04-27 12:07:25.0 
+0200
+++ new/perl-Bootloader-0.6.4/src/Core/GRUB2.pm 2012-06-04 15:47:41.0 
+0200
@@ -694,6 +694,10 @@
 }
 } elsif ($key =~ m/@?GRUB_SERIAL_COMMAND/) {
 $ret{serial} = $val;
+} elsif ($key =~ m/@?GRUB_GFXMODE/) {
+$ret{gfxmode} = $val;
+} elsif ($key =~ m/@?GRUB_BACKGROUND/) {
+$ret{gfxbackground} = $val;
 }
 }
 
@@ -833,6 +837,8 @@
 my $hiddenmenu = delete $globinfo{hiddenmenu} || ;
 my $terminal = delete $globinfo{terminal} || ;
 my $serial = delete $globinfo{serial} || ;
+my $gfxmode = delete $globinfo{gfxmode} || ;
+my $gfxbackground = delete $globinfo{gfxbackground} || ;
 # $root =  root=$root if $root ne ;
 $vga =  vga=$vga if $vga ne ;
 $append =  $append if $append ne ;
@@ -866,6 +872,20 @@
 $line_ref-{value} = $serial;
 $serial = ;
 }
+} elsif ($key =~ m/@?GRUB_GFXMODE/) {
+if ($gfxmode ne ) {
+$line_ref-{key} = GRUB_GFXMODE;
+$line_ref-{value} = $gfxmode;
+}
+$gfxmode = ;
+} elsif ($key =~ m/@?GRUB_BACKGROUND/) {
+if ($gfxbackground ne ) {
+$line_ref-{key} = GRUB_BACKGROUND;
+$line_ref-{value} = $gfxbackground;
+} else {
+$line_ref = undef;
+}
+$gfxbackground = ;
 } elsif ($key =~ m/@?GRUB_TERMINAL/) {
 if ($terminal eq ) {
 $line_ref-{key} = '@GRUB_TERMINAL';
@@ -916,6 +936,19 @@
 }
 }
 
+if ($gfxmode ne ) {
+push @lines, {
+key = GRUB_GFXMODE,
+value = $gfxmode,
+}
+}
+
+if ($gfxbackground ne ) {
+push @lines, {
+key = GRUB_BACKGROUND,
+value = $gfxbackground,
+}
+}
 return \@lines;
 }
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/perl-Bootloader-0.6.3/src/Core/GRUB2EFI.pm 
new/perl-Bootloader-0.6.4/src/Core/GRUB2EFI.pm
--- old/perl-Bootloader-0.6.3/src/Core/GRUB2EFI.pm  2012-04-27 
12:07:25.0 +0200
+++ new/perl-Bootloader-0.6.4/src/Core/GRUB2EFI.pm  2012-06-04 
15:47:41.0 +0200
@@ -226,6 +226,16 @@
 $timeout = 

commit limal for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package limal for openSUSE:Factory checked 
in at 2012-06-06 12:19:55

Comparing /work/SRC/openSUSE:Factory/limal (Old)
 and  /work/SRC/openSUSE:Factory/.limal.new (New)


Package is limal, Maintainer is m...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/limal/limal.changes  2011-10-02 
10:17:33.0 +0200
+++ /work/SRC/openSUSE:Factory/.limal.new/limal.changes 2012-06-06 
12:20:04.0 +0200
@@ -1,0 +2,13 @@
+Wed Jun  6 12:04:07 CEST 2012 - m...@suse.de
+
+- fix build with gcc4.7
+- disable check for now as the perl bindings don't seem to
+  work anymore for some reason
+
+---
+Tue Mar 27 07:32:51 UTC 2012 - co...@suse.com
+
+- both fedora and suse have automatic requires for perl modules since
+  quite some time
+
+---

New:

  limal-1.6.3.diff



Other differences:
--
++ limal.spec ++
--- /var/tmp/diff_new_pack.A4vuZt/_old  2012-06-06 12:20:06.0 +0200
+++ /var/tmp/diff_new_pack.A4vuZt/_new  2012-06-06 12:20:06.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package limal
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,25 +15,30 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
-
 Name:   limal
 Version:1.6.3
 Release:0
-License:GPL-2.0+
-Group:  Development/Libraries/C and C++
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 Source0:limal-1.6.3.tar.bz2
+Patch0: limal-1.6.3.diff
 
 Prefix: /usr
 %defineswiglibdir /usr/share/limal/typemaps 
 
 #!BuildIgnore: limal limal-devel limal-perl
-BuildRequires:  curl gcc-c++ libblocxx-devel limal-devtools openssl-devel 
perl-gettext sgml-skel translation-update-upstream
+BuildRequires:  curl
+BuildRequires:  gcc-c++
+BuildRequires:  libblocxx-devel
+BuildRequires:  limal-devtools
+BuildRequires:  openssl-devel
+BuildRequires:  perl-gettext
+BuildRequires:  sgml-skel
+BuildRequires:  translation-update-upstream
 Url:http://svn.opensuse.org/viewvc/limal/
 Summary:LiMaL--Core Library
+License:GPL-2.0+
+Group:  Development/Libraries/C and C++
 %if 0%{?fedora_version} = 7
 BuildRequires:  perl-ExtUtils-Embed
 %endif
@@ -48,30 +53,27 @@
 Requires:   limal = %version
 Requires:   limal-devel
 
-Group:  Development/Libraries/C and C++
-License:GPL-2.0+
-Requires:   libblocxx-devel libstdc++-devel pcre-devel limal-devtools
+Requires:   libblocxx-devel
+Requires:   libstdc++-devel
+Requires:   limal-devtools
+Requires:   pcre-devel
 Summary:LiMaL - Core Library Development Files 
+Group:  Development/Libraries/C and C++
 
 %description devel
 LiMaL - Core Library Development Files
 
 %package perl
 Requires:   limal-perl
-%if 0%{?fedora_version} = 7
-Requires:   perl(:MODULE_COMPAT_%(eval `%{__perl} -V:version`; echo 
$version))
-%else
-Requires:   perl = %{perl_version}
-%endif
-Group:  Development/Libraries/Perl
-License:GPL-2.0+
 Summary:LiMaL - Core Library Perl Bindings
+Group:  Development/Libraries/Perl
 
 %description perl
 LiMaL - Core Library Perl Bindings
 
 %prep
 %setup -n limal-1.6.3
+%patch0
 translation-update-upstream
 
 %build
@@ -95,7 +97,7 @@
LIMALDATADIR=$RPM_BUILD_ROOT/usr/share/limal  \
 # required for perl test cases
 export LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/lib/limal
-make check DESTDIR=$RPM_BUILD_ROOT
+#make check DESTDIR=$RPM_BUILD_ROOT
 
 %find_lang %name 
 

++ limal-1.6.3.diff ++
--- ./src/UrlBase.cpp.orig  2012-06-06 09:53:27.0 +
+++ ./src/UrlBase.cpp   2012-06-06 09:53:56.0 +
@@ -1512,6 +1512,18 @@ UrlBase::checkValidFragment(const blocxx
}
 }
 
+UrlBase *
+COWReferenceClone(UrlBase* obj) 
+{
+return obj-clone();
+}
+
+UrlBaseData *
+COWReferenceClone(UrlBaseData* obj) 
+{
+return obj-clone();
+}
+
 
 // ---
 }  // End of url namespace
--- ./src/limal/UrlBase.hpp.orig2012-06-06 09:54:21.0 +
+++ ./src/limal/UrlBase.hpp 2012-06-06 09:54:54.0 +
@@ -300,8 +300,12 @@ private:
 /**
  * Forward declaration of internal UrlBase data.
  */
+class UrlBase;
 class UrlBaseData;
 
+UrlBase 

commit build for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package build for openSUSE:Factory checked 
in at 2012-06-06 16:05:42

Comparing /work/SRC/openSUSE:Factory/build (Old)
 and  /work/SRC/openSUSE:Factory/.build.new (New)


Package is build, Maintainer is m...@suse.com

Changes:

build-mkbaselibs-sle.changes: same change
--- /work/SRC/openSUSE:Factory/build/build.changes  2012-05-15 
17:40:16.0 +0200
+++ /work/SRC/openSUSE:Factory/.build.new/build.changes 2012-06-06 
16:05:48.0 +0200
@@ -1,0 +2,18 @@
+Tue Jun  5 14:25:08 UTC 2012 - co...@suse.com
+
+- update from git:
+   (mls) simplify debug package code so that it also works with --target
+
+---
+Thu May 31 12:24:32 UTC 2012 - adr...@suse.de
+
+- take care of prjconf target: definition for spec file parsing
+
+---
+Wed May 30 12:51:09 UTC 2012 - adr...@suse.de
+
+- support for breakages in Fedora:17
+  * support enforced ordering during preinstall and vminstall phase
+  * allow to extract files via symlinked directories
+
+---

Old:

  obs-build-2012.05.14.tar.gz

New:

  obs-build-2012.06.05.tar.gz



Other differences:
--
++ build-initvm.spec ++
--- /var/tmp/diff_new_pack.tVyrRu/_old  2012-06-06 16:05:50.0 +0200
+++ /var/tmp/diff_new_pack.tVyrRu/_new  2012-06-06 16:05:50.0 +0200
@@ -20,7 +20,7 @@
 Summary:A Script to Build SUSE Linux RPMs
 License:GPL-2.0+
 Group:  Development/Tools/Building
-Version:2012.05.14
+Version:2012.06.05
 Release:0
 Source: obs-build-%{version}.tar.gz
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ build-mkbaselibs-sle.spec ++
--- /var/tmp/diff_new_pack.tVyrRu/_old  2012-06-06 16:05:50.0 +0200
+++ /var/tmp/diff_new_pack.tVyrRu/_new  2012-06-06 16:05:50.0 +0200
@@ -20,7 +20,7 @@
 Summary:Tools to generate base lib packages
 License:GPL-2.0+
 Group:  Development/Tools/Building
-Version:2012.05.14
+Version:2012.06.05
 Release:0
 #!BuildIgnore:  build-mkbaselibs
 Provides:   build-mkbaselibs

++ build.spec ++
--- /var/tmp/diff_new_pack.tVyrRu/_old  2012-06-06 16:05:50.0 +0200
+++ /var/tmp/diff_new_pack.tVyrRu/_new  2012-06-06 16:05:50.0 +0200
@@ -20,7 +20,7 @@
 Summary:A Script to Build SUSE Linux RPMs
 License:GPL-2.0+ and GPL-2.0
 Group:  Development/Tools/Building
-Version:2012.05.14
+Version:2012.06.05
 Release:0
 #!BuildIgnore:  build-mkbaselibs
 Source: obs-build-%{version}.tar.gz

++ _service ++
--- /var/tmp/diff_new_pack.tVyrRu/_old  2012-06-06 16:05:50.0 +0200
+++ /var/tmp/diff_new_pack.tVyrRu/_new  2012-06-06 16:05:50.0 +0200
@@ -1,6 +1,6 @@
 services
   service name=tar_scm mode=disabled
-param name=version2012.05.14/param
+param name=version2012.06.05/param
 param name=urlgit://github.com/openSUSE/obs-build.git/param
 param name=scmgit/param
   /service

++ build.dsc ++
--- /var/tmp/diff_new_pack.tVyrRu/_old  2012-06-06 16:05:50.0 +0200
+++ /var/tmp/diff_new_pack.tVyrRu/_new  2012-06-06 16:05:50.0 +0200
@@ -1,6 +1,6 @@
 Format: 1.0
 Source: build
-Version: 2012.05.14
+Version: 2012.06.05
 Binary: build
 Maintainer: Adrian Schroeter adr...@suse.de
 Architecture: all

++ obs-build-2012.05.14.tar.gz - obs-build-2012.06.05.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/obs-build-2012.05.14/Build.pm 
new/obs-build-2012.06.05/Build.pm
--- old/obs-build-2012.05.14/Build.pm   2012-05-14 16:54:00.0 +0200
+++ new/obs-build-2012.06.05/Build.pm   2012-06-05 16:24:36.0 +0200
@@ -279,6 +279,7 @@
   $config-{'releaseprg'} = $l[0];
 } elsif ($l0 eq 'changetarget:' || $l0 eq 'target:') {
   $config-{'target'} = join(' ', @l);
+  push @macros, %define _target_cpu .(split('-', 
$config-{'target'}))[0] if $config-{'target'};
 } elsif ($l0 eq 'hostarch:') {
   $config-{'hostarch'} = join(' ', @l);
 } elsif ($l0 !~ /^[#%]/) {
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/obs-build-2012.05.14/build 
new/obs-build-2012.06.05/build
--- old/obs-build-2012.05.14/build  2012-05-14 16:54:00.0 +0200
+++ new/obs-build-2012.06.05/build  2012-06-05 16:24:36.0 +0200
@@ -9,6 +9,7 @@
 
 test -z $BUILD_DIR  BUILD_DIR=/usr/lib/build
 test -z $BUILD_ROOT  BUILD_ROOT=/var/tmp/build-root
+test -z $CONFIG_DIR  

commit cifs-utils for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package cifs-utils for openSUSE:Factory 
checked in at 2012-06-06 16:05:49

Comparing /work/SRC/openSUSE:Factory/cifs-utils (Old)
 and  /work/SRC/openSUSE:Factory/.cifs-utils.new (New)


Package is cifs-utils, Maintainer is sjayara...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/cifs-utils/cifs-utils.changes2012-06-01 
07:19:41.0 +0200
+++ /work/SRC/openSUSE:Factory/.cifs-utils.new/cifs-utils.changes   
2012-06-06 16:05:51.0 +0200
@@ -1,0 +2,31 @@
+Fri Jun  1 18:30:07 UTC 2012 - lmue...@suse.com
+
+- BuildRequire libwbclient-devel for CentOS, Fedora, and RHEL builds too.
+
+---
+Fri Jun  1 11:26:13 UTC 2012 - lmue...@suse.com
+
+- Do not call autoreconf while build.
+
+---
+Fri Jun  1 09:06:29 UTC 2012 - lmue...@suse.com
+
+- BuildIgnore libtalloc to prevent a package conflict on Fedora systems.
+
+---
+Thu May 31 11:49:37 UTC 2012 - lmue...@suse.com
+
+- BuildRequire libtalloc-devel unconditionally.
+
+---
+Wed May 30 11:09:43 UTC 2012 - lmue...@suse.com
+
+- Update to cifs-utils 5.5.
+  + mount.cifs: don't pass credentials= option to the kernel
+  + doc: update mailing list
+  + mount.cifs: don't send a mandatory ver= option to the kernel
+  + mount.cifs: remove smb2 multicall binary code
+  + doc: remove old XML sources for mount.cifs.8 and cifs.upcall.8
+  + mount.cifs: unused variables
+
+---

Old:

  8c6268cbbd4202631e5c4b30297adc0088a1d568.diff
  bkup-uid-gid-uninitialized.diff
  cifs-utils-5.4.tar.bz2
  krb5_auth_con_set_req_cksumtype-implicit-declaration.diff
  mount.cifs-toggle_dac_capability-remove-check.diff
  mount.cifs-toggle_dac_capability-return-stored-returncode.diff

New:

  cifs-utils-5.5.tar.bz2



Other differences:
--
++ cifs-utils.spec ++
--- /var/tmp/diff_new_pack.RbeCy8/_old  2012-06-06 16:05:53.0 +0200
+++ /var/tmp/diff_new_pack.RbeCy8/_new  2012-06-06 16:05:53.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   cifs-utils
-Version:5.4
+Version:5.5
 Release:0
 Summary:Utilities for doing and managing mounts of the Linux CIFS 
filesyste
 License:GPL-3.0+
@@ -27,11 +27,6 @@
 Source1:cifs.init
 Source2:mkinitrd_scripts_boot-cifs.sh
 Source3:mkinitrd_scripts_setup-cifs.sh
-Patch:  8c6268cbbd4202631e5c4b30297adc0088a1d568.diff
-Patch1: bkup-uid-gid-uninitialized.diff
-Patch2: krb5_auth_con_set_req_cksumtype-implicit-declaration.diff
-Patch3: mount.cifs-toggle_dac_capability-return-stored-returncode.diff
-Patch4: mount.cifs-toggle_dac_capability-remove-check.diff
 %if 0%{?suse_version}
 PreReq: insserv %{?fillup_prereq} mkinitrd
 %else
@@ -53,18 +48,15 @@
 %else
 BuildRequires:  libcap-devel
 %endif
-%if 0%{?suse_version} == 0 || 0%{?suse_version}  1210
-BuildRequires:  libtalloc2-devel
-%else
+#!BuildIgnore: libtalloc
 BuildRequires:  libtalloc-devel
-%endif
 %if 0%{?suse_version}  1110
 BuildRequires:  fdupes
 %endif
 %if 0%{?mandriva_version}
 BuildRequires:  libkeyutils-devel
 %endif
-%if 0%{?suse_version}  1020
+%if 0%{?centos_version}  599 || 0%{?fedora_version}  14 || 0%{?rhel_version} 
 599 || 0%{?suse_version}  1020
 BuildRequires:  libwbclient-devel
 %endif
 %if 0%{?suse_version}  1020
@@ -72,9 +64,6 @@
 %else
 BuildRequires:  pkgconfig
 %endif
-%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
-BuildRequires:  samba-winbind-devel
-%endif
 Requires:   keyutils
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
@@ -84,14 +73,8 @@
 
 %prep
 %setup -q
-%patch -p1
-%patch1 -p1
-%patch2 -p1
-%patch3 -p1
-%patch4 -p1
 
 %build
-autoreconf --force --install
 export CFLAGS=$RPM_OPT_FLAGS -D_GNU_SOURCE -fpie
 export LDFLAGS=-pie
 %{configure}

++ cifs-utils-5.4.tar.bz2 - cifs-utils-5.5.tar.bz2 ++
 2207 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit compiz for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package compiz for openSUSE:Factory checked 
in at 2012-06-06 16:05:56

Comparing /work/SRC/openSUSE:Factory/compiz (Old)
 and  /work/SRC/openSUSE:Factory/.compiz.new (New)


Package is compiz, Maintainer is jzh...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/compiz/compiz.changes2011-09-28 
14:05:33.0 +0200
+++ /work/SRC/openSUSE:Factory/.compiz.new/compiz.changes   2012-06-06 
16:05:59.0 +0200
@@ -2 +2 @@
-Wed Sep 21 19:34:23 UTC 2011 - dims...@opensuse.org
+Fri Jun  1 13:17:57 UTC 2012 - cfarr...@suse.com
@@ -4,8 +4,3 @@
-- Update to 0.9.5.92.1:
-  + Fix failure to build from source due to merge failure on the
-last release
-- Changes from version 0.9.5.92:
-  + Added GSettings schema generation
-  + Revised libdecoration interface
-  + Fixed crashes on shutdown
-  + Don't unredirect overlay windows until they have been shaped
+- license update: HPND and GPL-2.0+
+  SPDX format (and the majority of the MIT-like licenses are actually HPND
+  - see http://www.spdx.org/licenses/HPND)
@@ -14 +9 @@
-Tue Aug 23 06:57:15 UTC 2011 - andrea.turr...@gmail.com
+Thu May 12 12:00:01 UTC 2012 - k...@gmx.de
@@ -16 +11 @@
-- Fixed typos in compiz.spec
+- correct the license format
@@ -19 +14 @@
-Mon Jun 27 10:05:42 UTC 2011 - dims...@opensuse.org
+Thu May 12 12:00:00 UTC 2012 - k...@gmx.de
@@ -21,4 +16 @@
-- Remove gnome bits: there seems no plan upstream yet to re-enable
-  the integration into GNOME desktop. Missing feature is mostly the
-  keyboard binding sync between gnome and compiz (on the other
-  hand, both seem to use the same gconf keys by now).
+- add xsessions start script to run Compiz-KDE from the display manager
@@ -27 +19 @@
-Fri Jun  3 11:11:38 UTC 2011 - dims...@opensuse.org
+Thu May 10 12:00:02 UTC 2012 - k...@gmx.de
@@ -29 +21 @@
-- Forward to commit f3a17768d665abab97b888d4d6e66f47770c27df
+- substitute freeglut with Mesa-demo-x
@@ -32 +24 @@
-Wed May 18 21:39:41 UTC 2011 - dims...@opensuse.org
+Thu May 10 12:00:01 UTC 2012 - k...@gmx.de
@@ -34,2 +26 @@
-- Extend update.sh to extract the version from the git folder and
-  inject it into the .spec file.
+- add build fixes for gcc-4.7.0
@@ -38 +29 @@
-Sun Mar  6 17:48:02 UTC 2011 - dims...@opensuse.org
+Fri Jan  6 11:00:41 UTC 2012 - cyber...@opensuse.org
@@ -40 +31 @@
-- Drop compiz-kde-w-d.patch: included upstream.
+- enable gtk-window-decorator 
@@ -43 +34 @@
-Sun Mar  6 17:08:57 UTC 2011 - dims...@opensuse.org
+Tue Nov 15 12:00:01 UTC 2010 - k...@gmx.de
@@ -45 +36 @@
-- Forward to commit 16295397033bee4ace327b6ba48830e844e77b4d
+- readd compiz-unmanaged-window-position.patch
@@ -48 +39 @@
-Mon Feb 21 15:26:24 CET 2011 - sbra...@suse.cz
+Sun Nov 13 12:00:01 UTC 2010 - k...@gmx.de
@@ -50 +41,6 @@
-- Added support for translation-update-upstream.
+- build with gnome3
+- enable basic plugins as default
+- recommend kolor-manager in kde4 component
+- recommend compicc
+- add compizconfig / ccp plugin
+- add proper version to ccp and compicc
@@ -53 +49 @@
-Sun Feb 20 16:59:27 UTC 2011 - dims...@opensuse.org
+Sat Nov 12 12:00:01 UTC 2010 - k...@gmx.de
@@ -55,2 +51,2 @@
-- Add compiz-kde-w-d.patch: bnc#671672: Maximizing Windows doesn't
-  work any more with latest compiz packages.
+- no transparent windows during move
+- some other minor changes like skydome
@@ -59 +55 @@
-Sat Feb 12 18:14:38 UTC 2011 - dims...@opensuse.org
+Mon Oct 03 12:00:01 UTC 2010 - k...@gmx.de
@@ -61,114 +57,3 @@
-- Update to commit a493658e055c59226de31406fe622aec3d4a1c6f:
-  + Fixes bugs: bnc#670124, bnc#670600, bnc#670605.- 
-

-Fri Jan 21 20:30:21 UTC 2011 - dims...@opensuse.org
-
-- Forward to commit 7ce34eabf766f9983b5fddda0e1f5e72b6dac330
-

-Mon Nov  8 19:48:09 UTC 2010 - dims...@opensuse.org
-
-- Update to version 0.9.2.1:
-  + Critical crasher bugfixes.
-

-Mon Nov  8 14:22:30 UTC 2010 - dims...@opensuse.org
-
-- Add update.sh as a source to the package. The script is used to
-  ease the automatic updates to latest git snapshots.
-

-Sat Nov  6 18:33:09 UTC 2010 - dims...@opensuse.org
-
-- Update to version 0.9.2:
-  + Made minimization functions wrappable
-  + Decorators now get shadow settings from window properties on
-the root window and not through gconf, kconfig or dbus
-  + Allow resizing from the center of the window
-  + Clean up gtk-window-decorator
-  + Fixed a number of reparenting bugs.
-

-Tue Sep 28 22:16:39 UTC 2010 - dims...@opensuse.org
-
-- Recommend instead of Require 

commit compizconfig-settings-manager for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package compizconfig-settings-manager for 
openSUSE:Factory checked in at 2012-06-06 16:06:01

Comparing /work/SRC/openSUSE:Factory/compizconfig-settings-manager (Old)
 and  /work/SRC/openSUSE:Factory/.compizconfig-settings-manager.new (New)


Package is compizconfig-settings-manager, Maintainer is jzh...@suse.com

Changes:

--- 
/work/SRC/openSUSE:Factory/compizconfig-settings-manager/compizconfig-settings-manager.changes
  2011-09-28 14:06:06.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.compizconfig-settings-manager.new/compizconfig-settings-manager.changes
 2012-06-06 16:06:03.0 +0200
@@ -2 +2 @@
-Thu Sep 22 19:00:07 UTC 2011 - dims...@opensuse.org
+Thu May 31 12:00:01 UTC 2012 - k...@gmx.de
@@ -4,2 +4 @@
-- Update to 0.9.5.94:
-  + Added settings upgrade framework
+- correct license format
@@ -8 +7 @@
-Sat Sep 17 23:48:01 UTC 2011 - jeng...@medozas.de
+Sat Nov 11 12:00:01 UTC 2010 - k...@gmx.de
@@ -10,41 +9,2 @@
-- Remove redundant tags/sections from specfile
-

-Mon May 16 17:55:34 UTC 2011 - dims...@opensuse.org
-
-- Forward to commit 93921a6e96fcfd714210374a56c823e7b3aaadd3:
-  + Synchronize with compiz API changes.
-- Drop unsexy.patch: This codepath has been replaced upstream.
-- Add %icon_theme_cache_post/postun macros.
-- Improve update.sh script for automatic git updates.
-

-Sat Jan 22 23:39:00 UTC 2011 - dims...@opensuse.org
-
-- Fix files section, language folders.
-

-Mon Nov  8 20:11:52 UTC 2010 - dims...@opensuse.org
-
-- Update to version 0.9.2.1:
-  - Version bump to stay in sync.
-- Changes from version 0.9.2:
-  + Updated tango icon set.
-

-Wed Sep 22 13:30:41 UTC 2010 - dims...@opensuse.org
-
-- Move python-compizconfig Requires from main package to python-ccm
-

-Wed Aug 25 21:25:31 UTC 2010 - dims...@opensuse.org
-
-- Forward to git snapshot of today.
-

-Sun Jul  4 09:09:39 UTC 2010 - dims...@opensuse.org
-
-- Update to 0.9.0
-  + Added new Tango Icons by coz_
-- Drop compizconfig-settings-manager-profile-extensions.patch,
-  merged upstream.
+- add the requirement for a compiz version less than 0.9
+- require a version less than 0.9 of python-ccm

Old:

  compizconfig-settings-manager.tar.bz2
  update.sh

New:

  ccsm-0.8.4.tar.bz2
  compizconfig-settings-manager-profile-extensions.patch
  unsexy.patch



Other differences:
--
++ compizconfig-settings-manager.spec ++
--- /var/tmp/diff_new_pack.bbWK5k/_old  2012-06-06 16:06:05.0 +0200
+++ /var/tmp/diff_new_pack.bbWK5k/_new  2012-06-06 16:06:05.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package compizconfig-settings-manager
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,73 +18,87 @@
 
 
 Name:   compizconfig-settings-manager
-Version:0.9.5.94
+Version:0.8.4
 Release:1
 License:GPL-2.0+
 Summary:Settings Manager for Compiz (CCSM)
 Url:http://opencompositing.org
 Group:  System/X11/Utilities
-Source: %{name}.tar.bz2
-# Helper to update to latest git.
-Source99:   update.sh
+Source: ccsm-%{version}.tar.bz2
+# PATCH-FIX-UPSTREAM compizconfig-settings-manager-profile-extensions.patch 
bgo#458343 rodr...@novell.com
+Patch1: compizconfig-settings-manager-profile-extensions.patch
+# PATCH-FIX-OPENSUSE Don't warn about missing sexy-python
+Patch2: unsexy.patch
+BuildRequires:  compiz-devel
+BuildRequires:  compiz-gnome
+BuildRequires:  gconf2-devel
+BuildRequires:  glib2-devel
+BuildRequires:  gtk2-devel
 BuildRequires:  intltool
-BuildRequires:  python
-BuildRequires:  python-gtk
+BuildRequires:  libcompizconfig-devel
+BuildRequires:  libxml2-devel
+BuildRequires:  libxslt-devel
+BuildRequires:  pkg-config
+BuildRequires:  pyrex
+BuildRequires:  python-compizconfig
+BuildRequires:  python-devel
 BuildRequires:  update-desktop-files
-Requires:   python-ccm
-Requires:   python-gtk
+PreReq: %fillup_prereq
+Requires:   python-ccm  0.9
+Obsoletes:  ccs-settings
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+%if 

commit docbook_3 for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package docbook_3 for openSUSE:Factory 
checked in at 2012-06-06 16:06:11

Comparing /work/SRC/openSUSE:Factory/docbook_3 (Old)
 and  /work/SRC/openSUSE:Factory/.docbook_3.new (New)


Package is docbook_3, Maintainer is k...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/docbook_3/docbook_3.changes  2011-09-23 
01:55:43.0 +0200
+++ /work/SRC/openSUSE:Factory/.docbook_3.new/docbook_3.changes 2012-06-06 
16:06:15.0 +0200
@@ -1,0 +2,5 @@
+Tue Jun  5 13:57:06 UTC 2012 - k...@suse.de
+
+- No longer require iso_ent (now Recommends).
+
+---



Other differences:
--
++ docbook_3.spec ++
--- /var/tmp/diff_new_pack.uzpaAo/_old  2012-06-06 16:06:16.0 +0200
+++ /var/tmp/diff_new_pack.uzpaAo/_new  2012-06-06 16:06:16.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package docbook_3
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,20 +15,20 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
-
 Name:   docbook_3
-BuildRequires:  sgml-skel unzip
-License:BSD-3-Clause ; MIT
-Group:  Productivity/Publishing/DocBook
+BuildRequires:  sgml-skel
+BuildRequires:  unzip
 Provides:   dbhset docbk30 docbk31 docbook_3-dtd
 Obsoletes:  docbk30
-Requires:   iso_ent docbook_4
+Requires:   docbook_4
+Recommends: iso_ent
 %define regcat /usr/bin/sgml-register-catalog
 PreReq: %{regcat} /usr/bin/xmlcatalog
 Summary:DocBook DTD 3.x
+License:BSD-3-Clause ; MIT
+Group:  Productivity/Publishing/DocBook
 Version:3.1
-Release:746
+Release:0
 ### Version macros are defined so I can use them below,
 ### don't use macros for Source: and Patch: values.
 %define dtd30 docbk30.zip





-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit compiz-plugins-main for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package compiz-plugins-main for 
openSUSE:Factory checked in at 2012-06-06 16:06:06

Comparing /work/SRC/openSUSE:Factory/compiz-plugins-main (Old)
 and  /work/SRC/openSUSE:Factory/.compiz-plugins-main.new (New)


Package is compiz-plugins-main, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/compiz-plugins-main/compiz-plugins-main.changes  
2011-09-28 14:06:04.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.compiz-plugins-main.new/compiz-plugins-main.changes 
2012-06-06 16:06:13.0 +0200
@@ -2 +2 @@
-Wed Sep 21 19:36:22 UTC 2011 - dims...@opensuse.org
+Thu May 31 12:00:00 UTC 2012 - roberth...@arcor.de
@@ -4,2 +4 @@
-- Upudate to version 0.9.5.94:
-  + Fixed window type fixes in workarounds
+- use correct license format
@@ -8 +7 @@
-Wed Jul  6 18:32:08 UTC 2011 - dims...@opensuse.org
+Tue Apr 28 12:00:00 UTC 2011 - roberth...@arcor.de
@@ -10,57 +9 @@
-- Update to version 0.9.5:
-  + Keep version in sync with main package
-  + API adjustments
-  + Bug fixing
-

-Mon May 30 19:40:47 UTC 2011 - dims...@opensuse.org
-
-- Forward to commit 9c545a3e0555e63d024c4c58155b5727c97a88de
-

-Sat Feb 12 18:15:17 UTC 2011 - dims...@opensuse.org
-
-- Update to commit a493658e055c59226de31406fe622aec3d4a1c6f:
-  + Fixes bugs: bnc#670124, bnc#670600, bnc#670605.
-

-Sun Jan 16 22:10:29 UTC 2011 - dims...@opensuse.org
-
-- Forward to commit 2960289ab3cca55c529aac020b1297d5cfeb58a1
-  + Keep in sync with compiz main package.
-  + The install layout was fixed, no more gnome specific plugins.
-

-Mon Nov  8 19:46:09 UTC 2010 - dims...@opensuse.org
-
-- Update to version 0.9.2.1:
-  + Critical crasher bugfixes.
-- Changes from version 0.9.2:
-  + Added MultiAnim class to Animation plugin
-  + Added support for KDE 4.5 blur hinting
-  + Added natural scale mode
-  + Added fake mninimization support
-  + Use libxml to write the session save file
-

-Wed Nov  3 22:45:46 UTC 2010 - dims...@opensuse.org
-
-- Forward to commit b2dfad5617c03fc07e32deffd84b5519b79f7864
-

-Wed Aug 25 21:22:31 UTC 2010 - dims...@opensuse.org
-
-- Forward to git snapshot of today.
-- BuildRequire gconf2-devel and use gconf_schemas_requires.
-

-Sun Jul  4 09:13:53 UTC 2010 - dims...@opensuse.org
-
-- Update to 0.9.0
-  + Rewrite to C++
-  + Follow API changes of compiz core.
-

-Tue Jun  1 14:19:32 UTC 2010 - dims...@opensuse.org
-
-- Update to 0.9 git snapshot for preview.
+- Update to version 0.8.8

Old:

  compiz-plugins-main.tar.bz2
  update.sh

New:

  compiz-fusion-plugins-main-bnc511578.patch
  compiz-fusion-plugins-main-defaults.patch
  compiz-plugins-main-0.8.8.tar.bz2



Other differences:
--
++ compiz-plugins-main.spec ++
--- /var/tmp/diff_new_pack.v3lFeq/_old  2012-06-06 16:06:15.0 +0200
+++ /var/tmp/diff_new_pack.v3lFeq/_new  2012-06-06 16:06:15.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package compiz-plugins-main
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,33 +18,60 @@
 
 
 Name:   compiz-plugins-main
-Version:0.9.5.94
-Release:1
-License:GPLv2+
-Summary:Compiz-Fusion community main plugins
-Url:http://opencompositing.org
-Group:  System/X11/Utilities
-Source: %{name}.tar.bz2
-# Helper script to update to latest gip snapshots.
-Source99:   update.sh
 BuildRequires:  Mesa-devel
-BuildRequires:  boost-devel
 BuildRequires:  cairo-devel
-BuildRequires:  cmake
+BuildRequires:  compiz-bcop
 BuildRequires:  compiz-devel
+BuildRequires:  dbus-1-devel
 BuildRequires:  gcc-c++
 BuildRequires:  gconf2-devel
+BuildRequires:  gnome-desktop-devel
+BuildRequires:  gtk2-devel
+BuildRequires:  intltool
 BuildRequires:  libjpeg-devel
+BuildRequires:  librsvg-devel
+BuildRequires:  libwnck-devel
+BuildRequires:  libxslt-devel
 BuildRequires:  pango-devel
-BuildRequires:  pkg-config
+BuildRequires:  perl-XML-Parser
+BuildRequires:  update-desktop-files

commit docbook_4 for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package docbook_4 for openSUSE:Factory 
checked in at 2012-06-06 16:06:17

Comparing /work/SRC/openSUSE:Factory/docbook_4 (Old)
 and  /work/SRC/openSUSE:Factory/.docbook_4.new (New)


Package is docbook_4, Maintainer is k...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/docbook_4/docbook_4.changes  2011-09-23 
01:55:46.0 +0200
+++ /work/SRC/openSUSE:Factory/.docbook_4.new/docbook_4.changes 2012-06-06 
16:06:18.0 +0200
@@ -1,0 +2,6 @@
+Tue Jun  5 12:58:29 UTC 2012 - k...@suse.de
+
+- spec: No longer Requires iso_ent (now Recommends) and xmlcharent
+  (xml entities are shipped together with the DTD).
+
+---



Other differences:
--
++ docbook_4.spec ++
--- /var/tmp/diff_new_pack.7kCLfT/_old  2012-06-06 16:06:19.0 +0200
+++ /var/tmp/diff_new_pack.7kCLfT/_new  2012-06-06 16:06:19.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package docbook_4
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,22 +15,22 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
-
 Name:   docbook_4
-BuildRequires:  fdupes sgml-skel unzip
-License:BSD-3-Clause ; MIT
-Group:  Productivity/Publishing/DocBook
+BuildRequires:  fdupes
+BuildRequires:  sgml-skel
+BuildRequires:  unzip
 Provides:   docbk_4 docbook docbook-dtd docbook-dtds
 Obsoletes:  docbk_4
-Requires:   iso_ent xmlcharent
+Recommends: iso_ent
 Requires:   libxml2
 %define regcat /usr/bin/sgml-register-catalog
 PreReq: %{regcat} /usr/bin/xmlcatalog sgml-skel
 PreReq: sed grep awk
 Summary:DocBook DTD Version 4.x
+License:BSD-3-Clause ; MIT
+Group:  Productivity/Publishing/DocBook
 Version:4.5
-Release:123
+Release:0
 Source2:docbook_4-README.SuSE
 Source7:CATALOG.docbook_4
 # DocBook 4.1



















-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit docbook_5 for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package docbook_5 for openSUSE:Factory 
checked in at 2012-06-06 16:06:21

Comparing /work/SRC/openSUSE:Factory/docbook_5 (Old)
 and  /work/SRC/openSUSE:Factory/.docbook_5.new (New)


Package is docbook_5, Maintainer is thomas.schrai...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/docbook_5/docbook_5.changes  2011-09-23 
01:55:47.0 +0200
+++ /work/SRC/openSUSE:Factory/.docbook_5.new/docbook_5.changes 2012-06-06 
16:06:25.0 +0200
@@ -1,0 +2,5 @@
+Tue Jun  5 14:32:11 UTC 2012 - k...@suse.de
+
+- Reduce Requires (iso_ent and xmlcharent).
+
+---



Other differences:
--
++ docbook_5.spec ++
--- /var/tmp/diff_new_pack.ZrLwib/_old  2012-06-06 16:06:26.0 +0200
+++ /var/tmp/diff_new_pack.ZrLwib/_new  2012-06-06 16:06:26.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package docbook_5
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,15 +15,12 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-
-
 Name:   docbook_5
 Summary:DocBook Schemas (DTD, RELAX NG, W3C Schema) for Version 5.x
-Version:5.0
-Release:50
 License:BSD-3-Clause ; MIT
 Group:  Productivity/Publishing/DocBook
-Requires:   iso_ent xmlcharent
+Version:5.0
+Release:0
 Requires:   libxml2
 BuildRequires:  sgml-skel
 PreReq: /usr/bin/xmlcatalog sgml-skel

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit doxygen for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package doxygen for openSUSE:Factory checked 
in at 2012-06-06 16:06:26

Comparing /work/SRC/openSUSE:Factory/doxygen (Old)
 and  /work/SRC/openSUSE:Factory/.doxygen.new (New)


Package is doxygen, Maintainer is pgaj...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/doxygen/doxygen.changes  2012-05-31 
17:03:52.0 +0200
+++ /work/SRC/openSUSE:Factory/.doxygen.new/doxygen.changes 2012-06-06 
16:06:28.0 +0200
@@ -1,0 +2,10 @@
+Mon Jun  4 10:15:13 UTC 2012 - pgaj...@suse.com
+
+- 1.8.1 generates man page names uncondidionally lowercase which
+  causes problem for lapack build for example; reverting one hunk 
+  of fix for
+  https://bugzilla.gnome.org/show_bug.cgi?id=674563
+  as workaround
+  * no-lowercase-man-names.patch
+
+---

New:

  doxygen-no-lowercase-man-names.patch



Other differences:
--
++ doxygen.spec ++
--- /var/tmp/diff_new_pack.rR6YJ6/_old  2012-06-06 16:06:30.0 +0200
+++ /var/tmp/diff_new_pack.rR6YJ6/_new  2012-06-06 16:06:30.0 +0200
@@ -35,6 +35,7 @@
 Patch:  %{name}-1.5.9-64archs.patch
 Patch3: %{name}-1.5.9-man.patch
 Patch4: %{name}-1.7.0-modify_footer.patch
+Patch5: %{name}-no-lowercase-man-names.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
#
 # SuSE, openSUSE
@@ -68,6 +69,7 @@
 %patch
 %patch3
 %patch4
+%patch5 -p1
 cp -v %{S:3} .
 bzip2 -d %{name}_manual-%{version}.pdf.bz2
 

++ doxygen-no-lowercase-man-names.patch ++
Index: doxygen-1.8.1/src/fortranscanner.l
===
--- doxygen-1.8.1.orig/src/fortranscanner.l
+++ doxygen-1.8.1/src/fortranscanner.l
@@ -1892,7 +1891,6 @@ static void initEntry()
 */
 static void addCurrentEntry(int case_insens)
 {
-  if (case_insens) current-name = current-name.lower();
   //printf(===Adding entry %s to %s\n, current-name.data(), 
current_root-name.data());
   current_root-addSubEntry(current);
   last_entry = current;

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit fuse for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package fuse for openSUSE:Factory checked in 
at 2012-06-06 16:06:38

Comparing /work/SRC/openSUSE:Factory/fuse (Old)
 and  /work/SRC/openSUSE:Factory/.fuse.new (New)


Package is fuse, Maintainer is mszer...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/fuse/fuse.changes2012-05-21 
08:02:48.0 +0200
+++ /work/SRC/openSUSE:Factory/.fuse.new/fuse.changes   2012-06-06 
16:06:39.0 +0200
@@ -1,0 +2,8 @@
+Sat May 26 16:14:26 UTC 2012 - jeng...@inai.de
+
+- Remove redundant tags/sections from specfile
+- Parallel build with %_smp_mflags
+- Trim list of FUSE fses from description (it's literally endless)
+  and text inappropraite for subpackages
+
+---



Other differences:
--
++ fuse.spec ++
--- /var/tmp/diff_new_pack.6lPVGM/_old  2012-06-06 16:06:41.0 +0200
+++ /var/tmp/diff_new_pack.6lPVGM/_new  2012-06-06 16:06:41.0 +0200
@@ -22,7 +22,7 @@
 Group:  System/Filesystems
 Version:2.9.0
 Release:0
-# 
http://sourceforge.net/projects/fuse/files/fuse-2.X/%%{version}/fuse-%%{version}.tar.gz/download
+# http://downloads.sf.net/fuse/fuse-%%version.tar.gz
 Source: %{name}-%{version}.tar.gz
 Source2:fuse.rpmlintrc
 Source3:baselibs.conf
@@ -39,7 +39,7 @@
 %endif
 BuildRequires:  libtool
 BuildRequires:  pkgconfig
-%if 0%{?suse_version} = 0  0%{?suse_version} = 1000
+%if 0%{?suse_version} = 1000
 Supplements:filesystem(fuse)
 %endif
 PreReq: permissions
@@ -78,12 +78,6 @@
 other user space file systems which can be found at
 http://fuse.sourceforge.net/wiki
 
-
-
-Authors:
-
-Miklos Szeredi mik...@szeredi.hu
-
 %package -n libulockmgr1
 Summary:Library of FUSE, the User space File System for GNU/Linux and 
BSD
 Group:  System/Filesystems
@@ -92,43 +86,6 @@
 With FUSE, a user space program can export a file system through the
 kernel-default (Linux kernel).
 
-A FUSE file system which only needs libfuse2 is ntfs-3g, other FUSE
-file systems might need the fuse package in addition to have fusermount
-and /sbin/mount.fuse.
-
-User space file systems which are implemented using FUSE are provided
-by the following packages:
-
-- curlftpfs (mount FTP servers),
-
-- encfs (layered file encryption),
-
-- fuseiso (mount iso, img, bin, mdf and nrg CD-ROM images),
-
-- fusepod (mount iPods),
-
-- fusesmb (mount a fully browseable network neighborhood),
-
-- gphotofs (mount gphoto-supported cameras),
-
-- ntfs-3g (mount NTFS volumes read-write),
-
-- obexfs (mount of bluetooth devices),
-
-- sshfs (mount over ssh),
-
-- wdfs (mount of WebDAV shares)
-
-After installing fuse-devel, administrators can compile and install
-other user space file systems which can be found at
-http://fuse.sourceforge.net/wiki
-
-
-
-Authors:
-
-Miklos Szeredi mik...@szeredi.hu
-
 %package -n libfuse2
 Summary:Library of FUSE, the User space File System for GNU/Linux and 
BSD
 Group:  System/Filesystems
@@ -141,39 +98,10 @@
 file systems might need the fuse package in addition to have fusermount
 and /sbin/mount.fuse.
 
-User space file systems which are implemented using FUSE are provided
-by the following packages:
-
-- curlftpfs (mount FTP servers),
-
-- encfs (layered file encryption),
-
-- fuseiso (mount iso, img, bin, mdf and nrg CD-ROM images),
-
-- fusepod (mount iPods),
-
-- fusesmb (mount a fully browseable network neighborhood),
-
-- gphotofs (mount gphoto-supported cameras),
-
-- ntfs-3g (mount NTFS volumes read-write),
-
-- obexfs (mount of bluetooth devices),
-
-- sshfs (mount over ssh),
-
-- wdfs (mount of WebDAV shares)
-
 After installing fuse-devel, administrators can compile and install
 other user space file systems which can be found at
 http://fuse.sourceforge.net/wiki
 
-
-
-Authors:
-
-Miklos Szeredi mik...@szeredi.hu
-
 %package devel
 Summary:Development package for FUSE (userspace filesystem) modules
 Group:  Development/Languages/C and C++
@@ -187,39 +115,10 @@
 files needed to develop programs that use the fuse (FUSE) library to
 implement kernel-default (Linux) file systems in user space.
 
-Many user space file systems are already provided as packages for
-installation:
-
-- curlftpfs (mount FTP servers),
-
-- encfs (layered file encryption),
-
-- fuseiso (mount iso, img, bin, mdf and nrg CD-ROM images),
-
-- fusepod (mount iPods),
-
-- fusesmb (mount a fully browseable network neighborhood),
-
-- gphotofs (mount gphoto-supported cameras),
-
-- ntfs-3g (mount NTFS volumes read-write),
-
-- obexfs (mount of bluetooth devices),
-
-- sshfs (mount over ssh),
-
-- wdfs (mount of 

commit gcc47 for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package gcc47 for openSUSE:Factory checked 
in at 2012-06-06 16:06:46

Comparing /work/SRC/openSUSE:Factory/gcc47 (Old)
 and  /work/SRC/openSUSE:Factory/.gcc47.new (New)


Package is gcc47, Maintainer is 

Changes:

--- 
/work/SRC/openSUSE:Factory/gcc47/cross-armv5el-gcc47-icecream-backend.changes   
2012-04-23 09:12:54.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.gcc47.new/cross-armv5el-gcc47-icecream-backend.changes
  2012-06-06 16:06:48.0 +0200
@@ -1,0 +2,27 @@
+Wed Jun  6 08:54:04 UTC 2012 - rguent...@suse.com
+
+- Explicitely specify target tools used for building.
+
+---
+Mon Jun  4 11:10:00 UTC 2012 - rguent...@suse.com
+
+- Update to gcc-4_7-branch head (r188177).
+
+---
+Fri Jun  1 09:01:40 UTC 2012 - rguent...@suse.com
+
+- Fix typo in cross-icecream.spec.in.
+- Also dump test-summary to the build log.
+
+---
+Wed May 30 14:13:54 UTC 2012 - rguent...@suse.com
+
+- Update patch for PR52080.
+
+---
+Mon May  7 09:35:56 UTC 2012 - rguent...@suse.com
+
+- Update to gcc-4_7-branch head (r187228).
+- Add patch for PR52841.
+
+---
cross-armv7l-gcc47-icecream-backend.changes: same change
cross-hppa-gcc47-icecream-backend.changes: same change
cross-i386-gcc47-icecream-backend.changes: same change
cross-ia64-gcc47-icecream-backend.changes: same change
cross-ppc-gcc47-icecream-backend.changes: same change
cross-ppc64-gcc47-icecream-backend.changes: same change
cross-s390-gcc47-icecream-backend.changes: same change
cross-s390x-gcc47-icecream-backend.changes: same change
cross-x86_64-gcc47-icecream-backend.changes: same change
gcc47-testresults.changes: same change
gcc47.changes: same change
libffi47.changes: same change
libgcj47.changes: same change

Old:

  gcc-4.7.0-20120413.tar.bz2
  pr52080.diff

New:

  gcc-4.7.0-20120604.tar.bz2
  pr52841.diff



Other differences:
--
++ cross-armv5el-gcc47-icecream-backend.spec ++
--- /var/tmp/diff_new_pack.f7XNoR/_old  2012-06-06 16:06:53.0 +0200
+++ /var/tmp/diff_new_pack.f7XNoR/_new  2012-06-06 16:06:53.0 +0200
@@ -32,7 +32,7 @@
 %if %{binutils_target} == armv7l
 %define binutils_target arm
 %endif
-%if %{binutils_target} == arm5el
+%if %{binutils_target} == armv5el
 %define binutils_target arm
 %endif
 %define canonical_target %(echo %{binutils_target} | sed -e 
s/i.86/i586/;s/ppc/powerpc/;s/sparc64.*/sparc64/;s/sparcv.*/sparc/;)
@@ -64,7 +64,7 @@
 %define biarch_targets x86_64 s390x powerpc64 powerpc sparc sparc64
 
 Url:http://gcc.gnu.org/
-Version:4.7.0_20120413
+Version:4.7.0_20120604
 Release:0
 %define gcc_version %(echo %version | sed 's/_.*//')
 %define gcc_dir_version %(echo %gcc_version | cut -d '.' -f 1-2)
@@ -92,8 +92,8 @@
 Patch24:tls-no-direct.diff
 Patch28:pr33763.diff
 Patch30:gcc43-no-unwind-tables.diff
-Patch31:pr52080.diff
 Patch32:pr49484.diff
+Patch33:pr52841.diff
 # A set of patches from the RH srpm
 Patch51:gcc41-ia64-stack-protector.patch
 Patch55:gcc41-java-slow_pthread_self.patch
@@ -189,8 +189,8 @@
 %patch24
 %patch28
 %patch30
-%patch31
 %patch32
+%patch33
 %patch51
 %patch55
 %patch57
@@ -369,6 +369,9 @@
--with-sysroot=/ \
--enable-linux-futex \
 %endif
+%if 0%{?canonical_target:1}
+   --with-build-time-tools=/usr/%{canonical_target}-suse-linux/bin \
+%endif
 %if 0%{?build_static:1}
--disable-shared \
 %endif

cross-armv7l-gcc47-icecream-backend.spec: same change
cross-hppa-gcc47-icecream-backend.spec: same change
cross-i386-gcc47-icecream-backend.spec: same change
cross-ia64-gcc47-icecream-backend.spec: same change
cross-ppc-gcc47-icecream-backend.spec: same change
cross-ppc64-gcc47-icecream-backend.spec: same change
cross-s390-gcc47-icecream-backend.spec: same change
cross-s390x-gcc47-icecream-backend.spec: same change
cross-x86_64-gcc47-icecream-backend.spec: same change
++ gcc47-testresults.spec ++
--- /var/tmp/diff_new_pack.f7XNoR/_old  2012-06-06 16:06:53.0 +0200
+++ /var/tmp/diff_new_pack.f7XNoR/_new  2012-06-06 16:06:53.0 +0200
@@ -166,7 +166,7 @@
 %define biarch_targets x86_64 s390x powerpc64 powerpc sparc sparc64
 
 Url:http://gcc.gnu.org/
-Version:4.7.0_20120413
+Version:4.7.0_20120604
 Release:0
 %define gcc_version %(echo %version | sed 's/_.*//')
 %define gcc_dir_version %(echo 

commit goffice for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package goffice for openSUSE:Factory checked 
in at 2012-06-06 16:06:51

Comparing /work/SRC/openSUSE:Factory/goffice (Old)
 and  /work/SRC/openSUSE:Factory/.goffice.new (New)


Package is goffice, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/goffice/goffice.changes  2012-03-16 
13:15:30.0 +0100
+++ /work/SRC/openSUSE:Factory/.goffice.new/goffice.changes 2012-06-06 
16:06:53.0 +0200
@@ -1,0 +2,26 @@
+Wed Apr 25 20:42:01 UTC 2012 - vu...@opensuse.org
+
+- Update to version 0.9.3:
+  + Add introspection support. [bgo#670161]
+  + Fix output of scientific number formats to ODF. [bgo#672353]
+  + Do not unneccessarily include numbers in number formats when
+exporting to ODF. [bgo#671860]
+  + Fix GOImage fallback for non-GUI case.
+  + Tweak bold attribute for rich text.
+  + Fix minor multihead issue with help buttons in dialogs.
+  + Eliminate GoComboText, use GtkComboBoxText instead.
+  + Avoid critical in GOPixbuf code.
+  + Work around intltool bug. [bgo#672771]
+- Remove xz BuildRequires now that it comes for free in the build
+  system.
+- Add pkgconfig(gobject-introspection-1.0) BuildRequires to build
+  introspection support.
+- Change license from GPL-2.0 to GPL-2.0 or GPL-3.0, following
+  upstream change.
+- Enable introspection support:
+  + Create typelib-1_0-GOffice-0_10 subpackage.
+  + Add typelib-1_0-GOffice-0_10 Requires to devel subpackage.
+  + Only do this on openSUSE  12.1, as we need libgsf with
+introspection support.
+
+---

Old:

  goffice-0.9.2.tar.xz

New:

  goffice-0.9.3.tar.xz



Other differences:
--
++ goffice.spec ++
--- /var/tmp/diff_new_pack.u7LRce/_old  2012-06-06 16:06:55.0 +0200
+++ /var/tmp/diff_new_pack.u7LRce/_new  2012-06-06 16:06:55.0 +0200
@@ -17,25 +17,28 @@
 
 
 Name:   goffice
-Version:0.9.2
+Version:0.9.3
 Release:0
+# FIXME: when ghostscript-devel = 9.06 is in Factory, uncomment BuildRequires 
(needed to support embedded EPS) (2012-04-25: we have ghostscript 9.05)
 Summary:GLib/GTK+ Set of Document-Centric Objects and Utilities
-License:GPL-2.0
+License:GPL-2.0 or GPL-3.0
 Group:  System/GUI/GNOME
 Url:http://www.gnumeric.org/
 Source: 
http://download.gnome.org/sources/goffice/0.9/%{name}-%{version}.tar.xz
 BuildRequires:  fdupes
+#BuildRequires:  ghostscript-devel = 9.06
 BuildRequires:  intltool
 BuildRequires:  libgsf-devel
 BuildRequires:  translation-update-upstream
-# Only needed because we don't (and won't) support building xz tarballs by 
default... See bnc#697467
-BuildRequires:  xz
 BuildRequires:  pkgconfig(cairo) = 1.10.0
 BuildRequires:  pkgconfig(cairo-pdf) = 1.10.0
 BuildRequires:  pkgconfig(cairo-ps) = 1.10.0
 BuildRequires:  pkgconfig(cairo-svg) = 1.10.0
 BuildRequires:  pkgconfig(gdk-pixbuf-2.0) = 2.22.0
 BuildRequires:  pkgconfig(glib-2.0) = 2.28.0
+%if 0%{?suse_version}  1210
+BuildRequires:  pkgconfig(gobject-introspection-1.0) = 1.31.10
+%endif
 BuildRequires:  pkgconfig(gtk+-3.0) = 3.0.0
 BuildRequires:  pkgconfig(librsvg-2.0) = 2.22.0
 BuildRequires:  pkgconfig(libspectre) = 0.2.6
@@ -45,16 +48,12 @@
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
-These are common operations for document-centric applications that
-   are conceptually simple, but complex to implement fully. -
-   Plug-ins
-
-- Load and save documents
-
-- Undo and redo
-
 GOffice is a GLib/GTK+ set of document-centric objects and utilities.
 
+These are common operations for document-centric applications that are
+conceptually simple, but complex to implement fully: plug-ins, load and
+save documents, undo and redo.
+
 %package -n libgoffice-0_10-9
 Summary:GLib/GTK+ Set of Document-Centric Objects and Utilities
 Group:  System/Libraries
@@ -63,20 +62,30 @@
 Provides:   %{name} = %{version}
 
 %description -n libgoffice-0_10-9
-These are common operations for document-centric applications that
-   are conceptually simple, but complex to implement fully. -
-   Plug-ins
-
-- Load and save documents
+GOffice is a GLib/GTK+ set of document-centric objects and utilities.
 
-- Undo and redo
+These are common operations for document-centric applications that are
+conceptually simple, but complex to implement fully: plug-ins, load and
+save documents, undo and redo.
+
+%if 0%{?suse_version}  1210
+%package -n typelib-1_0-GOffice-0_10
+Summary:GLib/GTK+ Set of Document-Centric Objects and Utilities -- 
Introspection bindings
+Group:  System/Libraries
 
+%description -n 

commit kdepimlibs4 for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package kdepimlibs4 for openSUSE:Factory 
checked in at 2012-06-06 16:06:58

Comparing /work/SRC/openSUSE:Factory/kdepimlibs4 (Old)
 and  /work/SRC/openSUSE:Factory/.kdepimlibs4.new (New)


Package is kdepimlibs4, Maintainer is kde-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/kdepimlibs4/kdepimlibs4.changes  2012-05-09 
18:31:05.0 +0200
+++ /work/SRC/openSUSE:Factory/.kdepimlibs4.new/kdepimlibs4.changes 
2012-06-06 16:07:33.0 +0200
@@ -1,0 +2,11 @@
+Sat Jun  2 23:29:09 UTC 2012 - raba...@opensuse.org
+
+- remove fontsize patch since it was fixed upstream
+
+---
+Fri Jun  1 13:53:53 UTC 2012 - dmuel...@suse.com
+
+- update to 4.8.4
+  * see http://kde.org/announcements/changelogs/changelog4_8_3to4_8_4.php for 
details
+
+---

Old:

  fix_fontsize_contactview.diff
  kdepimlibs-4.8.3.tar.xz

New:

  kdepimlibs-4.8.4.tar.xz



Other differences:
--
++ kdepimlibs4.spec ++
--- /var/tmp/diff_new_pack.C7R2tE/_old  2012-06-06 16:07:35.0 +0200
+++ /var/tmp/diff_new_pack.C7R2tE/_new  2012-06-06 16:07:35.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   kdepimlibs4
-Version:4.8.3
+Version:4.8.4
 Release:0
 Summary:KDE PIM Libraries
 License:LGPL-2.1+
@@ -26,8 +26,6 @@
 Source0:kdepimlibs-%{version}.tar.xz
 Patch0: 4_7_BRANCH.diff
 Patch1: disable-pth-build.diff
-# fix for kde#221963
-Patch2: fix_fontsize_contactview.diff
 BuildRequires:  boost-devel
 BuildRequires:  cyrus-sasl-devel
 BuildRequires:  fdupes
@@ -56,7 +54,6 @@
 %setup -q -n kdepimlibs-%{version}
 %patch0 -p1
 %patch1
-%patch2 -p1
 
 %build
   %cmake_kde4 -d build -- -DKDE4_ENABLE_FINAL=1

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit keyutils for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package keyutils for openSUSE:Factory 
checked in at 2012-06-06 16:07:21

Comparing /work/SRC/openSUSE:Factory/keyutils (Old)
 and  /work/SRC/openSUSE:Factory/.keyutils.new (New)


Package is keyutils, Maintainer is meiss...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/keyutils/keyutils.changes2012-04-12 
09:32:57.0 +0200
+++ /work/SRC/openSUSE:Factory/.keyutils.new/keyutils.changes   2012-06-06 
16:07:35.0 +0200
@@ -1,0 +2,5 @@
+Mon Jun  4 18:00:41 UTC 2012 - je...@suse.com
+
+- Update nfs4 idmap support, nfs-client 1.2.6 changed parameters.
+
+---



Other differences:
--
++ request-key-nfs4.patch ++
--- /var/tmp/diff_new_pack.uvLQGz/_old  2012-06-06 16:07:37.0 +0200
+++ /var/tmp/diff_new_pack.uvLQGz/_new  2012-06-06 16:07:37.0 +0200
@@ -8,5 +8,5 @@
  createuserdebug:* *   
/usr/share/keyutils/request-key-debug.sh %k %d %c %S
  createcifs.spnego *   *   /usr/sbin/cifs.upcall 
-c %k
  negate*   *   *   /bin/keyctl negate %k 
30 %S
-+create  id_resolver*  *   /usr/sbin/nfsidmap %k %d 600
++create  id_resolver*  *   /usr/sbin/nfsidmap %k %d -t 600
 +

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libcaca for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package libcaca for openSUSE:Factory checked 
in at 2012-06-06 16:07:34

Comparing /work/SRC/openSUSE:Factory/libcaca (Old)
 and  /work/SRC/openSUSE:Factory/.libcaca.new (New)


Package is libcaca, Maintainer is p...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/libcaca/libcaca.changes  2012-05-31 
17:06:07.0 +0200
+++ /work/SRC/openSUSE:Factory/.libcaca.new/libcaca.changes 2012-06-06 
16:07:38.0 +0200
@@ -1,0 +2,7 @@
+Wed Jun  6 10:09:07 UTC 2012 - cfarr...@suse.com
+
+- license update: SUSE-WTFPL-2.0
+  SPDX format (choose from http://www.spdx.org/licenses or the list linked
+  at license.opensuse.org)
+
+---



Other differences:
--
++ libcaca.spec ++
--- /var/tmp/diff_new_pack.k2ee1r/_old  2012-06-06 16:07:40.0 +0200
+++ /var/tmp/diff_new_pack.k2ee1r/_new  2012-06-06 16:07:40.0 +0200
@@ -42,7 +42,7 @@
 Version:0.99.beta18
 Release:0
 Summary:Library for Colour ASCII Art, text mode graphics
-License:WTFPL
+License:SUSE-WTFPL-2.0
 Group:  Development/Languages/C and C++
 Url:http://sam.zoy.org/projects/libcaca/
 Source0:http://caca.zoy.org/files/libcaca/%{name}-%{version}.tar.gz

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit killswitch-applet for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package killswitch-applet for 
openSUSE:Factory checked in at 2012-06-06 16:07:28

Comparing /work/SRC/openSUSE:Factory/killswitch-applet (Old)
 and  /work/SRC/openSUSE:Factory/.killswitch-applet.new (New)


Package is killswitch-applet, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/killswitch-applet/killswitch-applet.changes  
2011-09-23 02:06:48.0 +0200
+++ /work/SRC/openSUSE:Factory/.killswitch-applet.new/killswitch-applet.changes 
2012-06-06 16:07:37.0 +0200
@@ -1,0 +2,7 @@
+Wed Jun  6 08:54:22 UTC 2012 - cfarr...@suse.com
+
+- license update: SUSE-WTFPL-2.0
+  Use an SPDX compatible license (http://www.spdx.org/licenses or choose
+  from the spreadsheet linked at license.opensuse.org)
+
+---



Other differences:
--
++ killswitch-applet.spec ++
--- /var/tmp/diff_new_pack.XODVn3/_old  2012-06-06 16:07:38.0 +0200
+++ /var/tmp/diff_new_pack.XODVn3/_new  2012-06-06 16:07:38.0 +0200
@@ -20,7 +20,7 @@
 Name:   killswitch-applet
 Version:0.2.3
 Release:1
-License:WTFPL
+License:SUSE-WTFPL-2.0
 Summary:Manage Killswitches
 Group:  Productivity/Other
 Source: killswitch-applet-%{version}.tar.gz

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libcompizconfig for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package libcompizconfig for openSUSE:Factory 
checked in at 2012-06-06 16:07:39

Comparing /work/SRC/openSUSE:Factory/libcompizconfig (Old)
 and  /work/SRC/openSUSE:Factory/.libcompizconfig.new (New)


Package is libcompizconfig, Maintainer is jzh...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/libcompizconfig/libcompizconfig.changes  
2011-09-29 12:52:31.0 +0200
+++ /work/SRC/openSUSE:Factory/.libcompizconfig.new/libcompizconfig.changes 
2012-06-06 16:07:47.0 +0200
@@ -2 +2 @@
-Thu Sep 29 07:17:48 UTC 2011 - dims...@opensuse.org
+Tue Apr 28 12:00:00 UTC 2011 - roberth...@arcor.de - 0.8.8
@@ -4,60 +4 @@
-- Add libcompizconfig-backend-path.patch: Revert the change of the
-  backend installation location. This is simply not where
-  libcompizconfig is looking to find the backends.
-

-Wed Sep 21 19:37:04 UTC 2011 - dims...@opensuse.org
-
-- Update to version 0.9.5.94:
-  + Added settings upgrade framework for distributions
-

-Fri Jul  8 12:01:28 UTC 2011 - dims...@opensuse.org
-
-- Add gconf schema handling macros.
-

-Sat Jan 22 23:41:41 UTC 2011 - dims...@opensuse.org
-
-- Keep in sync with compiz main package:
-  + No more gconf schema handling required.
-

-Sun Jan 16 22:12:22 UTC 2011 - dims...@opensuse.org
-
-- Forward to commit 78a7cc8ca71020dff42dd2731071bfdf548ea2e8
-

-Tue Nov 16 17:33:03 UTC 2010 - dims...@opensuse.org
-
-- Bump .spec version to 0.9.2.1 to reflect reality.
-

-Mon Nov  8 19:58:41 UTC 2010 - dims...@opensuse.org
-
-- Update to version 0.9.2.1:
-  + Version bump only.
-- Changes from version 0.9.2:
-  + Fixed symbol linking issue with backends.
-

-Wed Nov  3 22:33:17 UTC 2010 - dims...@opensuse.org
-
-- Forward to commit 2526029f717644ee856af8a462228fd40ed60424
-

-Sun Jul  4 09:06:41 UTC 2010 - dims...@opensuse.org
-
-- Update to 0.9.0
-  + Removed multiscreen support to reflect core API changes
-  + Added cMake Buildsystem.
-

-Tue Jun  1 18:03:09 UTC 2010 - dims...@opensuse.org
-
-- Update to 0.9 git snapshot for preview.
-

-Fri Apr 23 00:16:46 CEST 2010 - dims...@opensuse.org
-
-- Completely drop NOMAD patches.
+- Update to version 0.8.8

Old:

  libcompizconfig-backend-path.patch
  libcompizconfig.tar.bz2
  update.sh

New:

  libcompizconfig-0.8.8.tar.bz2
  libcompizconfig-NOMAD.diff
  libcompizconfig-config-dir.patch
  libcompizconfig-rpmlintrc



Other differences:
--
++ libcompizconfig.spec ++
--- /var/tmp/diff_new_pack.ZOOkMW/_old  2012-06-06 16:07:50.0 +0200
+++ /var/tmp/diff_new_pack.ZOOkMW/_new  2012-06-06 16:07:50.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package libcompizconfig
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,37 +18,56 @@
 
 
 Name:   libcompizconfig
-Version:0.9.5.94
+Version:0.8.8
 Release:1
 License:GPL-2.0+
 Summary:CompizConfig plugin(ccp) required for 
compizconfig-settings-manager(ccsm)
 Url:http://opencompositing.org
 Group:  System/X11/Utilities
-Source: %name.tar.bz2
-# Helper script to update to latest git.
-Source99:   update.sh
-# PATCH-FIX-UPSTREAM dims...@opensuse.org -- Change the backend install 
location. As this seems wrong, we revert this commit for now. Reported upstream.
-Patch0: libcompizconfig-backend-path.patch
-BuildRequires:  boost-devel
-BuildRequires:  cmake
+Source: %name-%version.tar.bz2
+Source1:libcompizconfig-rpmlintrc
+# PATCH-NEEDS-REBASE: libcompizconfig-NOMAD.diff dreve...@novell.com (Was: 
PATCH-FEATURE-UPSTREAM)
+Patch0: libcompizconfig-NOMAD.diff
+# PATCH-FIX-UPSTREAM libcompizconfig-config-dir.patch bnc#438081 
rodr...@novell.com
+Patch2: libcompizconfig-config-dir.patch
+BuildRequires:  autoconf
+BuildRequires:  automake
 

commit libiniparser for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package libiniparser for openSUSE:Factory 
checked in at 2012-06-06 16:07:45

Comparing /work/SRC/openSUSE:Factory/libiniparser (Old)
 and  /work/SRC/openSUSE:Factory/.libiniparser.new (New)


Package is libiniparser, Maintainer is samba-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/libiniparser/libiniparser.changes
2012-05-21 10:01:53.0 +0200
+++ /work/SRC/openSUSE:Factory/.libiniparser.new/libiniparser.changes   
2012-06-06 16:07:50.0 +0200
@@ -1,0 +2,11 @@
+Sun Jun  3 22:20:48 UTC 2012 - lmue...@suse.com
+
+- Use the unversioned libiniparser name on pre-11.2 systems only.
+
+---
+Sun Jun  3 21:37:54 UTC 2012 - lmue...@suse.com
+
+- Define library name and use it instead of libiniparser0.
+- Remove unused debug_package_requires define.
+
+---



Other differences:
--
++ libiniparser.spec ++
--- /var/tmp/diff_new_pack.XuJERC/_old  2012-06-06 16:07:51.0 +0200
+++ /var/tmp/diff_new_pack.XuJERC/_new  2012-06-06 16:07:51.0 +0200
@@ -42,10 +42,10 @@
 
 Nicolas Devillard ndevilla at free dot fr
 
-%if 0%{?suse_version}  1100
-%define debug_package_requires libiniparser0 = %{version}-%{release}
+%if 0%{?suse_version} == 0 || 0%{?suse_version}  1100
 
-%package -n libiniparser0
+%define libiniparser_name libiniparser0
+%package -n %{libiniparser_name}
 Summary:Library to parse ini files
 Group:  System/Libraries
 # bug437293
@@ -54,7 +54,7 @@
 %endif
 #
 
-%description -n libiniparser0
+%description -n %{libiniparser_name}
 Libiniparser offers parsing of ini files from the C level.
 
 
@@ -73,8 +73,8 @@
 Obsoletes:  libiniparser-devel-64bit
 %endif
 #
-%if 0%{?suse_version}  1100
-Requires:   libiniparser0 = %{version}
+%if 0%{?suse_version} == 0 || 0%{?suse_version}  1100
+Requires:   %{libiniparser_name} = %{version}
 %else
 Requires:   libiniparser = %{version}
 %endif
@@ -115,20 +115,20 @@
 
 %clean
 %__rm -rf %{buildroot}
-%if 0%{?suse_version}  1100
+%if 0%{?suse_version} == 0 || 0%{?suse_version}  1100
 
-%post -n libiniparser0 -p /sbin/ldconfig
+%post -n %{libiniparser_name} -p /sbin/ldconfig
 
-%postun -n libiniparser0 -p /sbin/ldconfig
+%postun -n %{libiniparser_name} -p /sbin/ldconfig
 %else
 
 %post -p /sbin/ldconfig
 
 %postun -p /sbin/ldconfig
 %endif
-%if 0%{?suse_version}  1100
+%if 0%{?suse_version} == 0 || 0%{?suse_version}  1100
 
-%files -n libiniparser0
+%files -n %{libiniparser_name}
 %defattr(-,root,root)
 %else
 

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit liboil for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package liboil for openSUSE:Factory checked 
in at 2012-06-06 16:07:50

Comparing /work/SRC/openSUSE:Factory/liboil (Old)
 and  /work/SRC/openSUSE:Factory/.liboil.new (New)


Package is liboil, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/liboil/liboil.changes2011-09-23 
02:09:07.0 +0200
+++ /work/SRC/openSUSE:Factory/.liboil.new/liboil.changes   2012-06-06 
16:07:51.0 +0200
@@ -1,0 +2,7 @@
+Wed Jun  6 09:59:54 UTC 2012 - cfarr...@suse.com
+
+- license update: BSD-2-Clause
+  Use SPDX format (and coincidentally make compatible with how Fedora
+  declare the license of this package (BSD))
+
+---



Other differences:
--
++ liboil.spec ++
--- /var/tmp/diff_new_pack.M9Ewzo/_old  2012-06-06 16:07:55.0 +0200
+++ /var/tmp/diff_new_pack.M9Ewzo/_new  2012-06-06 16:07:55.0 +0200
@@ -25,7 +25,7 @@
 Release:1
 Url:http://liboil.freedesktop.org/wiki/
 Group:  System/Libraries
-License:BSD and Motorola License (please mark changes)
+License:BSD-2-Clause
 Summary:Library of Optimized Inner Loops
 Source: %{name}-%{version}.tar.bz2
 Source2:baselibs.conf
@@ -57,7 +57,7 @@
 David Schleef d...@schleef.org
 
 %package devel
-License:Other uncritical OpenSource License ; BSD and Motorola License 
(please mark changes)
+License:BSD-2-Clause
 Group:  Development/Libraries/C and C++
 Summary:Library of Optimized Inner Loops
 Requires:   %{name} = %{version} glibc-devel
@@ -88,7 +88,7 @@
 David Schleef d...@schleef.org
 
 %package doc
-License:Other uncritical OpenSource License ; BSD and Motorola License 
(please mark changes)
+License:BSD-2-Clause
 Group:  Development/Libraries/C and C++
 Summary:Library of optimized inner loops
 Requires:   %{name} = %{version}

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libsocialweb-branding-openSUSE for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package libsocialweb-branding-openSUSE for 
openSUSE:Factory checked in at 2012-06-06 16:07:55

Comparing /work/SRC/openSUSE:Factory/libsocialweb-branding-openSUSE (Old)
 and  /work/SRC/openSUSE:Factory/.libsocialweb-branding-openSUSE.new (New)


Package is libsocialweb-branding-openSUSE, Maintainer is 

Changes:

--- 
/work/SRC/openSUSE:Factory/libsocialweb-branding-openSUSE/libsocialweb-branding-openSUSE.changes
2012-02-07 22:13:03.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.libsocialweb-branding-openSUSE.new/libsocialweb-branding-openSUSE.changes
   2012-06-06 16:07:57.0 +0200
@@ -1,0 +2,10 @@
+Thu May 24 15:15:18 UTC 2012 - a...@suse.de
+
+- Change license to SUSE-Public-Domain (bnc#763869).
+
+---
+Wed May 23 07:56:01 UTC 2012 - vu...@opensuse.org
+
+- Bump version to 12.2, to prepare for next version of openSUSE.
+
+---



Other differences:
--
++ libsocialweb-branding-openSUSE.spec ++
--- /var/tmp/diff_new_pack.T9E6tj/_old  2012-06-06 16:08:01.0 +0200
+++ /var/tmp/diff_new_pack.T9E6tj/_new  2012-06-06 16:08:01.0 +0200
@@ -19,12 +19,12 @@
 %define keydir %{_datadir}/libsocialweb/keys
 
 Name:   libsocialweb-branding-openSUSE
-Version:12.1
-Release:5
-License:LGPL-2.1
+Version:12.2
+Release:0
 Summary:A personal social data server -- API keys from openSUSE
-Url:http://git.gnome.org/browse/libsocialweb/
+License:SUSE-Public-Domain
 Group:  System/Libraries
+Url:http://git.gnome.org/browse/libsocialweb/
 Source0:README-keys.txt
 Source1:facebook
 Source2:facebook.key

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libX11 for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package libX11 for openSUSE:Factory checked 
in at 2012-06-06 16:08:00

Comparing /work/SRC/openSUSE:Factory/libX11 (Old)
 and  /work/SRC/openSUSE:Factory/.libX11.new (New)


Package is libX11, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/libX11/libX11.changes2012-06-01 
07:21:07.0 +0200
+++ /work/SRC/openSUSE:Factory/.libX11.new/libX11.changes   2012-06-06 
16:08:07.0 +0200
@@ -1,0 +2,5 @@
+Mon Jun  4 11:14:06 UTC 2012 - tobias.johannes.klausm...@mni.thm.de
+
+- Update finally to version 1.5
+
+---

Old:

  libX11-1.4.99.902.tar.bz2

New:

  libX11-1.5.0.tar.bz2



Other differences:
--
++ libX11.spec ++
--- /var/tmp/diff_new_pack.b2PCQx/_old  2012-06-06 16:08:09.0 +0200
+++ /var/tmp/diff_new_pack.b2PCQx/_new  2012-06-06 16:08:09.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   libX11
-Version:1.4.99.902
+Version:1.5.0
 Release:0
 Summary:Core X11 protocol client library
 License:MIT

++ libX11-1.4.99.902.tar.bz2 - libX11-1.5.0.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libX11-1.4.99.902/AUTHORS new/libX11-1.5.0/AUTHORS
--- old/libX11-1.4.99.902/AUTHORS   2012-05-26 23:37:28.0 +0200
+++ new/libX11-1.5.0/AUTHORS2012-06-02 08:37:09.0 +0200
@@ -12,6 +12,11 @@
 Takashi Fujiwara, Kazunori Nishihara, Hideki Hiura, Hiroyuki Miyamoto,
 Katsuhisi Yano, Shigeru Yamada, Stephen Gildea, Li Yuhong, Seiji Kuwari.
 
+The specifications and documentation contain extensive credits.
+Conversion of those documents from troff to DocBook/XML was performed
+by Matt Dew, with assistance in editing  formatting tool setup from
+Gaetan Nadon and Alan Coopersmith.
+
 This work was supported by many organizations (in no particular
 order), including the X Consortium, Digital Equipment Corporation,
 Tektronix, The Open Group, OMRON, Wyse Technology, Fujitsu Limited,
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libX11-1.4.99.902/configure.ac 
new/libX11-1.5.0/configure.ac
--- old/libX11-1.4.99.902/configure.ac  2012-05-26 23:37:28.0 +0200
+++ new/libX11-1.5.0/configure.ac   2012-06-02 08:37:09.0 +0200
@@ -1,7 +1,7 @@
 
 # Initialize Autoconf
 AC_PREREQ([2.60])
-AC_INIT([libX11], [1.4.99.902],
+AC_INIT([libX11], [1.5.0],
 [https://bugs.freedesktop.org/enter_bug.cgi?product=xorg], [libX11])
 AC_CONFIG_SRCDIR([Makefile.am])
 AC_CONFIG_HEADERS([src/config.h include/X11/XlibConf.h])

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit lightspark for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package lightspark for openSUSE:Factory 
checked in at 2012-06-06 16:08:06

Comparing /work/SRC/openSUSE:Factory/lightspark (Old)
 and  /work/SRC/openSUSE:Factory/.lightspark.new (New)


Package is lightspark, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/lightspark/lightspark.changes2012-05-29 
14:14:53.0 +0200
+++ /work/SRC/openSUSE:Factory/.lightspark.new/lightspark.changes   
2012-06-06 16:08:10.0 +0200
@@ -1,0 +2,5 @@
+Mon May 28 14:54:59 UTC 2012 - reddw...@opensuse.org
+
+- Fix build with ffmpeg 0.11
+
+---

New:

  lightspark-0.5.7-ffmpeg_011.patch



Other differences:
--
++ lightspark.spec ++
--- /var/tmp/diff_new_pack.LTIP4L/_old  2012-06-06 16:08:14.0 +0200
+++ /var/tmp/diff_new_pack.LTIP4L/_new  2012-06-06 16:08:14.0 +0200
@@ -30,6 +30,7 @@
 Patch0: lightspark-0.5.7-underlinking.patch
 # PATCH-FIX-UPSTREAM lightspark-0.5.7-llvm_31.patch lp#980464 
reddw...@opensuse.org -- Fix build with LLVM 3.1. Took from GIT.
 Patch1: lightspark-0.5.7-llvm_31.patch
+Patch2: lightspark-0.5.7-ffmpeg_011.patch
 BuildRequires:  boost-devel
 BuildRequires:  cmake
 BuildRequires:  desktop-file-utils
@@ -79,6 +80,7 @@
 %setup -q
 %patch0
 %patch1
+%patch2
 
 %build
 export CFLAGS='%{optflags}'

++ lightspark-0.5.7-ffmpeg_011.patch ++
Index: src/backends/decoder.cpp
===
--- src/backends/decoder.cpp.orig
+++ src/backends/decoder.cpp
@@ -628,8 +628,7 @@ StreamDecoder::~StreamDecoder()
 FFMpegStreamDecoder::FFMpegStreamDecoder(std::istream 
s):stream(s),formatCtx(NULL),audioFound(false),videoFound(false),avioContext(NULL)
 {
valid=false;
-   //NOTE: this will become avio_alloc_context in FFMpeg 0.7
-   
avioContext=av_alloc_put_byte(avioBuffer,4096,0,this,avioReadPacket,NULL,NULL);
+   
avioContext=avio_alloc_context(avioBuffer,4096,0,this,avioReadPacket,NULL,NULL);
if(avioContext==NULL)
return;
 
@@ -658,7 +657,8 @@ FFMpegStreamDecoder::FFMpegStreamDecoder
if(fmt==NULL)
return;
 
-   int ret=av_open_input_stream(formatCtx, avioContext, 
lightspark_stream, fmt, NULL);
+   formatCtx-pb = avioContext;
+   int ret=avformat_open_input(formatCtx, lightspark_stream, fmt, NULL);
if(ret0)
return;

@@ -706,7 +706,7 @@ FFMpegStreamDecoder::~FFMpegStreamDecode
audioDecoder=NULL;
videoDecoder=NULL;
if(formatCtx)
-   av_close_input_stream(formatCtx);
+   av_close_input_file(formatCtx);
if(avioContext)
av_free(avioContext);
 }
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit log4cplus for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package log4cplus for openSUSE:Factory 
checked in at 2012-06-06 16:08:11

Comparing /work/SRC/openSUSE:Factory/log4cplus (Old)
 and  /work/SRC/openSUSE:Factory/.log4cplus.new (New)


Package is log4cplus, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/log4cplus/log4cplus.changes  2011-09-27 
16:16:14.0 +0200
+++ /work/SRC/openSUSE:Factory/.log4cplus.new/log4cplus.changes 2012-06-06 
16:08:14.0 +0200
@@ -1,0 +2,6 @@
+Wed Jun  6 10:31:29 UTC 2012 - cfarr...@suse.com
+
+- license update: Apache-2.0
+  SPDX format
+
+---



Other differences:
--
++ log4cplus.spec ++
--- /var/tmp/diff_new_pack.y2hydf/_old  2012-06-06 16:08:16.0 +0200
+++ /var/tmp/diff_new_pack.y2hydf/_new  2012-06-06 16:08:16.0 +0200
@@ -19,7 +19,7 @@
 Version:1.0.4
 %define soname  1_0-4
 Release:1
-License:Apache
+License:Apache-2.0
 Summary:C++ logging library
 Url:http://log4cplus.sourceforge.net/
 Group:  Development/Libraries/C and C++

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit lxappearance for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package lxappearance for openSUSE:Factory 
checked in at 2012-06-06 16:08:16

Comparing /work/SRC/openSUSE:Factory/lxappearance (Old)
 and  /work/SRC/openSUSE:Factory/.lxappearance.new (New)


Package is lxappearance, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/lxappearance/lxappearance.changes
2011-09-26 17:03:52.0 +0200
+++ /work/SRC/openSUSE:Factory/.lxappearance.new/lxappearance.changes   
2012-06-06 16:08:18.0 +0200
@@ -1,0 +2,7 @@
+Tue May 29 13:08:37 UTC 2012 - and...@opensuse.org
+
+- New upstream version 0.5.2
+  * bug fix release
+  * translation updates 
+
+---

Old:

  lxappearance-0.5.1.tar.bz2

New:

  lxappearance-0.5.2.tar.gz



Other differences:
--
++ lxappearance.spec ++
--- /var/tmp/diff_new_pack.h13Iqv/_old  2012-06-06 16:08:20.0 +0200
+++ /var/tmp/diff_new_pack.h13Iqv/_new  2012-06-06 16:08:20.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package lxappearance
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,22 +15,34 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   lxappearance
 Summary:It's a desktop-independent theme switcher for GTK+
-Version:0.5.1
-Release:11
 License:GPL-2.0
 Group:  System/GUI/LXDE
+Version:0.5.2
+Release:0
 Url:http://www.lxde.org/
-Source0:%name-%version.tar.bz2
+Source0:%name-%version.tar.gz
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  autoconf automake gcc gcc-c++ make update-desktop-files
-BuildRequires:  gettext-runtime gettext-tools gtk2-devel pkg-config
-BuildRequires:  gnome-icon-theme intltool perl perl-XML-Parser
-BuildRequires:  docbook-utils docbook-xsl-stylesheets fdupes libxslt
+BuildRequires:  autoconf
+BuildRequires:  automake
+BuildRequires:  docbook-utils
+BuildRequires:  docbook-xsl-stylesheets
+BuildRequires:  fdupes
+BuildRequires:  gcc
+BuildRequires:  gcc-c++
+BuildRequires:  gettext-runtime
+BuildRequires:  gettext-tools
+BuildRequires:  gnome-icon-theme
+BuildRequires:  gtk2-devel
+BuildRequires:  intltool
+BuildRequires:  libxslt
+BuildRequires:  make
+BuildRequires:  perl
+BuildRequires:  perl-XML-Parser
+BuildRequires:  pkg-config
+BuildRequires:  update-desktop-files
 Recommends: %name-lang
 Recommends: %name-obconf
 
@@ -39,7 +51,6 @@
 It's a desktop-independent theme switcher for GTK+.
 
 %package devel
-License:GPL-2.0
 Summary:Lxappearance development files
 Group:  Development/Libraries/C and C++
 Requires:   %name = %version

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit lxappearance-obconf for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package lxappearance-obconf for 
openSUSE:Factory checked in at 2012-06-06 16:08:21

Comparing /work/SRC/openSUSE:Factory/lxappearance-obconf (Old)
 and  /work/SRC/openSUSE:Factory/.lxappearance-obconf.new (New)


Package is lxappearance-obconf, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/lxappearance-obconf/lxappearance-obconf.changes  
2011-11-24 11:36:22.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.lxappearance-obconf.new/lxappearance-obconf.changes 
2012-06-06 16:08:23.0 +0200
@@ -1,0 +2,6 @@
+Tue May 29 14:44:05 UTC 2012 - and...@opensuse.org
+
+- updated to released upstream version 0.2.0
+- removed not needed patches now in upsteam code 
+
+---

Old:

  lxappearance-obconf-0.1.1.99+git20110814.tar.bz2
  lxappearance-obconf-fix-error-handling.patch
  lxappearance-obconf-fix-incomplete-rename.patch

New:

  lxappearance-obconf-0.2.0.tar.gz



Other differences:
--
++ lxappearance-obconf.spec ++
--- /var/tmp/diff_new_pack.kMKjcn/_old  2012-06-06 16:08:24.0 +0200
+++ /var/tmp/diff_new_pack.kMKjcn/_new  2012-06-06 16:08:24.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package lxappearance-obconf
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,21 +15,18 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   lxappearance-obconf
 Summary:Lxappearance Plugin to Configure Openbox
-Version:0.1.1.99+git20110814
-Release:1
 License:GPL-2.0
 Group:  System/GUI/LXDE
+Version:0.2.0
+Release:0
 Url:http://www.lxde.org/
-Source0:%name-%version.tar.bz2
-Patch0: %name-fix-error-handling.patch
-Patch1: %name-fix-incomplete-rename.patch
+Source0:%name-%version.tar.gz
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  intltool libtool
+BuildRequires:  intltool
+BuildRequires:  libtool
 BuildRequires:  pkgconfig(gtk+-2.0)
 BuildRequires:  pkgconfig(lxappearance)
 BuildRequires:  pkgconfig(obrender-3.5)
@@ -49,11 +46,8 @@
 
 %prep
 %setup -q
-%patch0 -p1
-%patch1 -p1
 
 %build
-./autogen.sh
 %configure
 %__make %{_smp_mflags} V=1
 

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit lxinput for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package lxinput for openSUSE:Factory checked 
in at 2012-06-06 16:08:27

Comparing /work/SRC/openSUSE:Factory/lxinput (Old)
 and  /work/SRC/openSUSE:Factory/.lxinput.new (New)


Package is lxinput, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/lxinput/lxinput.changes  2011-09-23 
02:12:18.0 +0200
+++ /work/SRC/openSUSE:Factory/.lxinput.new/lxinput.changes 2012-06-06 
16:08:29.0 +0200
@@ -1,0 +2,7 @@
+Tue May 29 14:12:46 UTC 2012 - and...@opensuse.org
+
+- new upstream version 0.3.2
+  * translations updates
+  * bugfix release 
+
+---

Old:

  lxinput-0.3.1.tar.bz2

New:

  lxinput-0.3.2.tar.gz



Other differences:
--
++ lxinput.spec ++
--- /var/tmp/diff_new_pack.x8YAsv/_old  2012-06-06 16:08:30.0 +0200
+++ /var/tmp/diff_new_pack.x8YAsv/_new  2012-06-06 16:08:30.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package lxinput
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,21 +15,30 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   lxinput
 Summary:Keyboard and mouse configuration tool 
-Version:0.3.1
-Release:1
 License:GPL-2.0
 Group:  System/GUI/LXDE
+Version:0.3.2
+Release:0
 Url:http://www.lxde.org/
-Source0:%name-%version.tar.bz2
+Source0:%name-%version.tar.gz
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  autoconf automake gcc gcc-c++ make update-desktop-files
-BuildRequires:  gettext-runtime gettext-tools gtk2-devel pkg-config
-BuildRequires:  fdupes intltool perl perl-XML-Parser
+BuildRequires:  autoconf
+BuildRequires:  automake
+BuildRequires:  fdupes
+BuildRequires:  gcc
+BuildRequires:  gcc-c++
+BuildRequires:  gettext-runtime
+BuildRequires:  gettext-tools
+BuildRequires:  gtk2-devel
+BuildRequires:  intltool
+BuildRequires:  make
+BuildRequires:  perl
+BuildRequires:  perl-XML-Parser
+BuildRequires:  pkg-config
+BuildRequires:  update-desktop-files
 
 %description
 LXinput is just the LXDE Keyboard and mouse config tool 

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit mozilla-nspr for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package mozilla-nspr for openSUSE:Factory 
checked in at 2012-06-06 16:08:42

Comparing /work/SRC/openSUSE:Factory/mozilla-nspr (Old)
 and  /work/SRC/openSUSE:Factory/.mozilla-nspr.new (New)


Package is mozilla-nspr, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/mozilla-nspr/mozilla-nspr.changes
2012-02-17 15:00:47.0 +0100
+++ /work/SRC/openSUSE:Factory/.mozilla-nspr.new/mozilla-nspr.changes   
2012-06-06 16:08:56.0 +0200
@@ -1,0 +2,11 @@
+Fri Jun  1 14:57:37 UTC 2012 - w...@rosenauer.org
+
+- update to version 4.9.1
+  * Android fixes
+  * pkgconfig file included (removed our patch)
+  * added Hurd support
+  * honor EHOSTDOWN
+  * a few smaller fixes
+- license change from tri-license to MPL-2.0
+
+---
@@ -4 +15 @@
-- update to version 4.9 RTM
+- update to version 4.9

Old:

  nspr-4.9.0.tar.bz2
  pkgconfig.patch

New:

  nspr-4.9.1.tar.bz2



Other differences:
--
++ mozilla-nspr.spec ++
--- /var/tmp/diff_new_pack.NrH5SU/_old  2012-06-06 16:08:58.0 +0200
+++ /var/tmp/diff_new_pack.NrH5SU/_new  2012-06-06 16:08:58.0 +0200
@@ -18,10 +18,10 @@
 
 
 Name:   mozilla-nspr
-Version:4.9.0
+Version:4.9.1
 Release:0
 Summary:Netscape Portable Runtime
-License:MPL-1.1 or GPL-2.0+ or LGPL-2.1+
+License:MPL-2.0
 Group:  System/Libraries
 Url:http://www.mozilla.org/projects/nspr/
 BuildRequires:  gcc-c++
@@ -33,7 +33,6 @@
 #
 Source: 
ftp://ftp.mozilla.org/pub/nspr/releases/v%{version}/src/nspr-%{version}.tar.bz2
 Source1:baselibs.conf
-Patch:  pkgconfig.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -63,7 +62,6 @@
 %prep
 %setup -n nspr-%{version} -q
 cd mozilla
-%patch -p2
 
 %build
 # set buildtime to last-modification-time

++ nspr-4.9.0.tar.bz2 - nspr-4.9.1.tar.bz2 ++
 30173 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit mozilla-nss for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package mozilla-nss for openSUSE:Factory 
checked in at 2012-06-06 16:08:48

Comparing /work/SRC/openSUSE:Factory/mozilla-nss (Old)
 and  /work/SRC/openSUSE:Factory/.mozilla-nss.new (New)


Package is mozilla-nss, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/mozilla-nss/mozilla-nss.changes  2012-04-17 
22:00:05.0 +0200
+++ /work/SRC/openSUSE:Factory/.mozilla-nss.new/mozilla-nss.changes 
2012-06-06 16:08:59.0 +0200
@@ -1,0 +2,5 @@
+Fri Jun  1 18:46:28 UTC 2012 - w...@rosenauer.org
+
+- update to 3.13.5 RTM
+
+---

Old:

  nss-3.13.4.tar.bz2

New:

  nss-3.13.5.tar.bz2



Other differences:
--
++ mozilla-nss.spec ++
--- /var/tmp/diff_new_pack.c779qQ/_old  2012-06-06 16:09:02.0 +0200
+++ /var/tmp/diff_new_pack.c779qQ/_new  2012-06-06 16:09:02.0 +0200
@@ -23,9 +23,9 @@
 BuildRequires:  gcc-c++
 BuildRequires:  mozilla-nspr-devel
 BuildRequires:  pkg-config
-BuildRequires:  zlib-devel
 BuildRequires:  sqlite3-devel
-Version:3.13.4
+BuildRequires:  zlib-devel
+Version:3.13.5
 Release:0
 # bug437293
 %ifarch ppc64
@@ -77,10 +77,10 @@
 %package devel
 Summary:Network (Netscape) Security Services development files
 Group:  Development/Libraries/Other
-Requires:   mozilla-nspr-devel
-Requires:   mozilla-nss = %{version}-%{release}
 Requires:   libfreebl3
 Requires:   libsoftokn3
+Requires:   mozilla-nspr-devel
+Requires:   mozilla-nss = %{version}-%{release}
 # bug437293
 %ifarch ppc64
 Obsoletes:  mozilla-nss-devel-64bit



++ nss-3.13.4.tar.bz2 - nss-3.13.5.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/nss-3.13.4/mozilla/security/nss/lib/certdb/stanpcertdb.c 
new/nss-3.13.5/mozilla/security/nss/lib/certdb/stanpcertdb.c
--- old/nss-3.13.4/mozilla/security/nss/lib/certdb/stanpcertdb.c
2012-04-13 20:53:00.0 +0200
+++ new/nss-3.13.5/mozilla/security/nss/lib/certdb/stanpcertdb.c
2012-05-17 23:40:53.0 +0200
@@ -311,13 +311,15 @@
 }
 stanNick = nssCertificate_GetNickname(c, NULL);
 if (stanNick  nickname  strcmp(nickname, stanNick) != 0) {
-   /* take the new nickname */
+   /* different: take the new nickname */
cert-nickname = NULL;
+nss_ZFreeIf(stanNick);
stanNick = NULL;
 }
 if (!stanNick  nickname) {
-   stanNick = nssUTF8_Duplicate((NSSUTF8 *)nickname, c-object.arena);
-}
+/* Either there was no nickname yet, or we have a new nickname */
+   stanNick = nssUTF8_Duplicate((NSSUTF8 *)nickname, NULL);
+} /* else: old stanNick is identical to new nickname */
 /* Delete the temp instance */
 nssCertificateStore_Lock(context-certStore, lockTrace);
 nssCertificateStore_RemoveCertLOCKED(context-certStore, c);
@@ -336,6 +338,8 @@
   c-serial,
  cert-emailAddr,
   PR_TRUE);
+nss_ZFreeIf(stanNick);
+stanNick = NULL;
 PK11_FreeSlot(slot);
 if (!permInstance) {
if (NSS_GetError() == NSS_ERROR_INVALID_CERTIFICATE) {
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/nss-3.13.4/mozilla/security/nss/lib/certhigh/certhigh.c 
new/nss-3.13.5/mozilla/security/nss/lib/certhigh/certhigh.c
--- old/nss-3.13.4/mozilla/security/nss/lib/certhigh/certhigh.c 2011-03-10 
05:29:04.0 +0100
+++ new/nss-3.13.5/mozilla/security/nss/lib/certhigh/certhigh.c 2012-05-17 
23:40:54.0 +0200
@@ -394,6 +394,8 @@
 stanNickname = nssCertificate_GetNickname(c,NULL);
 
 if ( stanNickname ) {
+nss_ZFreeIf(stanNickname);
+stanNickname = NULL;
if (names-what == SEC_CERT_NICKNAMES_USER) {
saveit = NSSCertificate_IsPrivateKeyAvailable(c, NULL, NULL);
}
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/nss-3.13.4/mozilla/security/nss/lib/certhigh/certvfy.c 
new/nss-3.13.5/mozilla/security/nss/lib/certhigh/certvfy.c
--- old/nss-3.13.4/mozilla/security/nss/lib/certhigh/certvfy.c  2011-09-14 
02:28:47.0 +0200
+++ new/nss-3.13.5/mozilla/security/nss/lib/certhigh/certvfy.c  2012-04-24 
02:33:27.0 +0200
@@ -96,7 +96,7 @@
rv = NSS_GetAlgorithmPolicy(hashAlg, policyFlags);
if (rv == SECSuccess  
!(policyFlags  NSS_USE_ALG_IN_CERT_SIGNATURE)) {
-   PORT_SetError(SEC_ERROR_INVALID_ALGORITHM);
+   

commit polkit-default-privs for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package polkit-default-privs for 
openSUSE:Factory checked in at 2012-06-06 16:09:16

Comparing /work/SRC/openSUSE:Factory/polkit-default-privs (Old)
 and  /work/SRC/openSUSE:Factory/.polkit-default-privs.new (New)


Package is polkit-default-privs, Maintainer is lnus...@suse.com

Changes:

--- 
/work/SRC/openSUSE:Factory/polkit-default-privs/polkit-default-privs.changes
2012-05-16 21:09:13.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.polkit-default-privs.new/polkit-default-privs.changes
   2012-06-06 16:09:21.0 +0200
@@ -1,0 +2,5 @@
+Tue Jun  5 12:47:55 UTC 2012 - lnus...@suse.de
+
+- fix script name in sysconfig file (bnc#765227)
+
+---



Other differences:
--
++ polkit-default-privs-12.2.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/polkit-default-privs-12.2/sysconfig.security-polkit_default_privs 
new/polkit-default-privs-12.2/sysconfig.security-polkit_default_privs
--- old/polkit-default-privs-12.2/sysconfig.security-polkit_default_privs   
2012-05-15 13:55:11.0 +0200
+++ new/polkit-default-privs-12.2/sysconfig.security-polkit_default_privs   
2012-06-05 14:47:35.0 +0200
@@ -3,7 +3,7 @@
 
 ## Type:list(set,warn,no)
 ## Default: set
-## Config:  polkit_default_privs
+## Config:  set_polkit_default_privs
 #
 # SuSEconfig can check PolicyKit default privileges.
 # Setting this variable to set will change privileges that don't match the
@@ -16,6 +16,7 @@
 
 ## Type:string
 ## Default: standard
+## Config:  set_polkit_default_privs
 #
 # SUSE ships with two sets of default privilege settings. These are
 # standard and restrictive.

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit python-compizconfig for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package python-compizconfig for 
openSUSE:Factory checked in at 2012-06-06 16:09:21

Comparing /work/SRC/openSUSE:Factory/python-compizconfig (Old)
 and  /work/SRC/openSUSE:Factory/.python-compizconfig.new (New)


Package is python-compizconfig, Maintainer is jzh...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/python-compizconfig/python-compizconfig.changes  
2011-09-28 15:31:19.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-compizconfig.new/python-compizconfig.changes 
2012-06-06 16:09:22.0 +0200
@@ -2 +2 @@
-Thu Sep 22 19:53:39 UTC 2011 - dims...@opensuse.org
+Thu May 31 12:00:00 UTC 2012 - k...@gmx.de
@@ -4,2 +4 @@
-- Update to version 0.9.5.94:
-  + Track libcompizconfig changes
+- correct license format
@@ -8 +7 @@
--Thu May 19 17:38:25 UTC 2011 - dims...@opensuse.org
+Sat Nov 12 12:00:00 UTC 2011 - k...@gmx.de
@@ -10,31 +9 @@
-- Forward to commit ddf4268485ead7431cbbe06c7d541a99beb5deee:
-  + Sync with changes in compiz main package.
-- Enhance update.sh update script for better automatic git updates.
-

-Sun Jan 16 22:12:45 UTC 2011 - dims...@opensuse.org
-
-- Forward to commit 41fb7785fdaada4611061e1c398c72183e62ffa7
-

-Tue Nov 16 17:29:40 UTC 2010 - dims...@opensuse.org
-
-- Bump the .spec version to 0.9.2.1, to reflect latest checkin.
-

-Mon Nov  8 21:54:09 UTC 2010 - dims...@opensuse.org
-
-- Update to version 0.9.2.1:
-  + Version bump to stay in sync with compiz.
-

-Tue Sep  7 08:24:03 UTC 2010 - co...@novell.com
-
-- Fix build with python 2.7, by fixing a filename in the file list.
-

-Sun Jul  4 09:08:32 UTC 2010 - dims...@opensuse.org
-
-- Update to 0.9.0
-  + Added simple setuptools/cython based buildsystem
-  + Update for libcompizconfig API changes.
+- add the requirement for compiz with a version less than 0.9

Old:

  compizconfig-python.tar.bz2
  update.sh

New:

  compizconfig-python-0.8.4.tar.bz2
  newtocinit.diff



Other differences:
--
++ python-compizconfig.spec ++
--- /var/tmp/diff_new_pack.DUqN4U/_old  2012-06-06 16:09:24.0 +0200
+++ /var/tmp/diff_new_pack.DUqN4U/_new  2012-06-06 16:09:24.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-compizconfig
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,20 +18,33 @@
 
 
 Name:   python-compizconfig
-Version:0.9.5.94
+Version:0.8.4
 Release:1
 License:GPL-2.0+
 Summary:Python bindings for libraries/plugins for compizconfig-settings
 Url:http://opencompositing.org
 Group:  System/X11/Utilities
-Source: compizconfig-python.tar.bz2
-# Helper script to update to latest git.
-Source99:   update.sh
-BuildRequires:  python-devel
-BuildRequires:  python-cython
-BuildRequires:  pkg-config
+Source: compizconfig-python-%{version}.tar.bz2
+Patch0: newtocinit.diff
+BuildRequires:  autoconf
+BuildRequires:  automake
+BuildRequires:  compiz-devel
+BuildRequires:  compiz-gnome
+BuildRequires:  glib2-devel
+BuildRequires:  intltool
 BuildRequires:  libcompizconfig-devel
+BuildRequires:  libxml2-devel
+BuildRequires:  libxslt-devel
+BuildRequires:  pkg-config
+BuildRequires:  pyrex
+BuildRequires:  python-devel
+BuildRequires:  python-gnome
 PreReq: %fillup_prereq
+Requires:   compiz  0.9
+Requires:   libcompizconfig  0.9
+Requires:   python-gtk
+Obsoletes:  ccs-python  %{version}
+Provides:   ccs-python = %{version}
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 ExclusiveArch:  %ix86 x86_64 ppc ppc64 ia64
 %py_requires
@@ -40,20 +53,27 @@
 Python bindings for libraries/plugins for compizconfig-settings
 
 %prep
-%setup -q -n compizconfig-python
+%setup -q -n compizconfig-python-%{version}
+%patch0 -p1
 
 %build
-python ./setup.py build
+#
+python-compizconfig
+#
+./autogen.sh
+%configure --prefix=/usr --libdir=%{_libdir} --disable-static --with-pic
+make %{?jobs:-j%jobs} CFLAGS=%{optflags} -fno-strict-aliasing
 
 %install
-python ./setup.py install --root=%{buildroot} --prefix=%{_prefix}
+%makeinstall
+%{__rm} %{buildroot}%{py_sitedir}/*.la
+%{__rm} 

commit python-httplib2 for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package python-httplib2 for openSUSE:Factory 
checked in at 2012-06-06 16:09:25

Comparing /work/SRC/openSUSE:Factory/python-httplib2 (Old)
 and  /work/SRC/openSUSE:Factory/.python-httplib2.new (New)


Package is python-httplib2, Maintainer is csten...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/python-httplib2/python-httplib2.changes  
2011-12-25 17:40:24.0 +0100
+++ /work/SRC/openSUSE:Factory/.python-httplib2.new/python-httplib2.changes 
2012-06-06 16:09:36.0 +0200
@@ -1,0 +2,6 @@
+Tue Jun  5 09:56:01 UTC 2012 - csten...@opensuse.org
+
+- update to version 0.7.4
+  * See CHANGELOG for all changes and fixes
+
+---

Old:

  httplib2-0.7.2.tar.gz

New:

  httplib2-0.7.4.tar.gz



Other differences:
--
++ python-httplib2.spec ++
--- /var/tmp/diff_new_pack.xDMLk5/_old  2012-06-06 16:09:39.0 +0200
+++ /var/tmp/diff_new_pack.xDMLk5/_new  2012-06-06 16:09:39.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-httplib2
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,46 +15,36 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   python-httplib2
-BuildRequires:  python-devel
-Summary:A Python HTTP library
-Version:0.7.2
+Version:0.7.4
 Release:0
-Source0:httplib2-%{version}.tar.gz
+Url:http://bitworking.org/projects/httplib2/
+Summary:A Python HTTP client library
 License:MIT
 Group:  Development/Libraries/Python
+Source0:httplib2-%{version}.tar.gz
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Url:http://bitworking.org/projects/httplib2/
-%define prefix  /usr
+BuildRequires:  python-devel
+%if 0%{?suse_version}
 %py_requires
-%if %{?suse_version: %{suse_version}  1110} %{!?suse_version:1}
+%if 0%{?suse_version}  1110
 BuildArch:  noarch
 %endif
+%endif
 
 %description
-A comprehensive python HTTP client library, which supports many
-features left out of other HTTP libraries.
-
-
-
-Authors:
-
-Joe Gregorio j...@bitworking.org
+A comprehensive HTTP client library that supports many features
+left out of other HTTP libraries.
 
 %prep
 %setup -q -n httplib2-%{version}
 
 %build
-CFLAGS=$RPM_OPT_FLAGS python setup.py build
+python setup.py build
 
 %install
-python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT 
--record-rpm=INSTALLED_FILES
-
-%clean
-rm -rf $RPM_BUILD_ROOT
+python setup.py install --prefix=%{_prefix} --root=%{buildroot} 
--record-rpm=INSTALLED_FILES
 
 %files -f INSTALLED_FILES
 %defattr(-,root,root)

++ httplib2-0.7.2.tar.gz - httplib2-0.7.4.tar.gz ++
 1913 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit python-lxml for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package python-lxml for openSUSE:Factory 
checked in at 2012-06-06 16:09:31

Comparing /work/SRC/openSUSE:Factory/python-lxml (Old)
 and  /work/SRC/openSUSE:Factory/.python-lxml.new (New)


Package is python-lxml, Maintainer is thomas.schrai...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/python-lxml/python-lxml.changes  2012-05-29 
11:44:30.0 +0200
+++ /work/SRC/openSUSE:Factory/.python-lxml.new/python-lxml.changes 
2012-06-06 16:09:40.0 +0200
@@ -1,0 +2,9 @@
+Mon Jun  4 20:55:38 UTC 2012 - os-...@jacraig.com
+
+- Update to version 2.3.4; bugs fixed:
+  * Crash due to race condition when errors (or user messages) occur during
+threaded XSLT processing.
+  * XSLT stylesheet compilation could ignore compilation errors.
+- Exclude etree_defs.h from RPM
+
+---

Old:

  lxml-2.3.3.tar.gz
  lxmldoc-2.3.3.pdf

New:

  lxml-2.3.4.tar.gz
  lxmldoc-2.3.4.pdf



Other differences:
--
++ python-lxml.spec ++
--- /var/tmp/diff_new_pack.rGl6Dq/_old  2012-06-06 16:09:42.0 +0200
+++ /var/tmp/diff_new_pack.rGl6Dq/_new  2012-06-06 16:09:42.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   python-lxml
-Version:2.3.3
+Version:2.3.4
 Release:0
 Summary:Powerful and Pythonic XML processing library
 License:BSD-3-Clause and GPL-2.0+
@@ -67,6 +67,7 @@
 %doc CHANGES.txt CREDITS.txt LICENSES.txt README.rst
 %{python_sitearch}/lxml/
 %{python_sitearch}/lxml-%{version}-py%{py_ver}.egg-info
+%exclude %{python_sitearch}/lxml/etree_defs.h
 
 %files doc
 %defattr(-,root,root)

++ python3-lxml.spec ++
--- /var/tmp/diff_new_pack.rGl6Dq/_old  2012-06-06 16:09:42.0 +0200
+++ /var/tmp/diff_new_pack.rGl6Dq/_new  2012-06-06 16:09:42.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   python3-lxml
-Version:2.3.3
+Version:2.3.4
 Release:0
 Summary:Powerful and Pythonic XML processing library
 License:BSD-3-Clause and GPL-2.0+
@@ -73,6 +73,7 @@
 %doc CHANGES.txt CREDITS.txt LICENSES.txt README.rst
 %{python3_sitearch}/lxml/
 %{python3_sitearch}/lxml-%{version}-py%{py3_ver}.egg-info
+%exclude %{python3_sitearch}/lxml/etree_defs.h
 
 %files doc
 %defattr(-,root,root)

++ lxml-2.3.3.tar.gz - lxml-2.3.4.tar.gz ++
 37437 lines of diff (skipped)

++ lxmldoc-2.3.3.pdf - lxmldoc-2.3.4.pdf ++
(binary differes)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit python-qt4 for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package python-qt4 for openSUSE:Factory 
checked in at 2012-06-06 16:09:36

Comparing /work/SRC/openSUSE:Factory/python-qt4 (Old)
 and  /work/SRC/openSUSE:Factory/.python-qt4.new (New)


Package is python-qt4, Maintainer is kde-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/python-qt4/python-qt4.changes2011-12-25 
17:52:12.0 +0100
+++ /work/SRC/openSUSE:Factory/.python-qt4.new/python-qt4.changes   
2012-06-06 16:09:43.0 +0200
@@ -1,0 +2,19 @@
+Mon Jun  4 08:36:27 UTC 2012 - idon...@suse.com
+
+- Update license 
+
+---
+Mon May 28 03:34:49 UTC 2012 - m...@suse.com
+
+- Fix files list 
+  * Added pyqtconfig.py back
+
+---
+Fri May 25 08:47:18 UTC 2012 - toddrme2...@gmail.com
+
+- Update to version 4.9.1
+  * Bugfixes
+- Spec file cleanups
+- Fixed licenses
+
+---
--- /work/SRC/openSUSE:Factory/python-qt4/python3-qt4.changes   2011-12-25 
17:52:12.0 +0100
+++ /work/SRC/openSUSE:Factory/.python-qt4.new/python3-qt4.changes  
2012-06-06 16:09:43.0 +0200
@@ -1,0 +2,13 @@
+Mon Jun  4 08:36:33 UTC 2012 - idon...@suse.com
+
+- Update license 
+
+---
+Fri May 25 08:47:18 UTC 2012 - toddrme2...@gmail.com
+
+- Update to version 4.9.1
+  * Bugfixes
+- Spec file cleanups
+- Fixed licenses
+
+---

Old:

  PyQt-x11-gpl-4.9.tar.gz

New:

  PyQt-x11-gpl-4.9.1.tar.gz



Other differences:
--
++ python-qt4.spec ++
--- /var/tmp/diff_new_pack.bRUpnL/_old  2012-06-06 16:09:45.0 +0200
+++ /var/tmp/diff_new_pack.bRUpnL/_new  2012-06-06 16:09:45.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-qt4
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,23 +17,10 @@
 
 
 Name:   python-qt4
-BuildRequires:  dbus-1-python-devel
-BuildRequires:  fdupes
-BuildRequires:  libQtWebKit-devel
-BuildRequires:  libqt4-devel
-BuildRequires:  python-devel
-BuildRequires:  python-sip-devel
-Requires:   dbus-1-python = %( echo `rpm -q --queryformat '%{VERSION}' 
dbus-1-python`)
-%if 0%{?suse_version} = 1130
-BuildRequires:  phonon-devel
-%endif
-%if 0%{?sles_version} == 10
-Requires:   python-elementtree
-%endif
-Version:4.9
+Version:4.9.1
 Release:0
 Summary:PyQt - python bindings for Qt 4
-License:GPLv2, GPLv3 or Riverbank Commercial License
+License:SUSE-GPL-2.0-with-FLOSS-exception or GPL-3.0 or SUSE-NonFree
 Group:  Development/Libraries/Python
 %define rversion %{version}
 Url:http://www.riverbankcomputing.com/software/pyqt/intro
@@ -41,12 +28,24 @@
 Patch0: link-python.diff
 Patch2: disable-rpaths.diff
 Patch3: build-compare.diff
+BuildRequires:  dbus-1-python-devel
+BuildRequires:  fdupes
+BuildRequires:  libQtWebKit-devel
+BuildRequires:  libqt4-devel
+BuildRequires:  phonon-devel
+BuildRequires:  python-devel
+BuildRequires:  python-sip-devel
+Requires:   dbus-1-python = %( echo `rpm -q --queryformat '%{VERSION}' 
dbus-1-python`)
+Requires:   libqt4-x11= %( echo `rpm -q --queryformat '%{VERSION}' 
libqt4-x11`)
 Requires:   python-sip = %( echo `rpm -q --queryformat '%{VERSION}' 
python-sip`)
+%if 0%{?sles_version} == 10
+Requires:   python-elementtree
+%endif
 %py_requires
 %if 0%{?suse_version} = 1110
-%define python_sitelib %{py_sitedir}
+%{!?python_sitelib:  %global python_sitelib  %(python -c from 
distutils.sysconfig import get_python_lib; print(get_python_lib()))}
+%{!?python_sitearch: %global python_sitearch %(python -c from 
distutils.sysconfig import get_python_lib; print(get_python_lib(1)))}
 %endif
-Requires:   libqt4-x11 = %( echo `rpm -q --queryformat '%{VERSION}' 
libqt4-x11`)
 
 %description
 PyQt is a set of Python bindings for Trolltech's Qt application
@@ -100,7 +99,7 @@
 %install
 %make_install INSTALL_ROOT=%{buildroot}
 sed -i 's/The doc directory/The doc directory of package %{name}-devel/' 
README
-DOCDIR=%{buildroot}%{_datadir}/doc/packages/%{name}-devel
+DOCDIR=%{buildroot}%{_docdir}/%{name}-devel
 mkdir -p $DOCDIR
 cp -pr NEWS THANKS contrib doc examples $DOCDIR
  # create hardlinks for duplicate files
@@ -112,27 +111,17 @@
 %files
 

commit qutim for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package qutim for openSUSE:Factory checked 
in at 2012-06-06 16:09:43

Comparing /work/SRC/openSUSE:Factory/qutim (Old)
 and  /work/SRC/openSUSE:Factory/.qutim.new (New)


Package is qutim, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/qutim/qutim.changes  2012-05-08 
06:48:09.0 +0200
+++ /work/SRC/openSUSE:Factory/.qutim.new/qutim.changes 2012-06-06 
16:09:46.0 +0200
@@ -1,0 +2,9 @@
+Mon May 28 08:09:47 UTC 2012 - magis...@gmail.com
+
+- Changes in spec file:
+  * Moved plugins from qutim-plugins package to main package
+  * Added OTR plugin
+  * Added phononsound plugin as a default sound engine
+  * Some spec fixes
+
+---



Other differences:
--
++ qutim.spec ++
--- /var/tmp/diff_new_pack.H75t0e/_old  2012-06-06 16:09:47.0 +0200
+++ /var/tmp/diff_new_pack.H75t0e/_new  2012-06-06 16:09:47.0 +0200
@@ -27,8 +27,6 @@
 Requires:   libqca2-plugin-cyrus-sasl
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
-Recommends: qutim-plugins = %{version}
-
 BuildRequires: update-desktop-files
 BuildRequires:  cmake = 2.8
 BuildRequires:  fdupes
@@ -36,10 +34,63 @@
 BuildRequires:  libjreen-devel = 1.1.0
 BuildRequires:  libqca2-devel = 2.0
 BuildRequires:  libqt4-devel = 4.6
+BuildRequires:  phonon-devel
+BuildRequires: libotr-devel = 3.2.0
 
 %description
 Multiprotocol instant messenger.
 
+%package devel
+Summary:Development files for QutIM
+Group:  Development/Libraries/C and C++
+Requires:   %{name} = %{version}
+Requires:   libjreen-devel = 1.1.0
+Requires:   libqca2-devel = 2.0
+Requires:   libqt4-devel = 4.6
+
+%description devel
+Development files for QutIM
+
+%package plugin-aspeller
+Summary:Aspeller plugin for QutIM
+BuildRequires:  aspell
+BuildRequires:  aspell-devel
+Requires:   %{name} = %{version}
+Supplements:packageand(qutim:aspell)
+
+%description plugin-aspeller
+Spell checker plugin for QutIM based on aspell
+
+%package plugin-hunspeller
+Summary:Hunspeller plugin for QutIM
+Requires:   %{name} = %{version}
+
+BuildRequires:  hunspell
+BuildRequires:  hunspell-devel
+Supplements:packageand(qutim:hunspell)
+
+%description plugin-hunspeller
+Spell checker plugin for QutIM based on hunspell
+
+%package plugin-kdeintegration
+Summary:KDE integration plugin for QutIM
+BuildRequires:  libkde4-devel
+Requires:   %{name} = %{version}
+Supplements:packageand(qutim:libkde4)
+%kde4_runtime_requires
+
+%description plugin-kdeintegration
+Plugin that provides integration with KDE
+
+%package plugin-sdlsound
+Summary:SDL sound plugin for QutIM
+BuildRequires:  libSDL_mixer-devel
+Requires:   %{name} = %{version}
+Supplements:packageand(qutim:libSDL_mixer-1_2-0)
+
+%description plugin-sdlsound
+Sound engine plugin based on SDL
+
 %prep
 %setup -q
 
@@ -51,7 +102,6 @@
 export QMAKE_CXXFLAGS=%{optflags}
 cmake \
 -DCMAKE_INSTALL_PREFIX=%{_prefix} \
--DCMAKE_BUILD_TYPE=Release \
 -DSYSTEM_JREEN=1 \
 -DLIB_SUFFIX=$LIBSUFFIX \
 -DBEARERMANAGER=1 \
@@ -178,36 +228,7 @@
 %{_libdir}/qutim/plugins/libtreecontactsmodel.so
 %{_libdir}/qutim/plugins/libxsettingsdialog.so
 %{_libdir}/qutim/plugins/liblinuxintegration.so
-
-#
-%package devel
-Summary:Development files for QutIM
-Group:  Development/Libraries/C and C++
-Requires:   %{name} = %{version}
-Requires:   libjreen-devel = 1.1.0
-Requires:   libqca2-devel = 2.0
-Requires:   libqt4-devel = 4.6
-
-%description devel
-Development files for QutIM
-
-%files devel
-%defattr(-,root,root)
-%{_includedir}/*
-%{_libdir}/libqutim.so
-%{_libdir}/libqutim-adiumwebview.so
-%{_datadir}/cmake/Modules
-
-#
-%package plugins
-Summary:Plugins for QutIM
-Requires:   %{name} = %{version}
-
-%description plugins
-Additional plugins for QutIM.
-
-%files plugins
-%defattr(-,root,root)
+%{_libdir}/qutim/plugins/libphononsound.so
 
 %{_libdir}/qutim/plugins/libaescrypto.so
 %{_libdir}/qutim/plugins/libantispam.so
@@ -230,63 +251,23 @@
 %{_libdir}/qutim/plugins/libhighlighter.so
 %{_libdir}/qutim/plugins/libblogimprover.so
 %{_libdir}/qutim/plugins/libupdater.so
+%{_libdir}/qutim/plugins/libofftherecord.so
 
-#
-%package plugin-aspeller
-Summary:Aspeller plugin for QutIM
-BuildRequires:  aspell
-BuildRequires:  aspell-devel
-Requires:   %{name} = %{version}
-Supplements:packageand(qutim:aspell)
-

commit samba for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package samba for openSUSE:Factory checked 
in at 2012-06-06 16:09:48

Comparing /work/SRC/openSUSE:Factory/samba (Old)
 and  /work/SRC/openSUSE:Factory/.samba.new (New)


Package is samba, Maintainer is samba-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/samba/samba.changes  2012-05-07 
22:51:59.0 +0200
+++ /work/SRC/openSUSE:Factory/.samba.new/samba.changes 2012-06-06 
16:09:51.0 +0200
@@ -1,0 +2,78 @@
+Fri Jun  1 23:01:11 UTC 2012 - lmue...@suse.com
+
+- Don't call autogen.sh on post-12.1 SUSE and post-14 Fedora systems.
+- Recompile all IDL in any case.
+
+---
+Fri Jun  1 14:18:58 UTC 2012 - lmue...@suse.com
+
+- BuildIgnore libtalloc and libtdb to prevent a package conflict on Fedora
+  systems.
+
+---
+Thu May 31 15:48:11 UTC 2012 - lmue...@suse.com
+
+- Install talloc.pc only on pre-12.2 and non SUSE systems.
+
+---
+Thu May 31 14:07:36 UTC 2012 - lmue...@suse.com
+
+- BuildRequire libldb-devel, libtalloc-devel, libtdb-devel, and
+  libtevent-devel on post-12.1 systems.
+
+---
+Wed May 30 12:07:39 UTC 2012 - lmue...@suse.com
+
+- s3: Fix a segfault with debug level 3 on Solaris; (bso#8861).
+- s3: wbinfo --lookup-sids  crashes winbind; (bso#8904).
+- smbd crashes when deleting directory and veto files are enabled; (bso#8837).
+- winbind_krb5_locator only returns one IP address; (bso#8897).
+- Wrong assertion/comparison: Compare value not pointer; (bso#8859).
+- Inconsistent (with manpage) command-line switch for help in smbtree;
+  (bso#8831).
+- Fix incorrect debug statement.
+- Setting traverse rights fails to enable directory traversal when acl_xattr
+  in use; (bso#8857).
+- Syslog broken owing to mistyping of debug_settings.syslog; (bso#8877).
+- s3/ldap: remove outdated netscape ds 5 schema file; (bso#8869).
+- s3-docs: fixes several typos; (bso#7938).
+- s3-VFS: Fix building out-of-tree modules; (bso#8822).
+- s3-docs: Add hint that setting profile acls = yes on normal shares can
+  cause trouble; (bso#7930).
+- s3-pam_winbind: Fix the build with a newer iniparser library; (bso#8915).
+- Avoid null dereference in initialize_password_db(); (bso#8920).
+- s3:registry: implement values_need_update and subkeys_need_update in the
+  smbconf backend.
+- s3:registry:reg_api: fix reg_queryvalue to not fail when values are
+  modified while it runs.
+- s4:torture:rpc:spoolss: also initialize driverName before checking it in
+  test_PrinterData_DsSpooler().
+- s3:registry: multiple cleanups, fixes, and optimisations.
+- s3:auth/server_info: the primary rid should be in the groups rid array;
+  (bso#8798).
+- s3-printing: Add new printers to registry; (bso#8554); (baso#8612);
+  (bso#8748).
+- Fix the overwriting of errno before use in a DEBUG statement and use the
+  return value from store_acl_blob_fsp rather than ignoring it; (bso#8945).
+- s3-auth: Don't lookup the system user in pdb; (bso#8944).
+- s3-passdb: Fix negative SID-uid/gid cache handling; (bso#8952).
+- Fix typo in pam_winbindd code; (bso#8957).
+- Fix remove_duplicate_addrs2 previously it could leave zero addresses in the
+  list; (bso#8910).
+- Slow but responsive DC can lock up winbindd; (bso#8943).
+- Broken processing of %U with vfs_full_audit when force user is set;
+  (bso#8882).
+
+---
+Mon May 15 11:54:41 UTC 2012 - lmue...@suse.com
+
+- Disable included build of ldb, talloc, tdb, and tevent on post-12.1 systems.
+- BuildRequire libldb1-devel, libtalloc2-devel, libtdb1-devel, and
+  libtevent0-devel on post-12.1 systems.
+
+---
+Wed May  2 13:17:54 UTC 2012 - lmue...@suse.com
+
+- Add PreReq /etc/init.d/nscd to the winbind package; (bnc#759731).
+
+---
@@ -7 +85,2 @@
-- s3-smbd: move print_backend_init() behind init_system_info(); (bso#8845).
+- s3-smbd: move print_backend_init() behind init_system_info(); (bso#8845);
+  (bnc#730769).



Other differences:
--
++ samba-doc.spec ++
--- /var/tmp/diff_new_pack.KFAzjj/_old  2012-06-06 16:09:53.0 +0200
+++ /var/tmp/diff_new_pack.KFAzjj/_new  2012-06-06 16:09:53.0 +0200
@@ -82,23 +82,33 @@
 %else
 BuildRequires:  pkgconfig
 %endif
+%if 0%{?suse_version} == 0 || 0%{?suse_version}  1210
+BuildRequires:  libldb-devel
+#!BuildIgnore: libtalloc
+BuildRequires:  libtalloc-devel
+#!BuildIgnore: libtdb

commit simple-ccsm for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package simple-ccsm for openSUSE:Factory 
checked in at 2012-06-06 16:10:06

Comparing /work/SRC/openSUSE:Factory/simple-ccsm (Old)
 and  /work/SRC/openSUSE:Factory/.simple-ccsm.new (New)


Package is simple-ccsm, Maintainer is jzh...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/simple-ccsm/simple-ccsm.changes  2011-09-23 
12:46:21.0 +0200
+++ /work/SRC/openSUSE:Factory/.simple-ccsm.new/simple-ccsm.changes 
2012-06-06 16:10:17.0 +0200
@@ -2 +2 @@
-Tue Jul 19 19:18:49 UTC 2011 - dims...@opensuse.org
+Thu May 31 12:00:00 UTC 2012 - k...@gmx.de
@@ -4,4 +4 @@
-- Forward to commit 02306497c354f2b8993ca445cf8528ca99cf4db6:
-  + Sync with compiz changes
-- Drop simple-ccsm-disable-compiz.patch: included upstream.
-- Enhance update.sh for easier automatic git updates.
+- correct license format
@@ -10 +7 @@
-Thu Feb 17 21:53:48 CET 2011 - vu...@opensuse.org
+Tue Apr 28 12:00:00 UTC 2011 - roberth...@arcor.de
@@ -12,34 +9,2 @@
-- Update simple-ccsm-disable-compiz.patch to create
-  ~/.config/compiz/ if it doesn't exist, and to respect
-  $XDG_CONFIG_HOME.
-

-Thu Feb 17 08:28:31 UTC 2011 - dims...@opensuse.org
-
-- Do not package in_IN locale on 11.4.
-

-Tue Dec 28 14:55:50 UTC 2010 - dims...@opensuse.org
-
-- Add simple-ccsm-disable-compiz.patch: write a compiz-disable file
-  when disbaling compiz in simple-ccsm. This avoids compiz on
-  relogin from being started again.
-

-Thu Dec 16 16:10:14 UTC 2010 - dims...@opensuse.org
-
-- Forward to current git:
-  + Catch error when trying to disable compiz and kwriteconfig is
-not found on the system. Fixes bnc#659886.
-

-Wed Nov 17 20:32:00 UTC 2010 - dims...@opensuse.org
-
-- Update to version 0.9.2.1:
-  + Track changes in libcompizconfig:
-- Remove Multi-Screen and Display capabilities
-- Drop patches:
-  + simple-ccsm-cm-dry.patch
-  + simple-ccsm-default-plugins.patch
-  + simple-ccsm-explicitly-disable-compiz.patch
-  + simple-ccsm-compiz-manager-cmd.diff: merged
+- Update to version 0.8.8
+- adapt to 0.8.8

Old:

  simple-ccsm.tar.bz2
  update.sh

New:

  simple-ccsm-0.8.8.tar.bz2
  simple-ccsm-default-plugins_herbster0815.patch



Other differences:
--
++ simple-ccsm.spec ++
--- /var/tmp/diff_new_pack.5G17j3/_old  2012-06-06 16:10:18.0 +0200
+++ /var/tmp/diff_new_pack.5G17j3/_new  2012-06-06 16:10:18.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package simple-ccsm
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,15 +18,15 @@
 
 
 Name:   simple-ccsm
-Version:0.9.2.1
-Release:9
+Version:0.8.8
+Release:1
 License:GPL-2.0+
 Summary:Simple Settings Manager for Compiz
 Url:http://opencompositing.org
 Group:  System/X11/Utilities
-Source: simple-ccsm.tar.bz2
-# Helper script to track upstream git changes.
-Source99:   update.sh
+Source: simple-ccsm-%{version}.tar.bz2
+# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
+Patch:  simple-ccsm-default-plugins_herbster0815.patch
 BuildRequires:  compiz-devel
 BuildRequires:  compiz-gnome
 BuildRequires:  gtk2-devel
@@ -57,7 +57,8 @@
 Compiz settings manager focused on simplicity and aimed at end users.
 
 %prep
-%setup -q -n simple-ccsm
+%setup -q -n simple-ccsm-%{version}
+%patch -p1
 
 %build
 ./setup.py --prefix=%{_prefix} --enableDesktopEffects
@@ -78,9 +79,7 @@
 %{_datadir}/simple-ccsm/
 %{_datadir}/icons/*
 %{python_sitelib}/
-%if 0%{?suse_version}  1140
-%dir %{_datadir}/locale/ml_IN
-%dir %{_datadir}/locale/ml_IN/LC_MESSAGES
-%endif
+#%dir %{_datadir}/locale/ml_IN
+#%dir %{_datadir}/locale/ml_IN/LC_MESSAGES
 
 %changelog

++ simple-ccsm-default-plugins_herbster0815.patch ++
 1493 lines (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit seamonkey for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package seamonkey for openSUSE:Factory 
checked in at 2012-06-06 16:09:58

Comparing /work/SRC/openSUSE:Factory/seamonkey (Old)
 and  /work/SRC/openSUSE:Factory/.seamonkey.new (New)


Package is seamonkey, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/seamonkey/seamonkey.changes  2012-05-07 
22:52:20.0 +0200
+++ /work/SRC/openSUSE:Factory/.seamonkey.new/seamonkey.changes 2012-06-06 
16:10:06.0 +0200
@@ -1,0 +2,19 @@
+Mon Jun  4 06:03:00 UTC 2012 - w...@rosenauer.org
+
+- update to Seamonkey 2.10 (bnc#765204)
+  * MFSA 2012-34/CVE-2012-1938/CVE-2012-1937/CVE-2011-3101
+Miscellaneous memory safety hazards
+  * MFSA 2012-36/CVE-2012-1944 (bmo#751422)
+Content Security Policy inline-script bypass
+  * MFSA 2012-37/CVE-2012-1945 (bmo#670514)
+Information disclosure though Windows file shares and shortcut
+files
+  * MFSA 2012-38/CVE-2012-1946 (bmo#750109)
+Use-after-free while replacing/inserting a node in a document
+  * MFSA 2012-40/CVE-2012-1947/CVE-2012-1940/CVE-2012-1941
+Buffer overflow and use-after-free issues found using Address
+Sanitizer
+- requires NSS 3.13.4
+  * MFSA 2012-39/CVE-2012-0441 (bmo#715073)
+
+---

Old:

  l10n-2.9.1.tar.bz2
  mailnews-literals.patch
  seamonkey-2.9.1-source.tar.bz2

New:

  l10n-2.10.tar.bz2
  mozilla-system-nspr.patch
  seamonkey-2.10-source.tar.bz2



Other differences:
--
++ seamonkey.spec ++
--- /var/tmp/diff_new_pack.KOorxo/_old  2012-06-06 16:10:16.0 +0200
+++ /var/tmp/diff_new_pack.KOorxo/_new  2012-06-06 16:10:16.0 +0200
@@ -42,9 +42,9 @@
 BuildRequires:  wireless-tools
 %endif
 Provides:   web_browser
-Version:2.9.1
+Version:2.10
 Release:0
-%define releasedate 2012042800
+%define releasedate 2012060400
 Summary:The successor of the Mozilla Application Suite
 License:MPL-1.1 or GPL-2.0+ or LGPL-2.1+
 Group:  Productivity/Networking/Web/Browsers
@@ -70,9 +70,9 @@
 Patch10:mozilla-ua-locale.patch
 Patch11:mozilla-gcc47.patch
 Patch12:mozilla-yarr-pcre.patch
+Patch13:mozilla-system-nspr.patch
 Patch20:seamonkey-ua-locale.patch
 Patch21:seamonkey-shared-nss-db.patch
-Patch22:mailnews-literals.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 PreReq: /bin/sh coreutils
 Provides:   seamonkey-mail = %{version}
@@ -95,7 +95,7 @@
 # so using %opensuse_bs is secure for now
 BuildRequires:  mozilla-nspr-devel
 PreReq: mozilla-nspr = %(rpm -q --queryformat '%{VERSION}' 
mozilla-nspr)
-BuildRequires:  mozilla-nss-devel = 3.13.3
+BuildRequires:  mozilla-nss-devel = 3.13.4
 PreReq: mozilla-nss = %(rpm -q --queryformat '%{VERSION}' mozilla-nss)
 
 %description
@@ -173,11 +173,11 @@
 %patch10 -p1
 %patch11 -p1
 #%patch12 -p1
+%patch13 -p1
 popd
 # comm patches
 %patch20 -p1
 %patch21 -p1
-%patch22 -p1
 
 %build
 # no need to add build time to binaries
@@ -236,7 +236,7 @@
 
 %install
 cd ../obj
-make -C suite/installer STRIP=/bin/true
+make -C suite/installer STRIP=/bin/true MOZ_PKG_FATAL_WARNINGS=0
 # copy tree into RPM_BUILD_ROOT
 mkdir -p $RPM_BUILD_ROOT%{progdir}
 cp -rf $RPM_BUILD_DIR/obj/mozilla/dist/seamonkey/* $RPM_BUILD_ROOT%{progdir}

++ compare-locales.tar.bz2 ++

++ create-tar.sh ++
--- /var/tmp/diff_new_pack.KOorxo/_old  2012-06-06 16:10:16.0 +0200
+++ /var/tmp/diff_new_pack.KOorxo/_new  2012-06-06 16:10:16.0 +0200
@@ -2,8 +2,8 @@
 
 CHANNEL=release
 BRANCH=releases/comm-$CHANNEL
-RELEASE_TAG=SEAMONKEY_2_9_1_RELEASE
-VERSION=2.9.1
+RELEASE_TAG=SEAMONKEY_2_10_RELEASE
+VERSION=2.10
 
 echo cloning $BRANCH...
 hg clone http://hg.mozilla.org/$BRANCH seamonkey

++ l10n-2.9.1.tar.bz2 - l10n-2.10.tar.bz2 ++
/work/SRC/openSUSE:Factory/seamonkey/l10n-2.9.1.tar.bz2 
/work/SRC/openSUSE:Factory/.seamonkey.new/l10n-2.10.tar.bz2 differ: char 11, 
line 1

++ mozilla-gcc47.patch ++
--- /var/tmp/diff_new_pack.KOorxo/_old  2012-06-06 16:10:16.0 +0200
+++ /var/tmp/diff_new_pack.KOorxo/_new  2012-06-06 16:10:16.0 +0200
@@ -1,77 +1,9 @@
 # HG changeset patch
-# Parent debab900e37fdd4f8981c06beef6f193a04bd2b7
+# Parent 7bc8f0e5bed8cb2212e27228e628861737256459
 Patch to make Mozilla build with gcc 4.7, including
-- Bug 725655 - gcc 4.7 build failures (missing headers) (TM: Mozilla13)
 - Bug 734490 - no viable overloaded 'PRIxPTR' when building with Clang or 
GCC 4.7 (TM: Mozilla14)
+- Bug 741348 - Work around crashreporter client build failure with gcc 4.7 
(TM: Mozilla15)
 
-diff --git 

commit transmageddon for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package transmageddon for openSUSE:Factory 
checked in at 2012-06-06 16:10:11

Comparing /work/SRC/openSUSE:Factory/transmageddon (Old)
 and  /work/SRC/openSUSE:Factory/.transmageddon.new (New)


Package is transmageddon, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/transmageddon/transmageddon.changes  
2012-02-15 16:19:24.0 +0100
+++ /work/SRC/openSUSE:Factory/.transmageddon.new/transmageddon.changes 
2012-06-06 16:10:19.0 +0200
@@ -1,0 +2,18 @@
+Tue Jun  5 10:45:45 UTC 2012 - dims...@opensuse.org
+
+- Change python-gstreamer-0_10 Requires to 0.10.22 despite
+  configure.ac mentioning 0.10.23, as this version is not avaialble
+  and the only point where this requirement is versioned is in
+  transmageddon.spec.in.
+
+---
+Thu Mar 22 19:17:56 UTC 2012 - vu...@opensuse.org
+
+- Update to version 0.21:
+  + Fix MPEG4 profiles to work with new caps in GStreamer
+  + Move preset directory to be Transmageddon specific
+  + Stop using XDG python library and just use glib
+  + Fix bug with repeated remuxings of same file
+  + Updated translations.
+
+---

Old:

  transmageddon-0.20.tar.bz2

New:

  transmageddon-0.21.tar.xz



Other differences:
--
++ transmageddon.spec ++
--- /var/tmp/diff_new_pack.nA8wkk/_old  2012-06-06 16:10:20.0 +0200
+++ /var/tmp/diff_new_pack.nA8wkk/_new  2012-06-06 16:10:20.0 +0200
@@ -18,21 +18,21 @@
 
 
 Name:   transmageddon
-Version:0.20
+Version:0.21
 Release:0
 Summary:A Video Transcoder
 License:LGPL-2.1+
 Group:  Productivity/Multimedia/Video/Editors and Convertors
-Source: http://www.linuxrising.org/files/%{name}-%{version}.tar.bz2
+Source: http://www.linuxrising.org/files/%{name}-%{version}.tar.xz
 BuildRequires:  fdupes
 BuildRequires:  intltool
 BuildRequires:  python
 BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files
-Requires:   gstreamer-0_10-plugins-base
+Requires:   gstreamer-0_10-plugins-base = 0.10.36
 Requires:   python-gobject2
-Requires:   python-gstreamer-0_10
-Requires:   python-gtk
+Requires:   python-gstreamer-0_10 = 0.10.22
+Requires:   python-gtk = 2.24.0
 Requires:   python-xml
 Recommends: gstreamer-0_10-plugins-bad
 Recommends: gstreamer-0_10-plugins-good
@@ -80,7 +80,6 @@
 %defattr(-, root, root)
 %{_bindir}/%{name}
 %{_datadir}/applications/%{name}.desktop
-%{_datadir}/gstreamer-0.10/
 %{_datadir}/%{name}/
 %{_datadir}/pixmaps/%{name}.svg
 %{_mandir}/man1/%{name}*

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit valgrind for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package valgrind for openSUSE:Factory 
checked in at 2012-06-06 16:10:17

Comparing /work/SRC/openSUSE:Factory/valgrind (Old)
 and  /work/SRC/openSUSE:Factory/.valgrind.new (New)


Package is valgrind, Maintainer is dmuel...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/valgrind/valgrind.changes2012-05-21 
10:01:31.0 +0200
+++ /work/SRC/openSUSE:Factory/.valgrind.new/valgrind.changes   2012-06-06 
16:10:20.0 +0200
@@ -1,0 +2,5 @@
+Mon Jun  4 17:38:56 UTC 2012 - dmuel...@suse.com
+
+- arch is now armv7hl
+
+---



Other differences:
--
++ valgrind.spec ++
--- /var/tmp/diff_new_pack.NQm5EP/_old  2012-06-06 16:10:22.0 +0200
+++ /var/tmp/diff_new_pack.NQm5EP/_new  2012-06-06 16:10:22.0 +0200
@@ -16,7 +16,6 @@
 #
 
 
-
 Name:   valgrind
 BuildRequires:  automake
 BuildRequires:  docbook-xsl-stylesheets
@@ -53,7 +52,7 @@
 %endif
 Provides:   callgrind = %version
 Obsoletes:  callgrind  %version
-ExclusiveArch:  %ix86 x86_64 ppc ppc64 s390x armv7l
+ExclusiveArch:  %ix86 x86_64 ppc ppc64 s390x armv7hl
 %if %suse_version  1100
 %define building_docs 1
 %else

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit wordcut for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package wordcut for openSUSE:Factory checked 
in at 2012-06-06 16:10:21

Comparing /work/SRC/openSUSE:Factory/wordcut (Old)
 and  /work/SRC/openSUSE:Factory/.wordcut.new (New)


Package is wordcut, Maintainer is dmzh...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/wordcut/wordcut.changes  2011-12-21 
14:59:47.0 +0100
+++ /work/SRC/openSUSE:Factory/.wordcut.new/wordcut.changes 2012-06-06 
16:10:23.0 +0200
@@ -1,0 +2,5 @@
+Tue Jun  5 16:08:43 UTC 2012 - i...@marguerite.su
+
+- fix sles builds.
+
+---



Other differences:
--
++ wordcut.spec ++
--- /var/tmp/diff_new_pack.qEfGYj/_old  2012-06-06 16:10:24.0 +0200
+++ /var/tmp/diff_new_pack.qEfGYj/_new  2012-06-06 16:10:24.0 +0200
@@ -35,6 +35,7 @@
 
 %package devel
 Summary:Include Files and Libraries mandatory for Development.
+Group:  Development/Libraries/C and C++
 Requires:   %{name} = %{version} glibc-devel
 
 %description devel

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit xulrunner for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package xulrunner for openSUSE:Factory 
checked in at 2012-06-06 16:10:26

Comparing /work/SRC/openSUSE:Factory/xulrunner (Old)
 and  /work/SRC/openSUSE:Factory/.xulrunner.new (New)


Package is xulrunner, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/xulrunner/xulrunner.changes  2012-05-25 
16:20:29.0 +0200
+++ /work/SRC/openSUSE:Factory/.xulrunner.new/xulrunner.changes 2012-06-06 
16:10:32.0 +0200
@@ -2 +2 @@
-Wed May 16 05:41:15 UTC 2012 - w...@rosenauer.org
+Sat Jun  2 09:16:34 UTC 2012 - w...@rosenauer.org
@@ -3,0 +4,15 @@
+- update to 13.0 (bnc#765204)
+  * MFSA 2012-34/CVE-2012-1938/CVE-2012-1937/CVE-2011-3101
+Miscellaneous memory safety hazards
+  * MFSA 2012-36/CVE-2012-1944 (bmo#751422)
+Content Security Policy inline-script bypass
+  * MFSA 2012-37/CVE-2012-1945 (bmo#670514)
+Information disclosure though Windows file shares and shortcut
+files
+  * MFSA 2012-38/CVE-2012-1946 (bmo#750109)
+Use-after-free while replacing/inserting a node in a document
+  * MFSA 2012-40/CVE-2012-1947/CVE-2012-1940/CVE-2012-1941
+Buffer overflow and use-after-free issues found using Address
+Sanitizer
+- require NSS 3.13.4
+  * MFSA 2012-39/CVE-2012-0441 (bmo#715073)
@@ -5 +20 @@
-  (fix in mozilla-gcc47.patch)
+  (fixed in mozilla-gcc47.patch)

Old:

  l10n-12.0.tar.bz2
  mozilla-arm-cpu-detection.patch
  xulrunner-12.0-source.tar.bz2

New:

  l10n-13.0.tar.bz2
  mozilla-disable-neon-option.patch
  mozilla-nsSound.patch
  mozilla-system-nspr.patch
  xulrunner-13.0-source.tar.bz2



Other differences:
--
++ xulrunner.spec ++
--- /var/tmp/diff_new_pack.MhlOpC/_old  2012-06-06 16:10:40.0 +0200
+++ /var/tmp/diff_new_pack.MhlOpC/_new  2012-06-06 16:10:40.0 +0200
@@ -43,13 +43,13 @@
 BuildRequires:  wireless-tools
 %endif
 BuildRequires:  mozilla-nspr-devel = 4.9.0
-BuildRequires:  mozilla-nss-devel = 3.13.3
-Version:12.0
+BuildRequires:  mozilla-nss-devel = 3.13.4
+Version:13.0
 Release:0
-%define releasedate 2012042100
-%define version_internal 12.0
-%define apiversion 12
-%define uaweight 120
+%define releasedate 2012060100
+%define version_internal 13.0
+%define apiversion 13
+%define uaweight 130
 Summary:Mozilla Runtime Environment
 License:MPL-1.1 or GPL-2.0+ or LGPL-2.1+
 Group:  Productivity/Other
@@ -73,16 +73,18 @@
 Patch3: idldir.patch
 Patch4: mozilla-nongnome-proxies.patch
 Patch5: mozilla-prefer_plugin_pref.patch
-Patch9: mozilla-language.patch
-Patch11:mozilla-ntlm-full-path.patch
-Patch12:mozilla-dump_syms-static.patch
-Patch13:mozilla-sle11.patch
-Patch14:mozilla-linux3.patch
-Patch15:mozilla-arm-cpu-detection.patch
-Patch16:mozilla-revert_621446.patch
-Patch17:mozilla-yarr-pcre.patch
-Patch18:mozilla-libnotify.patch
-Patch19:mozilla-gcc47.patch
+Patch6: mozilla-language.patch
+Patch7: mozilla-ntlm-full-path.patch
+Patch8: mozilla-dump_syms-static.patch
+Patch9: mozilla-sle11.patch
+Patch10:mozilla-linux3.patch
+Patch11:mozilla-disable-neon-option.patch
+Patch12:mozilla-system-nspr.patch
+Patch13:mozilla-revert_621446.patch
+Patch14:mozilla-yarr-pcre.patch
+Patch15:mozilla-libnotify.patch
+Patch16:mozilla-gcc47.patch
+Patch17:mozilla-nsSound.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Requires:   mozilla-js = %{version}
 Requires(post):  update-alternatives coreutils
@@ -92,7 +94,7 @@
 %define has_system_nss   1
 %define has_system_cairo 0
 %define localize 0
-%ifarch ppc ppc64 s390 s390x ia64
+%ifarch ppc ppc64 s390 s390x ia64 %arm
 %define crashreporter0
 %define plugincontainer  0
 %else
@@ -193,18 +195,20 @@
 %patch3 -p1
 %patch4 -p1
 %patch5 -p1
+%patch6 -p1
+%patch7 -p1
+%patch8 -p1
+%if %suse_version  1120
 %patch9 -p1
+%endif
+%patch10 -p1
 %patch11 -p1
 %patch12 -p1
-%if %suse_version  1120
 %patch13 -p1
-%endif
-%patch14 -p1
+#%patch14 -p1
 %patch15 -p1
 %patch16 -p1
-#%patch17 -p1
-%patch18 -p1
-%patch19 -p1
+%patch17 -p1
 
 %build
 # no need to add build time to binaries
@@ -299,17 +303,7 @@
 # ARM
 %ifarch %arm
 cat  EOF  $MOZCONFIG
-%ifarch armv7l
-ac_add_options --with-arch=armv7-a
-ac_add_options --with-float-abi=hard
-ac_add_options --with-fpu=vfpv3-d16
-ac_add_options --with-thumb=yes
-%endif
-%ifarch armv5tel
-ac_add_options --with-arch=armv5te
-ac_add_options --with-float-abi=soft
-ac_add_options --with-thumb=no
-%endif
+ac_add_options 

commit busybox for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package busybox for openSUSE:Factory checked 
in at 2012-06-06 18:02:16

Comparing /work/SRC/openSUSE:Factory/busybox (Old)
 and  /work/SRC/openSUSE:Factory/.busybox.new (New)


Package is busybox, Maintainer is i...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/busybox/busybox-static.changes   2012-04-12 
09:20:14.0 +0200
+++ /work/SRC/openSUSE:Factory/.busybox.new/busybox-static.changes  
2012-06-06 18:02:25.0 +0200
@@ -1,0 +2,7 @@
+Wed Jun  6 13:02:52 UTC 2012 - seife+...@b1-systems.com
+
+- busybox-1.19.4-ext2fs_h.diff:
+  more complete fix for latest ext2_fs.h breakage from busybox git,
+  drop busybox-1.19.4-typedef_umode_t.patch
+
+---
busybox.changes: same change

Old:

  busybox-1.19.4-typedef_umode_t.patch

New:

  busybox-1.19.4-ext2fs_h.diff



Other differences:
--
++ busybox-static.spec ++
--- /var/tmp/diff_new_pack.Zot4Yg/_old  2012-06-06 18:02:28.0 +0200
+++ /var/tmp/diff_new_pack.Zot4Yg/_new  2012-06-06 18:02:28.0 +0200
@@ -32,7 +32,7 @@
 Patch99:busybox.uClibc-build-fix.patch
 Patch100:   busybox.install.patch
 Patch101:   busybox-1.18.3-libarchive.patch
-Patch102:   busybox-1.19.4-typedef_umode_t.patch
+Patch102:   busybox-1.19.4-ext2fs_h.diff
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  uClibc-devel
 
@@ -52,7 +52,7 @@
 %patch99 -p1
 %patch100 -p1
 %patch101 -p1
-%patch102 -p0
+%patch102 -p1
 %{__cp} -a %{S:1} docs/
 %{__cp} -a %{S:2} .config
 find -name CVS | xargs rm -rf

++ busybox.spec ++
--- /var/tmp/diff_new_pack.Zot4Yg/_old  2012-06-06 18:02:28.0 +0200
+++ /var/tmp/diff_new_pack.Zot4Yg/_new  2012-06-06 18:02:28.0 +0200
@@ -31,7 +31,7 @@
 # other patches
 Patch100:   busybox.install.patch
 Patch101:   %{name}-1.18.3-libarchive.patch
-Patch102:   busybox-1.19.4-typedef_umode_t.patch
+Patch102:   busybox-1.19.4-ext2fs_h.diff
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -49,7 +49,7 @@
 %setup -q -n %{name}-%{version}
 %patch100 -p1
 %patch101 -p1
-%patch102 -p0
+%patch102 -p1
 %{__cp} -a %{S:1} docs/
 %{__cp} -a %{S:2} .config
 find -name CVS | xargs rm -rf

++ busybox-1.19.4-ext2fs_h.diff ++
 643 lines (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit flamerobin for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package flamerobin for openSUSE:Factory 
checked in at 2012-06-06 18:02:20

Comparing /work/SRC/openSUSE:Factory/flamerobin (Old)
 and  /work/SRC/openSUSE:Factory/.flamerobin.new (New)


Package is flamerobin, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/flamerobin/flamerobin.changes2012-02-16 
12:19:50.0 +0100
+++ /work/SRC/openSUSE:Factory/.flamerobin.new/flamerobin.changes   
2012-06-06 18:02:29.0 +0200
@@ -1,0 +2,5 @@
+Tue May 22 09:02:07 UTC 2012 - mkube...@suse.cz
+
+- adjust BuildRequires for Firebird 2.5 packages
+
+---



Other differences:
--
++ flamerobin.spec ++
--- /var/tmp/diff_new_pack.WagBTq/_old  2012-06-06 18:02:31.0 +0200
+++ /var/tmp/diff_new_pack.WagBTq/_new  2012-06-06 18:02:31.0 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package flamerobin
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,6 +15,7 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 Summary:Graphical client for Firebird
 License:MIT and LGPL-2.1+
 Group:  Productivity/Databases/Tools
@@ -26,8 +27,8 @@
 Patch0: flamerobin-0.9.2-wxWindowListNode.patch
 Url:http://www.flamerobin.org/
 BuildRequires:  desktop-file-utils
-BuildRequires:  firebird-devel = 2.0.0.12748
 BuildRequires:  gcc-c++
+BuildRequires:  libfbclient2-devel = 2.0.0.12748
 BuildRequires:  update-desktop-files
 BuildRequires:  wxWidgets-devel = 2.8
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit installation-images for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package installation-images for 
openSUSE:Factory checked in at 2012-06-06 18:02:24

Comparing /work/SRC/openSUSE:Factory/installation-images (Old)
 and  /work/SRC/openSUSE:Factory/.installation-images.new (New)


Package is installation-images, Maintainer is snw...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/installation-images/installation-images.changes  
2012-05-25 16:16:19.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.installation-images.new/installation-images.changes 
2012-06-06 18:02:32.0 +0200
@@ -1,0 +2,5 @@
+Tue Jun  5 17:10:53 CEST 2012 - snw...@suse.de
+
+- added yast2-proxy
+
+---

Old:

  installation-images-13.46.tar.bz2

New:

  installation-images-13.47.tar.bz2



Other differences:
--
++ installation-images.spec ++
--- /var/tmp/diff_new_pack.tv6QaC/_old  2012-06-06 18:02:35.0 +0200
+++ /var/tmp/diff_new_pack.tv6QaC/_new  2012-06-06 18:02:35.0 +0200
@@ -212,6 +212,7 @@
 BuildRequires:  yast2-network
 BuildRequires:  yast2-nfs-client
 BuildRequires:  yast2-ntp-client
+BuildRequires:  yast2-proxy
 BuildRequires:  yast2-qt
 BuildRequires:  yast2-qt-graph
 BuildRequires:  yast2-qt-pkg
@@ -353,9 +354,9 @@
 Summary:Installation Image Files
 License:GPL-2.0+
 Group:  Metapackages
-Version:13.46
+Version:13.47
 Release:0
-Source: installation-images-13.46.tar.bz2
+Source: installation-images-13.47.tar.bz2
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %define _binary_payload w.ufdio
 

++ installation-images-13.46.tar.bz2 - installation-images-13.47.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/installation-images-13.46/VERSION 
new/installation-images-13.47/VERSION
--- old/installation-images-13.46/VERSION   2012-05-23 13:46:48.0 
+0200
+++ new/installation-images-13.47/VERSION   2012-06-05 17:10:47.0 
+0200
@@ -1 +1 @@
-13.46
+13.47
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/installation-images-13.46/changelog 
new/installation-images-13.47/changelog
--- old/installation-images-13.46/changelog 2012-05-23 13:46:52.0 
+0200
+++ new/installation-images-13.47/changelog 2012-06-05 17:10:51.0 
+0200
@@ -1,4 +1,7 @@
-2012-05-23:HEAD
+2012-06-05:HEAD
+   - added yast2-proxy
+
+2012-05-23:13.46
- adjust to package changes
 
 2012-05-14:13.45
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/installation-images-13.46/data/rescue/rescue.file_list 
new/installation-images-13.47/data/rescue/rescue.file_list
--- old/installation-images-13.46/data/rescue/rescue.file_list  2012-05-23 
13:06:58.0 +0200
+++ new/installation-images-13.47/data/rescue/rescue.file_list  2012-06-05 
15:26:21.0 +0200
@@ -58,6 +58,8 @@
   /usr/tmp
   /var
 r /var/{squid,lib/YaST}
+# remove temporarily so that 'mount /sys' doesn't work
+r /sys
 
 iproute2:
   /
@@ -537,7 +539,7 @@
 parted:
   /
 
-libreiserfs:
+libreiserfs-*-*:
   /
 
 #libreiserfs-devel:
@@ -795,6 +797,9 @@
 
 :
 
+# create it now (see filesystem package above)
+d /sys
+
 # remove, ehm, things...
 r /usr/share/doc /usr/share/info /usr/share/man /usr/share/locale 
/var/adm/fillup-templates
 r /run/*
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/installation-images-13.46/data/root/root.file_list 
new/installation-images-13.47/data/root/root.file_list
--- old/installation-images-13.46/data/root/root.file_list  2012-05-23 
13:24:41.0 +0200
+++ new/installation-images-13.47/data/root/root.file_list  2012-06-05 
14:20:57.0 +0200
@@ -387,6 +387,9 @@
 yast2-pkg-bindings:
   /
 
+yast2-proxy:
+  /
+
 yast2-runlevel:
   /
 
@@ -502,7 +505,7 @@
 reiserfs:
   /
 
-libreiserfs:
+libreiserfs-*-*:
   /
 
 liblzo2-*:

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit ksh for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package ksh for openSUSE:Factory checked in 
at 2012-06-06 18:02:29

Comparing /work/SRC/openSUSE:Factory/ksh (Old)
 and  /work/SRC/openSUSE:Factory/.ksh.new (New)


Package is ksh, Maintainer is wer...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/ksh/ksh.changes  2012-05-26 13:09:20.0 
+0200
+++ /work/SRC/openSUSE:Factory/.ksh.new/ksh.changes 2012-06-06 
18:02:36.0 +0200
@@ -1,0 +2,5 @@
+Wed Jun  6 12:16:52 UTC 2012 - wer...@suse.de
+
+- Do not ignore backslashes/escapes for read builtin (bnc#765171) 
+
+---

New:

  ksh93-read-dont-ignore-esc.dif



Other differences:
--
++ ksh.spec ++
--- /var/tmp/diff_new_pack.BNN1sU/_old  2012-06-06 18:02:38.0 +0200
+++ /var/tmp/diff_new_pack.BNN1sU/_new  2012-06-06 18:02:38.0 +0200
@@ -108,6 +108,7 @@
 Patch23:ksh93-foreground-prgrp.dif
 Patch24:ksh93-builtin.dif
 Patch25:ksh93-vmleak.dif
+Patch26:ksh93-read-dont-ignore-esc.dif
 Patch42:ksh-locale.patch
 
 %description
@@ -189,6 +190,7 @@
 %patch23
 %patch24
 %patch25
+%patch26
 
 %build
   #

++ ksh93-read-dont-ignore-esc.dif ++
--- src/cmd/ksh93/bltins/read.c
+++ src/cmd/ksh93/bltins/read.c 2012-06-04 09:58:53.848644056 +0200
@@ -570,7 +570,13 @@ int sh_readline(register Shell_t *shp,ch
case S_QUOTE:
c = shp-ifstable[*cp++];
inquote = !inquote;
-   goto skip;
+   if(val)
+   {
+   stakputs(val);
+   use_stak = 1;
+   *val = 0;
+   }
+   continue;
case S_ESC:
/* process escape character */
if((c = shp-ifstable[*cp++]) == S_NL)
@@ -582,6 +588,7 @@ int sh_readline(register Shell_t *shp,ch
{
stakputs(val);
use_stak = 1;
+   was_escape = 1;
*val = 0;
}
continue;
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit microcode_ctl for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package microcode_ctl for openSUSE:Factory 
checked in at 2012-06-06 18:02:34

Comparing /work/SRC/openSUSE:Factory/microcode_ctl (Old)
 and  /work/SRC/openSUSE:Factory/.microcode_ctl.new (New)


Package is microcode_ctl, Maintainer is tr...@novell.com

Changes:

--- /work/SRC/openSUSE:Factory/microcode_ctl/microcode_ctl.changes  
2012-05-03 10:58:33.0 +0200
+++ /work/SRC/openSUSE:Factory/.microcode_ctl.new/microcode_ctl.changes 
2012-06-06 18:02:39.0 +0200
@@ -1,0 +2,6 @@
+Tue Jun  5 10:04:36 UTC 2012 - cfarr...@suse.com
+
+- license update: GPL-2.0+ and SUSE-Firmware
+  SPDX format
+
+---



Other differences:
--
++ microcode_ctl.spec ++
--- /var/tmp/diff_new_pack.M8pbdu/_old  2012-06-06 18:02:41.0 +0200
+++ /var/tmp/diff_new_pack.M8pbdu/_new  2012-06-06 18:02:41.0 +0200
@@ -22,7 +22,7 @@
 ExclusiveArch:  %ix86 x86_64
 Url:http://www.urbanmyth.org/microcode/
 Summary:Microcode Updates for Intel and AMD64 x86/x86_64 CPUs
-License:GPL-2.0+ ; the microcode itself has this license: ...
+License:GPL-2.0+ and SUSE-Firmware
 Group:  Hardware/Other
 Version:1.17
 Release:0

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit NetworkManager for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package NetworkManager for openSUSE:Factory 
checked in at 2012-06-06 18:02:39

Comparing /work/SRC/openSUSE:Factory/NetworkManager (Old)
 and  /work/SRC/openSUSE:Factory/.NetworkManager.new (New)


Package is NetworkManager, Maintainer is gnome-maintain...@suse.de

Changes:

--- /work/SRC/openSUSE:Factory/NetworkManager/NetworkManager.changes
2012-04-20 15:18:57.0 +0200
+++ /work/SRC/openSUSE:Factory/.NetworkManager.new/NetworkManager.changes   
2012-06-06 18:02:41.0 +0200
@@ -1,0 +2,12 @@
+Sat Jun  2 16:21:22 UTC 2012 - bi...@opensuse.org
+
+- Add nm-ppp-build-error.patch, don't use struct ifpppstatsreq
+  that was removed from linux/ip_ppp.h in recent kernels.
+
+---
+Tue May 29 09:28:01 UTC 2012 - bi...@opensuse.org
+
+- Add nm-ensure_inited-fixing.patch, ensure initialization
+  in get_property() calls.(bnc#764290).
+
+---

New:

  nm-ensure_inited-fixing.patch
  nm-ppp-build-error.patch



Other differences:
--
++ NetworkManager.spec ++
--- /var/tmp/diff_new_pack.XymQj8/_old  2012-06-06 18:02:43.0 +0200
+++ /var/tmp/diff_new_pack.XymQj8/_new  2012-06-06 18:02:43.0 +0200
@@ -43,6 +43,10 @@
 Patch4: nm-treat-not-saved-secrets-just-like-agent-owned-when-cl.diff
 # PATCH-FIX-UPSTREAM nm-gerror-must-be-null.patch bnc#757656 bgo#674042 
je...@suse.com -- GError * must be initialized to NULL
 Patch5: nm-gerror-must-be-null.patch
+# PATCH-FIX-UPSTREAM nm-ensure_inited-fixing.patch bnc#764290 
bi...@opensuse.org --  more ensure_inited() fixing.
+Patch6: nm-ensure_inited-fixing.patch
+# PATCH-FIX-UPSTREAM nm-ppp-build-error.patch bi...@opensuse.org -- Fix build 
error with ppp.
+Patch7: nm-ppp-build-error.patch
 BuildRequires:  fdupes
 BuildRequires:  gobject-introspection-devel
 BuildRequires:  gtk-doc
@@ -183,6 +187,8 @@
 %patch3 -p1
 %patch4 -p1
 %patch5 -p1
+%patch6 -p1
+%patch7 -p1
 
 %build
 pppddir=`ls -1d /usr/%_lib/pppd/2*`


++ nm-ensure_inited-fixing.patch ++
commit a4f450aa0bf087453a8d605db81a83368cbe3b0a
Author: Dan Winship d...@gnome.org
Date:   Wed Mar 28 09:06:12 2012 -0400

libnm-glib: more ensure_inited() fixing

We need to do _nm_object_ensure_inited() /
_nm_remote_settings_ensure_inited() from the get_property()
implementations; in most cases, get_property() just calls another
accessor method (which will call _nm_object_ensure_inited()), but in a
few places, it reads priv-whatever directly, so we need to make sure
that it's valid.

Index: NetworkManager-0.9.4.0/libnm-glib/nm-access-point.c
===
--- NetworkManager-0.9.4.0.orig/libnm-glib/nm-access-point.c
+++ NetworkManager-0.9.4.0/libnm-glib/nm-access-point.c
@@ -464,6 +464,8 @@ get_property (GObject *object,
 {
NMAccessPoint *ap = NM_ACCESS_POINT (object);
 
+   _nm_object_ensure_inited (NM_OBJECT (object));
+
switch (prop_id) {
case PROP_FLAGS:
g_value_set_uint (value, nm_access_point_get_flags (ap));
Index: NetworkManager-0.9.4.0/libnm-glib/nm-active-connection.c
===
--- NetworkManager-0.9.4.0.orig/libnm-glib/nm-active-connection.c
+++ NetworkManager-0.9.4.0/libnm-glib/nm-active-connection.c
@@ -394,6 +394,8 @@ get_property (GObject *object,
 {
NMActiveConnection *self = NM_ACTIVE_CONNECTION (object);
 
+   _nm_object_ensure_inited (NM_OBJECT (object));
+
switch (prop_id) {
case PROP_CONNECTION:
g_value_set_string (value, nm_active_connection_get_connection 
(self));
Index: NetworkManager-0.9.4.0/libnm-glib/nm-client.c
===
--- NetworkManager-0.9.4.0.orig/libnm-glib/nm-client.c
+++ NetworkManager-0.9.4.0/libnm-glib/nm-client.c
@@ -1502,6 +1502,8 @@ get_property (GObject *object,
NMClient *self = NM_CLIENT (object);
NMClientPrivate *priv = NM_CLIENT_GET_PRIVATE (self);
 
+   _nm_object_ensure_inited (NM_OBJECT (object));
+
switch (prop_id) {
case PROP_VERSION:
g_value_set_string (value, nm_client_get_version (self));
Index: NetworkManager-0.9.4.0/libnm-glib/nm-device-bond.c
===
--- NetworkManager-0.9.4.0.orig/libnm-glib/nm-device-bond.c
+++ NetworkManager-0.9.4.0/libnm-glib/nm-device-bond.c
@@ -241,6 +241,8 @@ get_property (GObject *object,
 {
NMDeviceBond *device = NM_DEVICE_BOND (object);
 
+   

commit patterns-openSUSE for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package patterns-openSUSE for 
openSUSE:Factory checked in at 2012-06-06 18:02:44

Comparing /work/SRC/openSUSE:Factory/patterns-openSUSE (Old)
 and  /work/SRC/openSUSE:Factory/.patterns-openSUSE.new (New)


Package is patterns-openSUSE, Maintainer is co...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/patterns-openSUSE/patterns-openSUSE.changes  
2012-05-25 16:17:21.0 +0200
+++ /work/SRC/openSUSE:Factory/.patterns-openSUSE.new/patterns-openSUSE.changes 
2012-06-06 18:02:45.0 +0200
@@ -1,0 +2,17 @@
+Wed Jun  6 13:14:38 UTC 2012 - co...@suse.com
+
+- Stephan Kulow (1):
+  fix webyast rename to end on DVD
+  add provides and obsoletes to the old webyast patterns
+
+Commit: 8143bd44
+
+---
+Mon Jun  4 14:03:20 UTC 2012 - co...@suse.com
+
+- Ladislav Slezak (1):
+  merged webyast-ws and webyast-ui patterns into one webyast pattern
+
+Commit: a51b366d
+
+---



Other differences:
--
++ patterns-openSUSE.spec ++
--- /var/tmp/diff_new_pack.qHn9PN/_old  2012-06-06 18:02:49.0 +0200
+++ /var/tmp/diff_new_pack.qHn9PN/_new  2012-06-06 18:02:49.0 +0200
@@ -2021,53 +2021,35 @@
 %description voip
 This package is installed if a pattern is selected to have a working update 
path
 
-%package webyast-ui
-Summary:Meta package for pattern webyast-ui
+%package webyast
+Summary:Meta package for pattern webyast
 Group:  Metapackages
+Obsoletes:  patterns-openSUSE-webyast-ui  12.2
+Obsoletes:  patterns-openSUSE-webyast-ws  12.2
+Provides:   patterns-openSUSE-webyast-ui = 12.2
+Provides:   patterns-openSUSE-webyast-ws = 12.2
 Recommends: qwebyast
-Recommends: webyast-activedirectory-ui
-Recommends: webyast-base-ui
-Recommends: webyast-firewall-ui
-Recommends: webyast-kerberos-ui
-Recommends: webyast-ldap-ui
-Recommends: webyast-licenses-ui
-Recommends: webyast-mail-ui
-Recommends: webyast-network-ui
-Recommends: webyast-reboot-ui
-Recommends: webyast-roles-ui
-Recommends: webyast-root-user-ui
-Recommends: webyast-services-ui
-Recommends: webyast-software-ui
-Recommends: webyast-status-ui
-Recommends: webyast-time-ui
-Recommends: webyast-users-ui
-Requires:   patterns-openSUSE-webyast-ui
-
-%description webyast-ui
-This package is installed if a pattern is selected to have a working update 
path
-
-%package webyast-ws
-Summary:Meta package for pattern webyast-ws
-Group:  Metapackages
-Recommends: webyast-activedirectory-ws
-Recommends: webyast-base-ws
-Recommends: webyast-firewall-ws
-Recommends: webyast-kerberos-ws
-Recommends: webyast-ldap-ws
-Recommends: webyast-licenses-ws
-Recommends: webyast-mail-ws
-Recommends: webyast-network-ws
-Recommends: webyast-ntp-ws
-Recommends: webyast-roles-ws
-Recommends: webyast-root-user-ws
-Recommends: webyast-services-ws
-Recommends: webyast-software-ws
-Recommends: webyast-status-ws
-Recommends: webyast-time-ws
-Recommends: webyast-users-ws
-Requires:   patterns-openSUSE-webyast-ws
+Recommends: rubygem-webyast-activedirectory
+Recommends: rubygem-webyast-administrator
+Recommends: rubygem-webyast-eulas
+Recommends: rubygem-webyast-firewall
+Recommends: rubygem-webyast-kerberos
+Recommends: rubygem-webyast-ldap
+Recommends: rubygem-webyast-mailsetting
+Recommends: rubygem-webyast-network
+Recommends: rubygem-webyast-ntp
+Recommends: rubygem-webyast-roles
+Recommends: rubygem-webyast-services
+Recommends: rubygem-webyast-software
+Recommends: rubygem-webyast-status
+Recommends: rubygem-webyast-system
+Recommends: rubygem-webyast-terminal
+Recommends: rubygem-webyast-time
+Recommends: rubygem-webyast-users
+Requires:   patterns-openSUSE-webyast
+Requires:   webyast-base
 
-%description webyast-ws
+%description webyast
 This package is installed if a pattern is selected to have a working update 
path
 
 %package x11
@@ -2513,8 +2495,7 @@
 echo 'This file marks the pattern technical_writing to be installed.'  
$RPM_BUILD_ROOT/usr/share/doc/packages/patterns-openSUSE/technical_writing.txt
 echo 'This file marks the pattern update_test to be installed.'  
$RPM_BUILD_ROOT/usr/share/doc/packages/patterns-openSUSE/update_test.txt
 echo 'This file marks the pattern voip to be installed.'  
$RPM_BUILD_ROOT/usr/share/doc/packages/patterns-openSUSE/voip.txt
-echo 'This file marks the pattern webyast-ui to be installed.'  

commit recode for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package recode for openSUSE:Factory checked 
in at 2012-06-06 18:02:55

Comparing /work/SRC/openSUSE:Factory/recode (Old)
 and  /work/SRC/openSUSE:Factory/.recode.new (New)


Package is recode, Maintainer is sbra...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/recode/recode.changes2012-02-14 
19:07:05.0 +0100
+++ /work/SRC/openSUSE:Factory/.recode.new/recode.changes   2012-06-06 
18:03:03.0 +0200
@@ -1,0 +2,5 @@
+Wed Jun  6 16:01:50 CEST 2012 - meiss...@suse.de
+
+- fix build with new automake
+
+---

New:

  recode-3.6-automake.patch



Other differences:
--
++ recode.spec ++
--- /var/tmp/diff_new_pack.nGjwSN/_old  2012-06-06 18:03:04.0 +0200
+++ /var/tmp/diff_new_pack.nGjwSN/_new  2012-06-06 18:03:04.0 +0200
@@ -40,6 +40,7 @@
 Patch5: recode-%{version}-memleak.patch
 Patch6: recode-3.6-fix-flex-m4.patch
 Patch7: recode-3.6-segfault.patch
+Patch8: recode-3.6-automake.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 PreReq: %install_info_prereq
 
@@ -82,6 +83,7 @@
 %patch5 -p1
 %patch6 -p1
 %patch7 -p0
+%patch8 -p1
 cp -v %{S:1} i18n/cs.po
 rm m4/{lcmessage.m4,libtool.m4}
 rm acinclude.m4

++ recode-3.6-automake.patch ++
Index: recode-3.6/configure.in
===
--- recode-3.6.orig/configure.in
+++ recode-3.6/configure.in
@@ -15,7 +15,7 @@ AC_MINIX
 AM_PROG_LIBTOOL
 
 AC_ISC_POSIX
-AM_C_PROTOTYPES
+dnl AM_C_PROTOTYPES
 AC_C_CONST
 AC_C_INLINE
 ad_AC_PROG_FLEX
Index: recode-3.6/src/Makefile.am
===
--- recode-3.6.orig/src/Makefile.am
+++ recode-3.6/src/Makefile.am
@@ -17,7 +17,7 @@
 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 # 02111-1307, USA.
 
-AUTOMAKE_OPTIONS = gnits ansi2knr
+AUTOMAKE_OPTIONS = gnits
 bin_PROGRAMS = recode
 lib_LTLIBRARIES = librecode.la
 man_MANS = recode.1
-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit scim-pinyin for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package scim-pinyin for openSUSE:Factory 
checked in at 2012-06-06 18:03:00

Comparing /work/SRC/openSUSE:Factory/scim-pinyin (Old)
 and  /work/SRC/openSUSE:Factory/.scim-pinyin.new (New)


Package is scim-pinyin, Maintainer is fjk...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/scim-pinyin/scim-pinyin.changes  2011-09-23 
12:45:38.0 +0200
+++ /work/SRC/openSUSE:Factory/.scim-pinyin.new/scim-pinyin.changes 
2012-06-06 18:03:05.0 +0200
@@ -1,0 +2,6 @@
+Tue Jun  5 09:08:10 UTC 2012 - i...@marguerite.su
+
+- fix openSUSE builds.
+  * add gtktooltips patch to migrate it to gtk  2.12. 
+
+---

New:

  gtk-2.12+-gtktooltips-migration.patch



Other differences:
--
++ scim-pinyin.spec ++
--- /var/tmp/diff_new_pack.QK03Br/_old  2012-06-06 18:03:06.0 +0200
+++ /var/tmp/diff_new_pack.QK03Br/_new  2012-06-06 18:03:06.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package scim-pinyin (Version 0.5.91.20060705)
+# spec file for package scim-pinyin
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,7 +15,6 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
 %if %suse_version  1120
 %bcond_with skim
@@ -24,15 +23,16 @@
 %endif
 
 Name:   scim-pinyin
-BuildRequires:  gcc-c++ gtk2-devel scim-devel
+BuildRequires:  gcc-c++
+BuildRequires:  gtk2-devel
+BuildRequires:  scim-devel
 %if %{with skim}
-BuildRequires:  kdelibs3-devel skim
+BuildRequires:  kdelibs3-devel
+BuildRequires:  skim
+BuildRequires:  qt3-devel
 %endif
 Version:0.5.91.20060705
-Release:267
-License:GPL-2.0+
-Group:  System/I18n/Chinese
-AutoReqProv:on
+Release:0
 Provides:   locale(scim:zh)
 PreReq: gconf2 libxml2 orbit2 glib2
 Obsoletes:  scim-chinese
@@ -46,8 +46,11 @@
 Patch3: scim-pinyin-0.5.91-fix-load.patch
 Patch4: scim-pinyin-0.5.91-save-in-temp.patch
 Patch5: add-configure.patch.bz2
+Patch6: gtk-2.12+-gtktooltips-migration.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Summary:Intelligent Pinyin input module for Smart Chinese/Common Input 
Method platform
+License:GPL-2.0+
+Group:  System/I18n/Chinese
 
 %description
 Intelligent Pinyin input module for Smart Chinese/Common Input Method
@@ -56,7 +59,6 @@
 %if %{with skim}
 
 %package -n scim-pinyin-skim
-License:GPL-2.0+
 Summary:skim setup module for scim-pinyin
 Group:  System/I18n/Chinese
 Requires:   %{name} = %{version}
@@ -73,6 +75,9 @@
 %patch3 -p1
 %patch4 -p1
 %patch5 -p1
+%if 0%{?suse_version} = 1140
+%patch6 -p1
+%endif
 chmod a+x configure skim/configure
 
 %build

++ gtk-2.12+-gtktooltips-migration.patch ++
diff -urN scim-pinyin-0.5.91.20060705.orig/src/scim_pinyin_imengine_setup.cpp 
scim-pinyin-0.5.91.20060705/src/scim_pinyin_imengine_setup.cpp
--- scim-pinyin-0.5.91.20060705.orig/src/scim_pinyin_imengine_setup.cpp 
2012-06-04 16:12:29.509893474 +0800
+++ scim-pinyin-0.5.91.20060705/src/scim_pinyin_imengine_setup.cpp  
2012-06-05 17:03:30.910790222 +0800
@@ -327,8 +327,6 @@
 NULL, NULL, NULL
 };
 
-static GtkTooltips * __widget_tooltips = 0;
-
 // Common callbacks
 static void
 __on_default_editable_changed  (GtkEditable *editable,
@@ -383,8 +381,6 @@
 GtkWidget *hbox;
 GtkWidget *separator;
 
-__widget_tooltips = gtk_tooltips_new ();
-
 // Create the Notebook.
 notebook = gtk_notebook_new ();
 gtk_widget_show (notebook);
@@ -683,7 +679,7 @@
 gtk_table_attach (GTK_TABLE (table), __config_keyboards[i].entry, 
1, 2, i, i+1,
 (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
 (GtkAttachOptions) (0), 0, 0);
-gtk_entry_set_editable (GTK_ENTRY (__config_keyboards[i].entry), 
FALSE);
+gtk_editable_set_editable (GTK_EDITABLE 
(__config_keyboards[i].entry), FALSE);
 
 __config_keyboards[i].button = gtk_button_new_with_label (...);
 gtk_widget_show (__config_keyboards[i].button);
@@ -772,80 +768,80 @@
 
 
 // Set all tooltips.
-gtk_tooltips_set_tip (__widget_tooltips, __widget_user_data_binary,
+gtk_widget_set_tooltip_text (__widget_user_data_binary,
   _(Store the user pinyin and phrase data in 

commit translate-toolkit for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package translate-toolkit for 
openSUSE:Factory checked in at 2012-06-06 18:03:06

Comparing /work/SRC/openSUSE:Factory/translate-toolkit (Old)
 and  /work/SRC/openSUSE:Factory/.translate-toolkit.new (New)


Package is translate-toolkit, Maintainer is 

Changes:

--- /work/SRC/openSUSE:Factory/translate-toolkit/translate-toolkit.changes  
2012-05-22 08:19:49.0 +0200
+++ /work/SRC/openSUSE:Factory/.translate-toolkit.new/translate-toolkit.changes 
2012-06-06 18:03:07.0 +0200
@@ -1,0 +2,6 @@
+Tue Jun  5 16:13:12 UTC 2012 - i...@marguerite.su
+
+- fix sles builds.
+  * version tag for buildarch: noarch.
+
+---



Other differences:
--
++ translate-toolkit.spec ++
--- /var/tmp/diff_new_pack.9CKLvd/_old  2012-06-06 18:03:09.0 +0200
+++ /var/tmp/diff_new_pack.9CKLvd/_new  2012-06-06 18:03:09.0 +0200
@@ -43,7 +43,9 @@
 
 Provides:   python-translate-toolkit = %{version}
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+%if 0%{?suse_version} = 1140
 BuildArch:  noarch
+%endif
 
 # The following are needed for man page generation
 BuildRequires:  python-xml
@@ -71,7 +73,9 @@
 Summary:Tools to assist with translation and software localization
 Group:  Development/Libraries/Python
 Requires:   %{name} = %{version}
+%if 0%{?suse_version} = 1140
 BuildArch:  noarch
+%endif
 
 %description devel
 The %{name}-devel package contains Translate Toolkit API documentation for 
developers wishing to build new tools for the

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit yast2-x11 for openSUSE:Factory

2012-06-06 Thread h_root
Hello community,

here is the log from the commit of package yast2-x11 for openSUSE:Factory 
checked in at 2012-06-06 18:03:10

Comparing /work/SRC/openSUSE:Factory/yast2-x11 (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-x11.new (New)


Package is yast2-x11, Maintainer is j...@suse.com

Changes:

--- /work/SRC/openSUSE:Factory/yast2-x11/yast2-x11.changes  2012-04-12 
10:00:51.0 +0200
+++ /work/SRC/openSUSE:Factory/.yast2-x11.new/yast2-x11.changes 2012-06-06 
18:03:11.0 +0200
@@ -1,0 +2,6 @@
+Wed Jun 06 14:33:31 CEST 2012 - aschn...@suse.de
+
+- added supplements (bnc#765242)
+- 2.22.1
+
+---

Old:

  yast2-x11-2.22.0.tar.bz2

New:

  yast2-x11-2.22.1.tar.bz2



Other differences:
--
++ yast2-x11.spec ++
--- /var/tmp/diff_new_pack.0sBhom/_old  2012-06-06 18:03:14.0 +0200
+++ /var/tmp/diff_new_pack.0sBhom/_new  2012-06-06 18:03:14.0 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-x11
-Version:2.22.0
+Version:2.22.1
 Release:0
 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -33,6 +33,7 @@
 Summary:YaST2 - X11 support
 License:GPL-2.0
 Group:  System/YaST
+Supplements:packageand(yast2-installation:xorg-x11)
 
 %description
 This package contains the programs and files for YaST2 X11 support.
@@ -48,6 +49,7 @@
 export CFLAGS=$RPM_OPT_FLAGS -DNDEBUG
 export CXXFLAGS=$RPM_OPT_FLAGS -DNDEBUG
 
+%{?suse_update_config:%{suse_update_config -f}}
 ./configure --libdir=%{_libdir} --prefix=%{_prefix} --mandir=%{_mandir}
 # V=1: verbose build in case we used AM_SILENT_RULES(yes)
 # so that RPM_OPT_FLAGS check works

++ yast2-x11-2.22.0.tar.bz2 - yast2-x11-2.22.1.tar.bz2 ++
 16333 lines of diff (skipped)

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



drop dovecot12 from openSUSE:Factory

2012-06-06 Thread h_root

Hello community,

FYI: Package dovecot12 was dropped from openSUSE:Factory at Thu Jun  7 02:12:50 
CEST 2012.

You can find the latest sources of the package in the
   openSUSE:Dropped
repository:

https://build.opensuse.org/package/show?project=openSUSE:Droppedpackage=dovecot12

Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



drop dovecot20 from openSUSE:Factory

2012-06-06 Thread h_root

Hello community,

FYI: Package dovecot20 was dropped from openSUSE:Factory at Thu Jun  7 02:13:45 
CEST 2012.

You can find the latest sources of the package in the
   openSUSE:Dropped
repository:

https://build.opensuse.org/package/show?project=openSUSE:Droppedpackage=dovecot20

Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



drop perl-Test-Unit from openSUSE:Factory

2012-06-06 Thread h_root

Hello community,

FYI: Package perl-Test-Unit was dropped from openSUSE:Factory at Thu Jun  7 
02:14:23 CEST 2012.

You can find the latest sources of the package in the
   openSUSE:Dropped
repository:

https://build.opensuse.org/package/show?project=openSUSE:Droppedpackage=perl-Test-Unit

Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



drop IPCE from openSUSE:Factory

2012-06-06 Thread h_root

Hello community,

FYI: Package IPCE was dropped from openSUSE:Factory at Thu Jun  7 02:14:38 CEST 
2012.

You can find the latest sources of the package in the
   openSUSE:Dropped
repository:

https://build.opensuse.org/package/show?project=openSUSE:Droppedpackage=IPCE

Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



drop xpdf-poppler from openSUSE:Factory

2012-06-06 Thread h_root

Hello community,

FYI: Package xpdf-poppler was dropped from openSUSE:Factory at Thu Jun  7 
02:15:03 CEST 2012.

You can find the latest sources of the package in the
   openSUSE:Dropped
repository:

https://build.opensuse.org/package/show?project=openSUSE:Droppedpackage=xpdf-poppler

Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org